/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CLOS;STREAMS.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "clos/streams.eclh"
/*	function definition for BUG-OR-ERROR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1bug_or_error(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_streamp(V1)                        /*  STREAMP         */)==Cnil){
	goto L2;}
	value0=cl_error(3,VV[2],V1,V2)            /*  ERROR           */;
	return value0;
L2:;
	value0=cl_error(5,ECL_SYM("TYPE-ERROR",868),ECL_SYM("DATUM",1211),V1,ECL_SYM("EXPECTED-TYPE",1229),ECL_SYM("STREAM",797)) /*  ERROR */;
	return value0;
}}
/*	local function STREAM-ADVANCE-TO-COLUMN                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2stream_advance_to_column(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  CURRENT-COLUMN  */
	V3= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-LINE-COLUMN",1615))(1,V1) /*  STREAM-LINE-COLUMN */;
	if((V3)==Cnil){
	goto L3;}
	{cl_object V4;                            /*  FILL            */
	V4= ecl_minus(V2,V3);
	{cl_object V5;                            /*  I               */
	V5= MAKE_FIXNUM(0);
	goto L10;
L9:;
	ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-WRITE-CHAR",1627))(2,V1,CODE_CHAR(32)) /*  STREAM-WRITE-CHAR */;
	V5= ecl_one_plus(V5);
L10:;
	if(!(ecl_number_compare(V5,V4)<0)){
	goto L17;}
	goto L9;
L17:;
	goto L15;
L15:;
	goto L5;
	}
	}
L5:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function STREAM-CLEAR-INPUT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3stream_clear_input(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-CLEAR-INPUT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4stream_clear_input(cl_object V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(ecl_clear_input(V1),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-CLEAR-INPUT                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5stream_clear_input(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-CLEAR-INPUT",1606)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-CLEAR-OUTPUT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6stream_clear_output(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-CLEAR-OUTPUT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7stream_clear_output(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(ecl_clear_output(V1),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-CLEAR-OUTPUT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8stream_clear_output(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-CLEAR-OUTPUT",1607)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function CLOSE                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9close(cl_narg narg, cl_object V1, ...)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,LC9closekeys,keyvars,NULL,TRUE);
	cl_va_end(args);
	V2= keyvars[0];
	}
	(cl_env_copy->function=ecl_fdefinition(VV[14]))->cfun.entry(2,Cnil,V1) /*  (SETF OPEN-STREAM-P) */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function CLOSE                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10close(cl_narg narg, cl_object V1, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,LC10closekeys,keyvars,NULL,TRUE);
	cl_va_end(args);
	V2= keyvars[0];
	}
	value0=cl_close(3,V1,ECL_SYM("ABORT",1192),V2) /*  CLOSE      */;
	return value0;
}}
/*	local function CLOSE                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11close(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,LC11closekeys,keyvars,NULL,TRUE);
	cl_va_end(args);
	V2= keyvars[0];
	}
	value0=L1bug_or_error(V1,ECL_SYM("CLOSE",1600)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-ELEMENT-TYPE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12stream_element_type(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ECL_SYM("CHARACTER",220); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-ELEMENT-TYPE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13stream_element_type(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_stream_element_type(V1)         /*  STREAM-ELEMENT-TYPE */;
	return value0;
}}
/*	local function STREAM-ELEMENT-TYPE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14stream_element_type(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-ELEMENT-TYPE",1608)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-FINISH-OUTPUT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15stream_finish_output(cl_object V1)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FINISH-OUTPUT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC16stream_finish_output(cl_object V1)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=(ecl_force_output(V1),Cnil); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FINISH-OUTPUT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17stream_finish_output(cl_object V1)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-FINISH-OUTPUT",1611)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-FORCE-OUTPUT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC18stream_force_output(cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FORCE-OUTPUT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC19stream_force_output(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_force_output(1,V1)              /*  FORCE-OUTPUT    */;
	return value0;
}}
/*	local function STREAM-FORCE-OUTPUT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC20stream_force_output(cl_object V1)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-FORCE-OUTPUT",1612)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-FRESH-LINE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC21stream_fresh_line(cl_object V1)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-START-LINE-P",1623))(1,V1) /*  STREAM-START-LINE-P */)!=Cnil){
	goto L2;}
	ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-TERPRI",1624))(1,V1) /*  STREAM-TERPRI */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FRESH-LINE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC22stream_fresh_line(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_fresh_line(1,V1)                /*  FRESH-LINE      */;
	return value0;
}}
/*	local function INPUT-STREAM-P                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC23input_stream_p(cl_object V1)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function INPUT-STREAM-P                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC24input_stream_p(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function INPUT-STREAM-P                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC25input_stream_p(cl_object V1)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_bool(ecl_input_stream_p(V1)); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function INPUT-STREAM-P                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26input_stream_p(cl_object V1)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("INPUT-STREAM-P",1602)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-INTERACTIVE-P                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC27stream_interactive_p(cl_object V1)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_interactive_stream_p(V1)        /*  INTERACTIVE-STREAM-P */;
	return value0;
}}
/*	local function STREAM-INTERACTIVE-P                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28stream_interactive_p(cl_object V1)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-INTERACTIVE-P",1614)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-LINE-COLUMN                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC29stream_line_column(cl_object V1)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-LISTEN                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC30stream_listen(cl_object V1)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  CHAR            */
	V2= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1620))(1,V1) /*  STREAM-READ-CHAR-NO-HANG */;
	if(!(CHARACTERP(V2))){
	goto L3;}
	ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-UNREAD-CHAR",1625))(2,V1,V2) /*  STREAM-UNREAD-CHAR */;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function STREAM-LISTEN                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC31stream_listen(cl_object V1)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_listen(1,V1)                    /*  LISTEN          */;
	return value0;
}}
/*	local function STREAM-LISTEN                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC32stream_listen(cl_object V1)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-LISTEN",1616)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function OPEN-STREAM-P                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC33open_stream_p(cl_object V1)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_open_stream_p(V1)               /*  OPEN-STREAM-P   */;
	return value0;
}}
/*	local function OPEN-STREAM-P                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC34open_stream_p(cl_object V1)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("OPEN-STREAM-P",1604)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function OUTPUT-STREAM-P                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC35output_stream_p(cl_object V1)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function OUTPUT-STREAM-P                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC36output_stream_p(cl_object V1)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function OUTPUT-STREAM-P                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC37output_stream_p(cl_object V1)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_make_bool(ecl_output_stream_p(V1)); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function OUTPUT-STREAM-P                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC38output_stream_p(cl_object V1)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("OUTPUT-STREAM-P",1603)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-PEEK-CHAR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC39stream_peek_char(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  CHAR            */
	V2= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-READ-CHAR",1619))(1,V1) /*  STREAM-READ-CHAR */;
	if((V2)==(ECL_SYM("EOF",1225))){
	goto L4;}
	ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-UNREAD-CHAR",1625))(2,V1,V2) /*  STREAM-UNREAD-CHAR */;
	goto L2;
L4:;
	goto L2;
L2:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function STREAM-PEEK-CHAR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC40stream_peek_char(cl_object V1)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_peek_char(1,V1)                 /*  PEEK-CHAR       */;
	return value0;
}}
/*	local function STREAM-PEEK-CHAR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC41stream_peek_char(cl_object V1)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-PEEK-CHAR",1617)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-BYTE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC42stream_read_byte(cl_object V1)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_read_byte(1,V1)                 /*  READ-BYTE       */;
	return value0;
}}
/*	local function STREAM-READ-BYTE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC43stream_read_byte(cl_object V1)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-BYTE",1618)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-CHAR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC44stream_read_char(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_read_char(1,V1)                 /*  READ-CHAR       */;
	return value0;
}}
/*	local function STREAM-READ-CHAR                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC45stream_read_char(cl_object V1)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-CHAR",1619)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-UNREAD-CHAR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC46stream_unread_char(cl_object V1, cl_object V2)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_unread_char(2,V2,V1)            /*  UNREAD-CHAR     */;
	return value0;
}}
/*	local function STREAM-UNREAD-CHAR                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC47stream_unread_char(cl_object V1, cl_object V2)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-UNREAD-CHAR",1625)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-CHAR-NO-HANG                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC48stream_read_char_no_hang(cl_object V1)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-READ-CHAR",1619))(1,V1) /*  STREAM-READ-CHAR */;
	return value0;
}}
/*	local function STREAM-READ-CHAR-NO-HANG                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC49stream_read_char_no_hang(cl_object V1)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_read_char_no_hang(1,V1)         /*  READ-CHAR-NO-HANG */;
	return value0;
}}
/*	local function STREAM-READ-CHAR-NO-HANG                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC50stream_read_char_no_hang(cl_object V1)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1620)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-LINE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC51stream_read_line(cl_object V1)
{ VT52 VLEX52 CLSR52 STCK52
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET903          */
	cl_object V3;                             /*  RES             */
	cl_object V4;                             /*  LEN             */
	cl_object V5;                             /*  INDEX           */
	V2= cl_make_string(1,MAKE_FIXNUM(80))     /*  MAKE-STRING     */;
	V3= V2;
	V4= MAKE_FIXNUM(80);
	V5= MAKE_FIXNUM(0);
L6:;
	{cl_object V6;                            /*  CH              */
	V6= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-READ-CHAR",1619))(1,V1) /*  STREAM-READ-CHAR */;
	if(!((V6)==(ECL_SYM("EOF",1225)))){
	goto L10;}
	T0= ecl_function_dispatch(cl_env_copy,ECL_SYM("SHRINK-VECTOR",1758))(2,V3,V5) /*  SHRINK-VECTOR */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Ct;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L10:;
	if(!(ecl_char_code(V6)==ecl_char_code(CODE_CHAR(10)))){
	goto L14;}
	T0= ecl_function_dispatch(cl_env_copy,ECL_SYM("SHRINK-VECTOR",1758))(2,V3,V5) /*  SHRINK-VECTOR */;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=Cnil;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];
L14:;
	goto L12;
L12:;
	if(!(ecl_number_equalp(V5,V4))){
	goto L18;}
	V4= ecl_times(V4,MAKE_FIXNUM(2));
	{cl_object V7;                            /*  NEW             */
	V7= cl_make_string(1,V4)                  /*  MAKE-STRING     */;
	cl_replace(2,V7,V3)                       /*  REPLACE         */;
	V3= V7;
	goto L16;
	}
L18:;
	goto L16;
L16:;
	ecl_elt_set(V3,ecl_to_size(V5),V6);
	V5= ecl_plus(V5,MAKE_FIXNUM(1));
	goto L7;
	}
L7:;
	goto L6;
	}
}}
/*	local function STREAM-READ-LINE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC52stream_read_line(cl_object V1)
{ VT53 VLEX53 CLSR53 STCK53
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_read_line(1,V1)                 /*  READ-LINE       */;
	return value0;
}}
/*	local function STREAM-READ-LINE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC53stream_read_line(cl_object V1)
{ VT54 VLEX54 CLSR54 STCK54
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-LINE",1621)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-READ-SEQUENCE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC54stream_read_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT55 VLEX55 CLSR55 STCK55
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_read_sequence(V2,V1,V3,V4)   /*  DO-READ-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-READ-SEQUENCE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC55stream_read_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT56 VLEX56 CLSR56 STCK56
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_read_sequence(V2,V1,V3,V4)   /*  DO-READ-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-READ-SEQUENCE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC56stream_read_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT57 VLEX57 CLSR57 STCK57
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_read_sequence(V1,V2,V3,V4)   /*  DO-READ-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-READ-SEQUENCE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC57stream_read_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT58 VLEX58 CLSR58 STCK58
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-READ-SEQUENCE",1622)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-START-LINE-P                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC58stream_start_line_p(cl_object V1)
{ VT59 VLEX59 CLSR59 STCK59
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-LINE-COLUMN",1615))(1,V1) /*  STREAM-LINE-COLUMN */;
	value0=ecl_make_bool((T0)==(MAKE_FIXNUM(0))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-FILE-POSITION                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC59stream_file_position(cl_narg narg, cl_object V1, ...)
{ VT60 VLEX60 CLSR60 STCK60
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_file_position(2,V1,V2)          /*  FILE-POSITION   */;
	return value0;
}}
/*	local function STREAM-FILE-POSITION                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC60stream_file_position(cl_narg narg, cl_object V1, ...)
{ VT61 VLEX61 CLSR61 STCK61
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAMP                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC61streamp(cl_object V1)
{ VT62 VLEX62 CLSR62 STCK62
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAMP                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC62streamp(cl_object V1)
{ VT63 VLEX63 CLSR63 STCK63
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-WRITE-BYTE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC63stream_write_byte(cl_object V1, cl_object V2)
{ VT64 VLEX64 CLSR64 STCK64
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_write_byte(V2,V1)               /*  WRITE-BYTE      */;
	return value0;
}}
/*	local function STREAM-WRITE-BYTE                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC64stream_write_byte(cl_object V1, cl_object V2)
{ VT65 VLEX65 CLSR65 STCK65
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-WRITE-BYTE",1626)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-WRITE-CHAR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC65stream_write_char(cl_object V1, cl_object V2)
{ VT66 VLEX66 CLSR66 STCK66
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_write_char(2,V2,V1)             /*  WRITE-CHAR      */;
	return value0;
}}
/*	local function STREAM-WRITE-CHAR                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC66stream_write_char(cl_object V1, cl_object V2)
{ VT67 VLEX67 CLSR67 STCK67
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-WRITE-CHAR",1627)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-WRITE-SEQUENCE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC67stream_write_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT68 VLEX68 CLSR68 STCK68
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_write_sequence(V2,V1,V3,V4)  /*  DO-WRITE-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-WRITE-SEQUENCE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC68stream_write_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT69 VLEX69 CLSR69 STCK69
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_write_sequence(V2,V1,V3,V4)  /*  DO-WRITE-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-WRITE-SEQUENCE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC69stream_write_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT70 VLEX70 CLSR70 STCK70
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_do_write_sequence(V2,V1,V3,V4)  /*  DO-WRITE-SEQUENCE */;
	return value0;
}}
/*	local function STREAM-WRITE-SEQUENCE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC70stream_write_sequence(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT71 VLEX71 CLSR71 STCK71
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-WRITE-SEQUENCE",1628)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-WRITE-STRING                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC71stream_write_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT72 VLEX72 CLSR72 STCK72
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	{bool V5;
	V5= ECL_STRINGP(V2);
	if (ecl_unlikely(!(V5)))
         FEwrong_type_argument(ECL_SYM("STRING",803),V2);}
	{bool V5;
	V5= FIXNUMP(V3);
	if (ecl_unlikely(!(V5)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V3);}
	{cl_fixnum V5;                            /*  END             */
	{cl_object V6;
	value0=V4;
	if((value0)!=Cnil){
	goto L9;}
	V6= MAKE_FIXNUM(ecl_length(V2));
	goto L7;
L9:;
	V6= value0;
	goto L7;
L7:;
	{bool V7;
	V7= FIXNUMP(V6);
	if (ecl_unlikely(!(V7)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V6);}
	V5= ecl_fix(V6);
	}
	{cl_fixnum V6;                            /*  POS             */
	{cl_fixnum V7;
	V7= 0;
	V7= ecl_fix(V3);
	if(!((V7)<=(536870911))){
	goto L22;}
	T0= ecl_make_bool((V7)>=(0));
	goto L14;
L22:;
	T0= Cnil;
	goto L14;
	T0= Cnil;
	goto L14;
	}
L14:;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(VV[3],V3);
	V6= ecl_fix(V3);
	goto L27;
L26:;
	{ecl_character V7;
	{cl_fixnum V8;
	if (ecl_unlikely(!ECL_VECTORP(V2)))
           FEtype_error_vector(V2);
	if (ecl_unlikely((V6)>=(V2)->vector.dim))
           FEwrong_index(Cnil,V2,-1,MAKE_FIXNUM(V6),(V2)->vector.dim);
	V8= V6;
	V7= CHAR_CODE(ecl_aref_unsafe(V2,V8));}
	ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-WRITE-CHAR",1627))(2,V1,CODE_CHAR(V7)) /*  STREAM-WRITE-CHAR */;}
	{cl_object V7;
	V7= ecl_make_integer((V6)+1);
	{cl_fixnum V8;
	V8= 0;
	if(!(FIXNUMP(V7))){
	goto L41;}
	V8= ecl_fix(V7);
	if(!((V8)<=(536870911))){
	goto L46;}
	T0= ecl_make_bool((V8)>=(0));
	goto L38;
L46:;
	T0= Cnil;
	goto L38;
L41:;
	T0= Cnil;
	goto L38;
	}
L38:;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(VV[3],V7);
	V6= ecl_fix(V7);
	}
L27:;
	if((V6)>=(V5)){
	goto L50;}
	goto L26;
L50:;
	goto L48;
L48:;
	goto L24;
L24:;
	}
	}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-WRITE-STRING                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC72stream_write_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT73 VLEX73 CLSR73 STCK73
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= MAKE_FIXNUM(0);
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=cl_write_string(6,V2,V1,ECL_SYM("START",1307),V3,ECL_SYM("END",1222),V4) /*  WRITE-STRING */;
	return value0;
}}
/*	local function STREAM-WRITE-STRING                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC73stream_write_string(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT74 VLEX74 CLSR74 STCK74
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>4)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V4= Cnil;
	} else {
	i++;
	V4= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-WRITE-STRING",1629)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-TERPRI                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC74stream_terpri(cl_object V1)
{ VT75 VLEX75 CLSR75 STCK75
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-WRITE-CHAR",1627))(2,V1,CODE_CHAR(10)) /*  STREAM-WRITE-CHAR */;
	return value0;
}}
/*	local function STREAM-TERPRI                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC75stream_terpri(cl_object V1)
{ VT76 VLEX76 CLSR76 STCK76
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=ecl_terpri(V1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function STREAM-TERPRI                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC76stream_terpri(cl_object V1)
{ VT77 VLEX77 CLSR77 STCK77
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-TERPRI",1624)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-FILE-DESCRIPTOR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC77stream_file_descriptor(cl_narg narg, cl_object V1, ...)
{ VT78 VLEX78 CLSR78 STCK78
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_SYM("INPUT",1251);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(ecl_eql(V2,ECL_SYM("INPUT",1251)))){
	goto L4;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=VV[4];
	cl_env_copy->values[0]=ECL_SYM("INPUT-STREAM-P",1602);
	goto L2;
L4:;
	if(!(ecl_eql(V2,ECL_SYM("OUTPUT",1279)))){
	goto L7;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=VV[5];
	cl_env_copy->values[0]=ECL_SYM("OUTPUT-STREAM-P",1603);
	goto L2;
L7:;
	T0= ecl_list1(V2);
	cl_env_copy->values[0]=cl_error(9,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("FORMAT-CONTROL",1237),VV[6],ECL_SYM("FORMAT-ARGUMENTS",1236),T0,ECL_SYM("DATUM",1211),V2,ECL_SYM("EXPECTED-TYPE",1229),VV[7]) /*  ERROR */;
	goto L2;
L2:;
	{
	cl_object V4;                             /*  PREDICATE       */
	cl_object V5;                             /*  KIND            */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L9;
	V4= cl_env_copy->values[0];
	if (V6--<=0) goto L10;
	V5= cl_env_copy->values[1];
	goto L11;}
L9:;
	V4= Cnil;
L10:;
	V5= Cnil;
L11:;
	if((ecl_function_dispatch(cl_env_copy,V4)(1,V1))!=Cnil){
	goto L13;}
	T0= cl_list(3,V5,V1,V2)                   /*  LIST            */;
	T1= cl_list(2,ECL_SYM("SATISFIES",733),V4) /*  LIST           */;
	value0=cl_error(9,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("FORMAT-CONTROL",1237),VV[8],ECL_SYM("FORMAT-ARGUMENTS",1236),T0,ECL_SYM("DATUM",1211),V1,ECL_SYM("EXPECTED-TYPE",1229),T1) /*  ERROR */;
	return value0;
L13:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	local function STREAM-FILE-DESCRIPTOR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC78stream_file_descriptor(cl_narg narg, cl_object V1, ...)
{ VT79 VLEX79 CLSR79 STCK79
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=L1bug_or_error(V1,ECL_SYM("STREAM-FILE-DESCRIPTOR",1609)) /*  BUG-OR-ERROR */;
	return value0;
}}
/*	local function STREAM-FILE-DESCRIPTOR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC79stream_file_descriptor(cl_narg narg, cl_object V1, ...)
{ VT80 VLEX80 CLSR80 STCK80
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_SYM("INPUT",1251);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	if(!(ecl_eql(V2,ECL_SYM("INPUT",1251)))){
	goto L4;}
	T0= cl_two_way_stream_input_stream(V1)    /*  TWO-WAY-STREAM-INPUT-STREAM */;
	goto L2;
L4:;
	if(!(ecl_eql(V2,ECL_SYM("OUTPUT",1279)))){
	goto L7;}
	T0= cl_two_way_stream_output_stream(V1)   /*  TWO-WAY-STREAM-OUTPUT-STREAM */;
	goto L2;
L7:;
	T0= Cnil;
	goto L2;
L2:;
	value0=ecl_function_dispatch(cl_env_copy,ECL_SYM("STREAM-FILE-DESCRIPTOR",1609))(2,T0,V2) /*  STREAM-FILE-DESCRIPTOR */;
	return value0;
}}
/*	local function STREAM-FILE-DESCRIPTOR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC80stream_file_descriptor(cl_narg narg, cl_object V1, ...)
{ VT81 VLEX81 CLSR81 STCK81
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= ECL_SYM("INPUT",1251);
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=si_file_stream_fd(V1)              /*  FILE-STREAM-FD  */;
	return value0;
}}
/*	function definition for REDEFINE-CL-FUNCTIONS                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L81redefine_cl_functions()
{ VT82 VLEX82 CLSR82 STCK82
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  X               */
	V1= si_package_lock(VV[9],Cnil)           /*  PACKAGE-LOCK    */;
	{cl_object V2;                            /*  CL-SYMBOL       */
	cl_object V3;
	V2= Cnil;
	if (ecl_unlikely(!ECL_LISTP(VV[10]))) FEtype_error_list(VV[10]);
	V3= VV[10];
	{cl_object V4;                            /*  GRAY-PACKAGE    */
	V4= cl_find_package(VV[11])               /*  FIND-PACKAGE    */;
L8:;
	V2= _ecl_car(V3);
	{cl_object V5;
	V5= _ecl_cdr(V3);
	if (ecl_unlikely(!ECL_LISTP(V5))) FEtype_error_list(V5);
	V3= V5;
	}
	T0= cl_fdefinition(V2)                    /*  FDEFINITION     */;
	if((si_of_class_p(2,T0,ECL_SYM("GENERIC-FUNCTION",943)) /*  OF-CLASS-P */)!=Cnil){
	goto L18;}
	{cl_object V5;                            /*  GRAY-SYMBOL     */
	T0= ecl_symbol_name(V2);
	V5= cl_find_symbol(2,T0,V4)               /*  FIND-SYMBOL     */;
	T0= cl_fdefinition(V5)                    /*  FDEFINITION     */;
	si_fset(4,V2,T0,Cnil,Cnil)                /*  FSET            */;
	cl_unintern(2,V5,V4)                      /*  UNINTERN        */;
	cl_import(2,V2,V4)                        /*  IMPORT          */;
	cl_export(2,V2,V4)                        /*  EXPORT          */;
	goto L16;
	}
L18:;
	goto L16;
L16:;
	if(!(ecl_endp(V3))){
	goto L26;}
	goto L9;
L26:;
	goto L24;
L24:;
	goto L8;
L9:;
	goto L2;
	}
	}
L2:;
	si_package_lock(VV[9],V1)                 /*  PACKAGE-LOCK    */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "clos/streams.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclnAASjAb7_KjptDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CLOS;STREAMS.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclnAASjAb7_KjptDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	cl_import(1,ECL_SYM("ANSI-STREAM",1754))  /*  IMPORT          */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-ADVANCE-TO-COLUMN",1605),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[1],ECL_SYM("DOCUMENTATION",1219),VVtemp[2]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-CLEAR-INPUT",1606),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[4]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-CLEAR-OUTPUT",1607),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[5]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("CLOSE",1600),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[6],ECL_SYM("DOCUMENTATION",1219),VVtemp[7]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-ELEMENT-TYPE",1608),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[8]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FINISH-OUTPUT",1611),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[9]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FORCE-OUTPUT",1612),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[10]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FRESH-LINE",1613),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[11]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("INPUT-STREAM-P",1602),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[12]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,VV[1],VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[13]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-INTERACTIVE-P",1614),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[14]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-LINE-COLUMN",1615),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[15]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(5,ECL_SYM("STREAM-LISTEN",1616),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("OPEN-STREAM-P",1604),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[16]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("OUTPUT-STREAM-P",1603),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[17]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-PEEK-CHAR",1617),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[18]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-BYTE",1618),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[19]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-CHAR",1619),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[20]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1620),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[21]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-LINE",1621),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[22]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-READ-SEQUENCE",1622),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[23],ECL_SYM("DOCUMENTATION",1219),VVtemp[24]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-START-LINE-P",1623),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[25]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-TERPRI",1624),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[3],ECL_SYM("DOCUMENTATION",1219),VVtemp[26]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-UNREAD-CHAR",1625),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[27],ECL_SYM("DOCUMENTATION",1219),VVtemp[28]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-WRITE-BYTE",1626),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[29],ECL_SYM("DOCUMENTATION",1219),VVtemp[30]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-WRITE-CHAR",1627),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[27],ECL_SYM("DOCUMENTATION",1219),VVtemp[31]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-WRITE-STRING",1629),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[32],ECL_SYM("DOCUMENTATION",1219),VVtemp[33]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1628),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[23],ECL_SYM("DOCUMENTATION",1219),VVtemp[34]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FILE-POSITION",1610),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[35],ECL_SYM("DOCUMENTATION",1219),VVtemp[36]) /*  ENSURE-GENERIC-FUNCTION */;
	(cl_env_copy->function=(ECL_SYM("ENSURE-GENERIC-FUNCTION",940)->symbol.gfdef))->cfun.entry(7,ECL_SYM("STREAM-FILE-DESCRIPTOR",1609),VV[0],Ct,ECL_SYM("LAMBDA-LIST",996),VVtemp[37],ECL_SYM("DOCUMENTATION",1219),VVtemp[38]) /*  ENSURE-GENERIC-FUNCTION */;
	T0= cl_list(2,ECL_SYM("DOCUMENTATION",1219),VVtemp[41]) /*  LIST */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-STREAM",1630),VVtemp[39],VVtemp[40],T0) /*  LOAD-DEFCLASS */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-INPUT-STREAM",1631),VVtemp[42],Cnil,Cnil) /*  LOAD-DEFCLASS */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-OUTPUT-STREAM",1632),VVtemp[42],Cnil,Cnil) /*  LOAD-DEFCLASS */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-CHARACTER-STREAM",1633),VVtemp[42],Cnil,Cnil) /*  LOAD-DEFCLASS */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-BINARY-STREAM",1634),VVtemp[42],Cnil,Cnil) /*  LOAD-DEFCLASS */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-CHARACTER-INPUT-STREAM",1635),VVtemp[43],Cnil,Cnil) /*  LOAD-DEFCLASS */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-CHARACTER-OUTPUT-STREAM",1636),VVtemp[44],Cnil,Cnil) /*  LOAD-DEFCLASS */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-BINARY-INPUT-STREAM",1637),VVtemp[45],Cnil,Cnil) /*  LOAD-DEFCLASS */;
	clos_load_defclass(ECL_SYM("FUNDAMENTAL-BINARY-OUTPUT-STREAM",1638),VVtemp[46],Cnil,Cnil) /*  LOAD-DEFCLASS */;
	(void)0; /* No entry created for BUG-OR-ERROR */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC2stream_advance_to_column,Cnil,Cblock,2);
	clos_install_method(7,ECL_SYM("STREAM-ADVANCE-TO-COLUMN",1605),Cnil,VVtemp[47],VVtemp[1],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC3stream_clear_input,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-CLEAR-INPUT",1606),Cnil,VVtemp[48],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC4stream_clear_input,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-CLEAR-INPUT",1606),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC5stream_clear_input,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-CLEAR-INPUT",1606),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC6stream_clear_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-CLEAR-OUTPUT",1607),Cnil,VVtemp[51],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC7stream_clear_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-CLEAR-OUTPUT",1607),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC8stream_clear_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-CLEAR-OUTPUT",1607),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC9close,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("CLOSE",1600),Cnil,VVtemp[42],VVtemp[6],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC10close,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("CLOSE",1600),Cnil,VVtemp[49],VVtemp[6],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC11close,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("CLOSE",1600),Cnil,VVtemp[50],VVtemp[6],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC12stream_element_type,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-ELEMENT-TYPE",1608),Cnil,VVtemp[52],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC13stream_element_type,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-ELEMENT-TYPE",1608),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC14stream_element_type,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-ELEMENT-TYPE",1608),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC15stream_finish_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-FINISH-OUTPUT",1611),Cnil,VVtemp[51],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC16stream_finish_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-FINISH-OUTPUT",1611),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC17stream_finish_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-FINISH-OUTPUT",1611),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC18stream_force_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-FORCE-OUTPUT",1612),Cnil,VVtemp[51],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC19stream_force_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-FORCE-OUTPUT",1612),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC20stream_force_output,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-FORCE-OUTPUT",1612),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC21stream_fresh_line,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-FRESH-LINE",1613),Cnil,VVtemp[53],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC22stream_fresh_line,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-FRESH-LINE",1613),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC23input_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("INPUT-STREAM-P",1602),Cnil,VVtemp[42],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC24input_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("INPUT-STREAM-P",1602),Cnil,VVtemp[54],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC25input_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("INPUT-STREAM-P",1602),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC26input_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("INPUT-STREAM-P",1602),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC27stream_interactive_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-INTERACTIVE-P",1614),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC28stream_interactive_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-INTERACTIVE-P",1614),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC29stream_line_column,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-LINE-COLUMN",1615),Cnil,VVtemp[53],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC30stream_listen,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-LISTEN",1616),Cnil,VVtemp[48],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC31stream_listen,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-LISTEN",1616),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC32stream_listen,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-LISTEN",1616),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC33open_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("OPEN-STREAM-P",1604),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC34open_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("OPEN-STREAM-P",1604),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC35output_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("OUTPUT-STREAM-P",1603),Cnil,VVtemp[42],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC36output_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("OUTPUT-STREAM-P",1603),Cnil,VVtemp[51],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC37output_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("OUTPUT-STREAM-P",1603),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC38output_stream_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("OUTPUT-STREAM-P",1603),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC39stream_peek_char,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-PEEK-CHAR",1617),Cnil,VVtemp[48],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC40stream_peek_char,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-PEEK-CHAR",1617),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC41stream_peek_char,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-PEEK-CHAR",1617),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC42stream_read_byte,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-BYTE",1618),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC43stream_read_byte,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-BYTE",1618),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC44stream_read_char,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-CHAR",1619),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC45stream_read_char,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-CHAR",1619),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC46stream_unread_char,Cnil,Cblock,2);
	clos_install_method(7,ECL_SYM("STREAM-UNREAD-CHAR",1625),Cnil,VVtemp[55],VVtemp[27],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC47stream_unread_char,Cnil,Cblock,2);
	clos_install_method(7,ECL_SYM("STREAM-UNREAD-CHAR",1625),Cnil,VVtemp[55],VVtemp[27],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC48stream_read_char_no_hang,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1620),Cnil,VVtemp[48],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC49stream_read_char_no_hang,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1620),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC50stream_read_char_no_hang,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-CHAR-NO-HANG",1620),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC51stream_read_line,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-LINE",1621),Cnil,VVtemp[48],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC52stream_read_line,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-LINE",1621),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC53stream_read_line,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-READ-LINE",1621),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC54stream_read_sequence,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-READ-SEQUENCE",1622),Cnil,VVtemp[56],VVtemp[57],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC55stream_read_sequence,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-READ-SEQUENCE",1622),Cnil,VVtemp[58],VVtemp[57],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC56stream_read_sequence,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-READ-SEQUENCE",1622),Cnil,VVtemp[55],VVtemp[57],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC57stream_read_sequence,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-READ-SEQUENCE",1622),Cnil,VVtemp[59],VVtemp[23],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC58stream_start_line_p,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-START-LINE-P",1623),Cnil,VVtemp[53],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC59stream_file_position,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-FILE-POSITION",1610),Cnil,VVtemp[49],VVtemp[35],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC60stream_file_position,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-FILE-POSITION",1610),Cnil,VVtemp[50],VVtemp[35],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC61streamp,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAMP",1601),Cnil,VVtemp[3],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC62streamp,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAMP",1601),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC63stream_write_byte,Cnil,Cblock,2);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-BYTE",1626),Cnil,VVtemp[55],VVtemp[29],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC64stream_write_byte,Cnil,Cblock,2);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-BYTE",1626),Cnil,VVtemp[59],VVtemp[29],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC65stream_write_char,Cnil,Cblock,2);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-CHAR",1627),Cnil,VVtemp[55],VVtemp[27],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC66stream_write_char,Cnil,Cblock,2);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-CHAR",1627),Cnil,VVtemp[59],VVtemp[27],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC67stream_write_sequence,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1628),Cnil,VVtemp[47],VVtemp[60],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC68stream_write_sequence,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1628),Cnil,VVtemp[61],VVtemp[60],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC69stream_write_sequence,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1628),Cnil,VVtemp[55],VVtemp[60],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC70stream_write_sequence,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-SEQUENCE",1628),Cnil,VVtemp[59],VVtemp[23],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC71stream_write_string,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-STRING",1629),Cnil,VVtemp[47],VVtemp[62],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC72stream_write_string,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-STRING",1629),Cnil,VVtemp[55],VVtemp[62],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC73stream_write_string,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-WRITE-STRING",1629),Cnil,VVtemp[59],VVtemp[32],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC74stream_terpri,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-TERPRI",1624),Cnil,VVtemp[53],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC75stream_terpri,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-TERPRI",1624),Cnil,VVtemp[49],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC76stream_terpri,Cnil,Cblock,1);
	clos_install_method(7,ECL_SYM("STREAM-TERPRI",1624),Cnil,VVtemp[50],VVtemp[3],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC77stream_file_descriptor,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-FILE-DESCRIPTOR",1609),VVtemp[63],VVtemp[50],VVtemp[64],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC78stream_file_descriptor,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-FILE-DESCRIPTOR",1609),Cnil,VVtemp[50],VVtemp[37],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC79stream_file_descriptor,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-FILE-DESCRIPTOR",1609),Cnil,VVtemp[65],VVtemp[64],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	T0= ecl_make_cfun_va((cl_objectfn)LC80stream_file_descriptor,Cnil,Cblock);
	clos_install_method(7,ECL_SYM("STREAM-FILE-DESCRIPTOR",1609),Cnil,VVtemp[66],VVtemp[64],Cnil,Cnil,T0) /*  INSTALL-METHOD */;
	{cl_object V1;                            /*  P               */
	V1= cl_find_package(VVtemp[0])            /*  FIND-PACKAGE    */;
	cl_export(2,VVtemp[67],V1)                /*  EXPORT          */;
	{cl_object V2;
	cl_object V3;
	cl_object V4;                             /*  S               */
	T0= cl_find_package(VVtemp[68])           /*  FIND-PACKAGE    */;
	V2= si_packages_iterator(3,T0,VVtemp[69],Ct) /*  PACKAGES-ITERATOR */;
	V3= Cnil;
	V4= Cnil;
	goto L214;
L213:;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,V2)(0);
	{int V5=cl_env_copy->nvalues-0;
	if (V5--<=0) goto L218;
	V3= cl_env_copy->values[0];
	if (V5--<=0) goto L219;
	V4= cl_env_copy->values[1];
	goto L220;}
L218:;
	V3= Cnil;
L219:;
	V4= Cnil;
L220:;
	if((V3)!=Cnil){
	goto L223;}
	goto L205;
L223:;
	goto L221;
L221:;
	if((ecl_memql(V4,VVtemp[70]))!=Cnil){
	goto L227;}
	cl_export(2,V4,V1)                        /*  EXPORT          */;
	goto L225;
L227:;
	goto L225;
L225:;
L214:;
	goto L213;
	}
	}
L205:;
	ecl_cmp_defun(VV[15]);                    /*  REDEFINE-CL-FUNCTIONS */
}
