/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CMP;CMPLAM.LSP                                    */
#include <ecl/ecl-cmp.h>
#include "cmp/cmplam.eclh"
/*	function definition for C1LAMBDA-DOC                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1c1lambda_doc(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  C1FORM-ARGS */;
	value0=ecl_cadr(T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for C1LAMBDA-BODY                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2c1lambda_body(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  C1FORM-ARGS */;
	value0=ecl_caddr(T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for C1LAMBDA-LIST                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3c1lambda_list(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  C1FORM-ARGS */;
	value0=ecl_car(T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for FUN-NEEDS-NARG                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4fun_needs_narg(cl_object V1)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L5fun_fixed_narg(V1)                  /*  FUN-FIXED-NARG  */;
	value0=Null(T0)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for FUN-FIXED-NARG                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5fun_fixed_narg(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  NARG            */
	V2= Cnil;
	T0= ecl_function_dispatch(cl_env_copy,VV[100])(1,V1) /*  FUN-CLOSURE */;
	if((T0)==(VV[4])){
	goto L3;}
	T0= ecl_function_dispatch(cl_env_copy,VV[101])(1,V1) /*  FUN-MINARG */;
	V2= ecl_function_dispatch(cl_env_copy,VV[102])(1,V1) /*  FUN-MAXARG */;
	if(!(ecl_number_equalp(T0,V2))){
	goto L3;}
	if(!(ecl_number_compare(V2,MAKE_FIXNUM(64))<=0)){
	goto L3;}
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for ADD-REFERRED-VARIABLES-TO-FUNCTION    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6add_referred_variables_to_function(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	T0= ecl_function_dispatch(cl_env_copy,VV[104])(1,V1) /*  FUN-REFERRED-VARS */;
	T1= cl_union(2,T0,V2)                     /*  UNION           */;
	T2= ecl_function_dispatch(cl_env_copy,VV[105])(1,V1) /*  FUN-LOCAL-VARS */;
	V3= cl_set_difference(2,T1,T2)            /*  SET-DIFFERENCE  */;
	ecl_structure_set(V1,VV[6],22,V3);
	}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for C1COMPILE-FUNCTION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7c1compile_function(cl_narg narg, cl_object V1, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L7c1compile_functionkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[3]==Cnil){
	V2= ecl_function_dispatch(cl_env_copy,VV[107])(0) /*  MAKE-FUN */;
	}else{
	V2= keyvars[0];}
	if(keyvars[4]==Cnil){
	V3= ecl_function_dispatch(cl_env_copy,VV[108])(1,V2) /*  FUN-NAME */;
	}else{
	V3= keyvars[1];}
	if(keyvars[5]==Cnil){
	V4= VV[8];
	}else{
	V4= keyvars[2];}
	}
	{cl_object V5;                            /*  LAMBDA          */
	if((V3)==Cnil){
	goto L7;}
	V5= cl_listX(3,ECL_SYM("LAMBDA-BLOCK",1336),V3,V1) /*  LIST*  */;
	goto L5;
L7:;
	V5= CONS(ECL_SYM("LAMBDA",450),V1);
	goto L5;
L5:;
	ecl_structure_set(V2,VV[6],0,V3);
	ecl_structure_set(V2,VV[6],16,V5);
	{cl_object V6;
	V6= ecl_symbol_value(VV[9]);
	ecl_structure_set(V2,VV[6],20,V6);
	}
	}
	if((ecl_symbol_value(VV[9]))==Cnil){
	goto L14;}
	{cl_object V5;
	cl_object V6;
	V5= ecl_symbol_value(VV[9]);
	T0= ecl_function_dispatch(cl_env_copy,VV[112])(1,V5) /*  FUN-CHILD-FUNS */;
	V6= CONS(V2,T0);
	ecl_structure_set(V5,VV[6],24,V6);
	goto L12;
	}
L14:;
	goto L12;
L12:;
	{cl_object V5;                            /*  SETJMPS         */
	cl_object V6;                             /*  DECL            */
	cl_object V7;                             /*  GLOBAL          */
	cl_object V8;                             /*  NO-ENTRY        */
	cl_object V9;                             /*  LAMBDA-EXPR     */
	cl_object V10;                            /*  CHILDREN        */
	cl_object V11;                            /*  CFUN            */
	cl_object V12;                            /*  EXPORTED        */
	cl_object V13;                            /*  MINARG          */
	cl_object V14;                            /*  MAXARG          */
	ecl_bds_bind(cl_env_copy,VV[9],V2);       /*  *CURRENT-FUNCTION* */
	{cl_object V15;
	V15= ecl_function_dispatch(cl_env_copy,VV[113])(1,V4) /*  CMP-ENV-MARK */;
	T0= ecl_structure_set(V2,VV[6],27,V15);
	}
	ecl_bds_bind(cl_env_copy,VV[10],T0);      /*  *CMP-ENV*       */
	V5= ecl_symbol_value(VV[11]);
	T0= ecl_cdr(V1);
	V6= si_process_declarations(1,T0)         /*  PROCESS-DECLARATIONS */;
	if((ecl_assql(VV[12],V6))==Cnil){
	goto L25;}
	V7= ecl_structure_set(V2,VV[6],8,Ct);
	goto L23;
L25:;
	V7= Cnil;
	goto L23;
L23:;
	V8= ecl_assql(VV[13],V6);
	T0= si_function_block_name(V3)            /*  FUNCTION-BLOCK-NAME */;
	V9= L10c1lambda_expr(2,V1,T0)             /*  C1LAMBDA-EXPR   */;
	V10= ecl_function_dispatch(cl_env_copy,VV[112])(1,V2) /*  FUN-CHILD-FUNS */;
	V11= Cnil;
	V12= Cnil;
	V13= Cnil;
	V14= Cnil;
	if((V8)==Cnil){
	goto L36;}
	if((ecl_function_dispatch(cl_env_copy,VV[114])(0) /*  POLICY-DEBUG-IHS-FRAME */)==Cnil){
	goto L36;}
	V8= Cnil;
	ecl_function_dispatch(cl_env_copy,VV[115])(2,VV[14],V3) /*  CMPNOTE */;
	goto L34;
L36:;
	goto L34;
L34:;
	if(ecl_eql(V5,ecl_symbol_value(VV[11]))){
	goto L43;}
	ecl_structure_set(V9,VV[15],3,Ct);
	goto L41;
L43:;
	goto L41;
L41:;
	ecl_structure_set(V2,VV[6],15,V9);
	if((V7)==Cnil){
	goto L48;}
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[116])(1,V3) /*  EXPORTED-FNAME */;
	{int V15=cl_env_copy->nvalues-0;
	if (V15--<=0) goto L51;
	V11= cl_env_copy->values[0];
	if (V15--<=0) goto L52;
	V12= cl_env_copy->values[1];
	goto L53;}
L51:;
	V11= Cnil;
L52:;
	V12= Cnil;
L53:;
	goto L46;
L48:;
	V11= ecl_function_dispatch(cl_env_copy,VV[117])(2,VV[16],V3) /*  NEXT-CFUN */;
	V12= Cnil;
	goto L46;
L46:;
	if((V12)==Cnil){
	goto L59;}
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[118])(1,V3) /*  GET-PROCLAIMED-NARG */;
	{int V15=cl_env_copy->nvalues-0;
	if (V15--<=0) goto L63;
	V13= cl_env_copy->values[0];
	if (V15--<=0) goto L64;
	V14= cl_env_copy->values[1];
	goto L65;}
L63:;
	V13= Cnil;
L64:;
	V14= Cnil;
L65:;
	cl_format(5,Ct,VV[17],V3,V13,V14)         /*  FORMAT          */;
	if((V13)!=Cnil){
	goto L68;}
	V13= MAKE_FIXNUM(0);
	V14= MAKE_FIXNUM(65536);
	goto L57;
L68:;
	goto L57;
L59:;
	cl_env_copy->values[0]=L11lambda_form_allowed_nargs(V9) /*  LAMBDA-FORM-ALLOWED-NARGS */;
	{int V15=cl_env_copy->nvalues-0;
	if (V15--<=0) goto L74;
	V13= cl_env_copy->values[0];
	if (V15--<=0) goto L75;
	V14= cl_env_copy->values[1];
	goto L76;}
L74:;
	V13= Cnil;
L75:;
	V14= Cnil;
L76:;
	goto L57;
L57:;
	ecl_structure_set(V2,VV[6],5,V11);
	ecl_structure_set(V2,VV[6],9,V12);
	ecl_structure_set(V2,VV[6],12,Cnil);
	ecl_structure_set(V2,VV[6],17,V13);
	ecl_structure_set(V2,VV[6],18,V14);
	ecl_structure_set(V2,VV[6],14,V3);
	ecl_structure_set(V2,VV[6],10,V8);
	T0= ecl_fdefinition(VV[7]);
	{cl_object V15;
	cl_object V16;
	V15= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V10))) FEtype_error_list(V10);
	V16= V10;
	{cl_object V17;
	cl_object V18;
	V17= ecl_list1(Cnil);
	V18= V17;
L93:;
	if(!(ecl_endp(V16))){
	goto L97;}
	goto L94;
L97:;
	goto L95;
L95:;
	V15= _ecl_car(V16);
	{cl_object V19;
	V19= _ecl_cdr(V16);
	if (ecl_unlikely(!ECL_LISTP(V19))) FEtype_error_list(V19);
	V16= V19;
	}
	if (ecl_unlikely(ATOM(V18))) FEtype_error_cons(V18);
	T2= V18;
	T3= ecl_function_dispatch(cl_env_copy,VV[104])(1,V15) /*  FUN-REFERRED-VARS */;
	V18= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V18,T2);
	goto L93;
L94:;
	T1= ecl_cdr(V17);
	goto L86;
	}
	}
L86:;
	cl_reduce(4,T0,T1,VV[18],V2)              /*  REDUCE          */;
	T0= ecl_fdefinition(VV[7]);
	{cl_object V15;                           /*  LET1686         */
	cl_object V16;
	cl_object V17;
	V15= ecl_function_dispatch(cl_env_copy,VV[119])(1,V2) /*  FUN-REFERRED-FUNS */;
	V16= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
	V17= V15;
	{cl_object V18;
	cl_object V19;
	V18= ecl_list1(Cnil);
	V19= V18;
L121:;
	if(!(ecl_endp(V17))){
	goto L125;}
	goto L122;
L125:;
	goto L123;
L123:;
	V16= _ecl_car(V17);
	{cl_object V20;
	V20= _ecl_cdr(V17);
	if (ecl_unlikely(!ECL_LISTP(V20))) FEtype_error_list(V20);
	V17= V20;
	}
	if (ecl_unlikely(ATOM(V19))) FEtype_error_cons(V19);
	T2= V19;
	T3= ecl_function_dispatch(cl_env_copy,VV[104])(1,V16) /*  FUN-REFERRED-VARS */;
	V19= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V19,T2);
	goto L121;
L122:;
	T1= ecl_cdr(V18);
	goto L113;
	}
	}
L113:;
	cl_reduce(4,T0,T1,VV[18],V2)              /*  REDUCE          */;
	{cl_object V15;                           /*  FINISH          */
	V15= Cnil;
	goto L144;
L143:;
	V15= Ct;
	{cl_object V16;
	V16= ecl_function_dispatch(cl_env_copy,VV[112])(1,V2) /*  FUN-CHILD-FUNS */;
	goto L153;
L152:;
	{cl_object V17;                           /*  F               */
	V17= ecl_car(V16);
	if((ecl_function_dispatch(cl_env_copy,VV[120])(1,V17) /*  COMPUTE-FUN-CLOSURE-TYPE */)==Cnil){
	goto L159;}
	V15= Cnil;
	goto L157;
L159:;
	goto L157;
L157:;
	}
	V16= ecl_cdr(V16);
L153:;
	if((V16)==Cnil){
	goto L166;}
	goto L152;
L166:;
	goto L164;
L164:;
	goto L150;
L150:;
	}
L144:;
	if((V15)!=Cnil){
	goto L170;}
	goto L143;
L170:;
	goto L168;
L168:;
	goto L141;
L141:;
	}
	ecl_function_dispatch(cl_env_copy,VV[120])(1,V2) /*  COMPUTE-FUN-CLOSURE-TYPE */;
	if((V7)==Cnil){
	goto L174;}
	if((ecl_function_dispatch(cl_env_copy,VV[100])(1,V2) /*  FUN-CLOSURE */)==Cnil){
	goto L177;}
	T0= ecl_function_dispatch(cl_env_copy,VV[108])(1,V2) /*  FUN-NAME */;
	{cl_object V15;                           /*  LET1688         */
	cl_object V16;
	cl_object V17;
	V15= ecl_function_dispatch(cl_env_copy,VV[104])(1,V2) /*  FUN-REFERRED-VARS */;
	V16= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V15))) FEtype_error_list(V15);
	V17= V15;
	{cl_object V18;
	cl_object V19;
	V18= ecl_list1(Cnil);
	V19= V18;
L187:;
	if(!(ecl_endp(V17))){
	goto L191;}
	goto L188;
L191:;
	goto L189;
L189:;
	V16= _ecl_car(V17);
	{cl_object V20;
	V20= _ecl_cdr(V17);
	if (ecl_unlikely(!ECL_LISTP(V20))) FEtype_error_list(V20);
	V17= V20;
	}
	if (ecl_unlikely(ATOM(V19))) FEtype_error_cons(V19);
	T2= V19;
	T3= ecl_function_dispatch(cl_env_copy,VV[121])(1,V16) /*  VAR-NAME */;
	V19= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V19,T2);
	goto L187;
L188:;
	T1= ecl_cdr(V18);
	goto L179;
	}
	}
L179:;
	ecl_function_dispatch(cl_env_copy,VV[115])(3,VV[19],T0,T1) /*  CMPNOTE */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L18;
L177:;
	T0= ecl_function_dispatch(cl_env_copy,VV[122])(1,V2) /*  FUN-NO-ENTRY */;
	ecl_function_dispatch(cl_env_copy,VV[123])(2,V2,T0) /*  NEW-DEFUN */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L18;
L174:;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L18;
	}
L18:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for CMP-PROCESS-LAMBDA-LIST               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9cmp_process_lambda_list(cl_object volatile V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object env1 = env0;
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);
	{ volatile cl_object env2 = env1;
	CLV1=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  TAGBODY */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV1))) {
	if (cl_env_copy->values[0]==MAKE_FIXNUM(0))goto L2;
	ecl_internal_error("GO found an inexistent tag");
	}
	T0= ecl_make_cclosure_va((cl_objectfn)LC8__g61,env2,Cblock);
	T1= CONS(ECL_SYM("ERROR",335),T0);
	T2= ecl_list1(T1);
	T3= CONS(T2,ecl_symbol_value(VV[21]));
	ecl_bds_bind(cl_env_copy,VV[21],T3);      /*  *HANDLER-CLUSTERS* */
	value0=si_process_lambda_list(V1,ECL_SYM("FUNCTION",394)) /*  PROCESS-LAMBDA-LIST */;
	ecl_frs_pop(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L2:;
	value0=ecl_function_dispatch(cl_env_copy,VV[125])(2,VV[22],V1) /*  CMPERR */;
	ecl_frs_pop(cl_env_copy);
	return value0;}
	}
}}
/*	closure G61                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8__g61(cl_narg narg, cl_object V1, ...)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV1=env0;                                /*  TAGBODY         */
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= V1;
	cl_go(ECL_CONS_CAR(CLV1),MAKE_FIXNUM(0));
}}}
/*	function definition for C1LAMBDA-EXPR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10c1lambda_expr(cl_narg narg, cl_object V1, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Cnil;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V3;                            /*  DOC             */
	cl_object V4;                             /*  BODY            */
	cl_object V5;                             /*  SS              */
	cl_object V6;                             /*  IS              */
	cl_object V7;                             /*  TS              */
	cl_object V8;                             /*  OTHER-DECLS     */
	cl_object V9;                             /*  TYPE-CHECKS     */
	cl_object V10;                            /*  OLD-ENV         */
	V3= Cnil;
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	V8= Cnil;
	V9= Cnil;
	ecl_bds_bind(cl_env_copy,VV[24],Ct);      /*  *PERMANENT-DATA* */
	V10= ecl_symbol_value(VV[10]);
	T0= ecl_function_dispatch(cl_env_copy,VV[126])(0) /*  CMP-ENV-COPY */;
	ecl_bds_bind(cl_env_copy,VV[10],T0);      /*  *CMP-ENV*       */
	if(!(ecl_endp(V1))){
	goto L12;}
	T0= CONS(ECL_SYM("LAMBDA",450),V1);
	ecl_function_dispatch(cl_env_copy,VV[125])(2,VV[25],T0) /*  CMPERR */;
	goto L10;
L12:;
	goto L10;
L10:;
	T0= ecl_cdr(V1);
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,VV[127])(2,T0,Ct) /*  C1BODY */;
	{int V11=cl_env_copy->nvalues-0;
	if (V11--<=0) goto L16;
	V4= cl_env_copy->values[0];
	if (V11--<=0) goto L17;
	V5= cl_env_copy->values[1];
	if (V11--<=0) goto L18;
	V7= cl_env_copy->values[2];
	if (V11--<=0) goto L19;
	V6= cl_env_copy->values[3];
	if (V11--<=0) goto L20;
	V8= cl_env_copy->values[4];
	if (V11--<=0) goto L21;
	V3= cl_env_copy->values[5];
	goto L22;}
L16:;
	V4= Cnil;
L17:;
	V5= Cnil;
L18:;
	V7= Cnil;
L19:;
	V6= Cnil;
L20:;
	V8= Cnil;
L21:;
	V3= Cnil;
L22:;
	if((V2)==Cnil){
	goto L25;}
	T0= cl_listX(3,ECL_SYM("BLOCK",135),V2,V4) /*  LIST*          */;
	V4= ecl_list1(T0);
	goto L23;
L25:;
	goto L23;
L23:;
	T0= ecl_car(V1);
	cl_env_copy->values[0]=L9cmp_process_lambda_list(T0) /*  CMP-PROCESS-LAMBDA-LIST */;
	{
	cl_object V12;                            /*  REQUIREDS       */
	cl_object V13;                            /*  OPTIONALS       */
	cl_object V14;                            /*  REST            */
	cl_object V15;                            /*  KEY-FLAG        */
	cl_object V16;                            /*  KEYWORDS        */
	cl_object V17;                            /*  ALLOW-OTHER-KEYS */
	cl_object V18;                            /*  AUX-VARS        */
	{int V19=cl_env_copy->nvalues-0;
	if (V19--<=0) goto L29;
	V12= cl_env_copy->values[0];
	if (V19--<=0) goto L30;
	V13= cl_env_copy->values[1];
	if (V19--<=0) goto L31;
	V14= cl_env_copy->values[2];
	if (V19--<=0) goto L32;
	V15= cl_env_copy->values[3];
	if (V19--<=0) goto L33;
	V16= cl_env_copy->values[4];
	if (V19--<=0) goto L34;
	V17= cl_env_copy->values[5];
	if (V19--<=0) goto L35;
	V18= cl_env_copy->values[6];
	goto L36;}
L29:;
	V12= Cnil;
L30:;
	V13= Cnil;
L31:;
	V14= Cnil;
L32:;
	V15= Cnil;
L33:;
	V16= Cnil;
L34:;
	V17= Cnil;
L35:;
	V18= Cnil;
L36:;
	{cl_object V19;                           /*  SPECS           */
	V12= ecl_cdr(V12);
	V19= V12;
	goto L43;
L42:;
	{cl_object V20;                           /*  NAME            */
	cl_object V21;                            /*  VAR             */
	V20= ecl_car(V19);
	V21= ecl_function_dispatch(cl_env_copy,VV[128])(4,V20,V5,V6,V7) /*  C1MAKE-VAR */;
	V9= CONS(V21,V9);
	if (ecl_unlikely(ATOM(V19))) FEtype_error_cons(V19);
	T0= V19;
	(ECL_CONS_CAR(T0)=V21,T0);
	ecl_function_dispatch(cl_env_copy,VV[129])(1,V21) /*  PUSH-VARS */;
	}
	V19= ecl_cdr(V19);
L43:;
	if(ecl_endp(V19)){
	goto L58;}
	goto L42;
L58:;
	goto L56;
L56:;
	goto L40;
L40:;
	}
	{cl_object V19;                           /*  SPECS           */
	V13= ecl_cdr(V13);
	V19= V13;
	goto L66;
L65:;
	{cl_object V20;                           /*  NAME            */
	cl_object V21;                            /*  VAR             */
	cl_object V22;                            /*  INIT            */
	cl_object V23;                            /*  FLAG            */
	V20= ecl_car(V19);
	V21= ecl_function_dispatch(cl_env_copy,VV[128])(4,V20,V5,V6,V7) /*  C1MAKE-VAR */;
	V22= ecl_cadr(V19);
	V23= ecl_caddr(V19);
	if((V22)==Cnil){
	goto L76;}
	T0= ecl_function_dispatch(cl_env_copy,VV[130])(1,V21) /*  VAR-TYPE */;
	T1= ecl_function_dispatch(cl_env_copy,VV[131])(1,V22) /*  C1EXPR */;
	V22= ecl_function_dispatch(cl_env_copy,VV[132])(6,T0,T1,V22,VV[26],VV[27],V2) /*  AND-FORM-TYPE */;
	goto L74;
L76:;
	V22= ecl_function_dispatch(cl_env_copy,VV[133])(1,V21) /*  DEFAULT-INIT */;
	goto L74;
L74:;
	V9= CONS(V21,V9);
	ecl_function_dispatch(cl_env_copy,VV[129])(1,V21) /*  PUSH-VARS */;
	if((V23)==Cnil){
	goto L83;}
	V23= ecl_function_dispatch(cl_env_copy,VV[128])(4,V23,V5,V6,V7) /*  C1MAKE-VAR */;
	ecl_function_dispatch(cl_env_copy,VV[129])(1,V23) /*  PUSH-VARS */;
	goto L81;
L83:;
	goto L81;
L81:;
	if (ecl_unlikely(ATOM(V19))) FEtype_error_cons(V19);
	T0= V19;
	(ECL_CONS_CAR(T0)=V21,T0);
	{cl_object V24;
	V24= ecl_cdr(V19);
	if (ecl_unlikely(ATOM(V24))) FEtype_error_cons(V24);
	T0= V24;
	}
	(ECL_CONS_CAR(T0)=V22,T0);
	{cl_object V24;
	V24= ecl_cddr(V19);
	if (ecl_unlikely(ATOM(V24))) FEtype_error_cons(V24);
	T0= V24;
	}
	(ECL_CONS_CAR(T0)=V23,T0);
	}
	V19= ecl_cdddr(V19);
L66:;
	if(ecl_endp(V19)){
	goto L103;}
	goto L65;
L103:;
	goto L101;
L101:;
	goto L63;
L63:;
	}
	if((V14)==Cnil){
	goto L107;}
	V14= ecl_function_dispatch(cl_env_copy,VV[128])(4,V14,V5,V6,V7) /*  C1MAKE-VAR */;
	ecl_function_dispatch(cl_env_copy,VV[129])(1,V14) /*  PUSH-VARS */;
	goto L105;
L107:;
	goto L105;
L105:;
	{cl_object V19;                           /*  SPECS           */
	V16= ecl_cdr(V16);
	V19= V16;
	goto L116;
L115:;
	{cl_object V20;                           /*  NAME            */
	cl_object V21;                            /*  VAR             */
	cl_object V22;                            /*  INIT            */
	cl_object V23;                            /*  FLAG            */
	V20= ecl_cadr(V19);
	V21= ecl_function_dispatch(cl_env_copy,VV[128])(4,V20,V5,V6,V7) /*  C1MAKE-VAR */;
	V22= ecl_caddr(V19);
	V23= ecl_cadddr(V19);
	if((V22)==Cnil){
	goto L126;}
	T0= ecl_function_dispatch(cl_env_copy,VV[130])(1,V21) /*  VAR-TYPE */;
	T1= ecl_function_dispatch(cl_env_copy,VV[131])(1,V22) /*  C1EXPR */;
	V22= ecl_function_dispatch(cl_env_copy,VV[132])(6,T0,T1,V22,VV[26],VV[27],V2) /*  AND-FORM-TYPE */;
	goto L124;
L126:;
	V22= ecl_function_dispatch(cl_env_copy,VV[133])(1,V21) /*  DEFAULT-INIT */;
	goto L124;
L124:;
	V9= CONS(V21,V9);
	ecl_function_dispatch(cl_env_copy,VV[129])(1,V21) /*  PUSH-VARS */;
	if((V23)==Cnil){
	goto L133;}
	V23= ecl_function_dispatch(cl_env_copy,VV[128])(4,V23,V5,V6,V7) /*  C1MAKE-VAR */;
	ecl_function_dispatch(cl_env_copy,VV[129])(1,V23) /*  PUSH-VARS */;
	goto L131;
L133:;
	goto L131;
L131:;
	{cl_object V24;
	V24= ecl_cdr(V19);
	if (ecl_unlikely(ATOM(V24))) FEtype_error_cons(V24);
	T0= V24;
	}
	(ECL_CONS_CAR(T0)=V21,T0);
	{cl_object V24;
	V24= ecl_cddr(V19);
	if (ecl_unlikely(ATOM(V24))) FEtype_error_cons(V24);
	T0= V24;
	}
	(ECL_CONS_CAR(T0)=V22,T0);
	{cl_object V24;
	V24= ecl_cdddr(V19);
	if (ecl_unlikely(ATOM(V24))) FEtype_error_cons(V24);
	T0= V24;
	}
	(ECL_CONS_CAR(T0)=V23,T0);
	}
	V19= ecl_cddddr(V19);
L116:;
	if(ecl_endp(V19)){
	goto L154;}
	goto L115;
L154:;
	goto L152;
L152:;
	goto L113;
L113:;
	}
	T0= ecl_fdefinition(VV[134]);
	cl_set(VV[10],cl_reduce(4,T0,V8,VV[18],ecl_symbol_value(VV[10])) /*  REDUCE */);
	{cl_object V19;                           /*  DECLARATIONS    */
	cl_object V20;                            /*  TYPE-CHECKS     */
	cl_object V21;                            /*  TYPE-CHECK-FORMS */
	cl_object V22;                            /*  LET-VARS        */
	cl_object V23;                            /*  NEW-VARIABLES   */
	cl_object V24;                            /*  ALREADY-DECLARED-NAMES */
	V19= V8;
	V20= ecl_function_dispatch(cl_env_copy,VV[135])(6,V2,V12,V13,V16,V7,V8) /*  EXTRACT-LAMBDA-TYPE-CHECKS */;
	V21= ecl_car(V20);
	{cl_object V25;                           /*  SPEC            */
	T0= ecl_cdr(V20);
	V25= ecl_nconc(T0,V18);
	{cl_object V26;                           /*  NAME            */
	V26= Cnil;
	{cl_object V27;                           /*  INIT            */
	V27= Cnil;
	{cl_object V28;
	cl_object V29;
	V28= ecl_list1(Cnil);
	V29= V28;
L169:;
	if(!(ECL_ATOM(V25))){
	goto L173;}
	goto L170;
L173:;
	goto L171;
L171:;
	V26= ecl_car(V25);
	V27= ecl_cadr(V25);
	if (ecl_unlikely(ATOM(V29))) FEtype_error_cons(V29);
	T0= V29;
	T1= cl_list(2,V26,V27)                    /*  LIST            */;
	V29= ecl_list1(T1);
	(ECL_CONS_CDR(T0)=V29,T0);
	V25= ecl_cddr(V25);
	goto L169;
L170:;
	V22= ecl_cdr(V28);
	goto L162;
	}
	}
	}
	}
L162:;
	V23= ecl_function_dispatch(cl_env_copy,VV[136])(2,ecl_symbol_value(VV[10]),V10) /*  CMP-ENV-NEW-VARIABLES */;
	{cl_object V25;
	cl_object V26;
	V25= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V23))) FEtype_error_list(V23);
	V26= V23;
	{cl_object V27;
	cl_object V28;
	V27= ecl_list1(Cnil);
	V28= V27;
L196:;
	if(!(ecl_endp(V26))){
	goto L200;}
	goto L197;
L200:;
	goto L198;
L198:;
	V25= _ecl_car(V26);
	{cl_object V29;
	V29= _ecl_cdr(V26);
	if (ecl_unlikely(!ECL_LISTP(V29))) FEtype_error_list(V29);
	V26= V29;
	}
	if (ecl_unlikely(ATOM(V28))) FEtype_error_cons(V28);
	T1= V28;
	T2= ecl_function_dispatch(cl_env_copy,VV[121])(1,V25) /*  VAR-NAME */;
	V28= ecl_list1(T2);
	(ECL_CONS_CDR(T1)=V28,T1);
	goto L196;
L197:;
	T0= ecl_cdr(V27);
	goto L189;
	}
	}
L189:;
	{cl_object V25;
	cl_object V26;
	V25= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V22))) FEtype_error_list(V22);
	V26= V22;
	{cl_object V27;
	cl_object V28;
	V27= ecl_list1(Cnil);
	V28= V27;
L221:;
	if(!(ecl_endp(V26))){
	goto L225;}
	goto L222;
L225:;
	goto L223;
L223:;
	V25= _ecl_car(V26);
	{cl_object V29;
	V29= _ecl_cdr(V26);
	if (ecl_unlikely(!ECL_LISTP(V29))) FEtype_error_list(V29);
	V26= V29;
	}
	if (ecl_unlikely(ATOM(V28))) FEtype_error_cons(V28);
	T2= V28;
	T3= ecl_car(V25);
	V28= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V28,T2);
	goto L221;
L222:;
	T1= ecl_cdr(V27);
	goto L214;
	}
	}
L214:;
	V24= cl_set_difference(2,T0,T1)           /*  SET-DIFFERENCE  */;
	{cl_object V25;                           /*  SPECIALS        */
	V25= cl_set_difference(2,V5,V24)          /*  SET-DIFFERENCE  */;
	if((V25)==Cnil){
	goto L242;}
	T0= CONS(ECL_SYM("SPECIAL",787),V25);
	V19= CONS(T0,V19);
	goto L239;
L242:;
	goto L239;
	}
L239:;
	{cl_object V25;                           /*  IGNORABLES      */
	{cl_object V26;                           /*  VAR             */
	cl_object V27;                            /*  EXPECTED-USES   */
	cl_object V28;
	V26= Cnil;
	V27= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	V28= V6;
	{cl_object V29;
	cl_object V30;
	V29= ecl_list1(Cnil);
	V30= V29;
L254:;
	if(!(ecl_endp(V28))){
	goto L258;}
	goto L255;
L258:;
	goto L256;
L256:;
	{cl_object V31;
	V31= _ecl_car(V28);
	V26= ecl_car(V31);
	V31= ecl_cdr(V31);
	V27= V31;
	}
	{cl_object V31;
	V31= _ecl_cdr(V28);
	if (ecl_unlikely(!ECL_LISTP(V31))) FEtype_error_list(V31);
	V28= V31;
	}
	if((ecl_memql(V26,V24))!=Cnil){
	goto L273;}
	if (ecl_unlikely(ATOM(V30))) FEtype_error_cons(V30);
	T0= V30;
	V30= ecl_list1(V26);
	(ECL_CONS_CDR(T0)=V30,T0);
	goto L271;
L273:;
	goto L271;
L271:;
	goto L254;
L255:;
	V25= ecl_cdr(V29);
	goto L246;
	}
	}
L246:;
	if((V25)==Cnil){
	goto L281;}
	T0= CONS(ECL_SYM("IGNORABLE",425),V25);
	V19= CONS(T0,V19);
	goto L245;
L281:;
	goto L245;
	}
L245:;
	{cl_object V25;                           /*  VAR             */
	cl_object V26;                            /*  TYPE            */
	cl_object V27;
	V25= Cnil;
	V26= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V7))) FEtype_error_list(V7);
	V27= V7;
L290:;
	if(!(ecl_endp(V27))){
	goto L294;}
	goto L291;
L294:;
	goto L292;
L292:;
	{cl_object V28;
	V28= _ecl_car(V27);
	V25= ecl_car(V28);
	V28= ecl_cdr(V28);
	V26= V28;
	}
	{cl_object V28;
	V28= _ecl_cdr(V27);
	if (ecl_unlikely(!ECL_LISTP(V28))) FEtype_error_list(V28);
	V27= V28;
	}
	if((ecl_memql(V25,V24))!=Cnil){
	goto L309;}
	T0= cl_list(3,ECL_SYM("TYPE",867),V26,V25) /*  LIST           */;
	V19= CONS(T0,V19);
	goto L307;
L309:;
	goto L307;
L307:;
	goto L290;
L291:;
	goto L284;
	}
L284:;
	if((V22)!=Cnil){
	goto L317;}
	if((V19)==Cnil){
	goto L315;}
	goto L316;
L317:;
L316:;
	T0= CONS(ECL_SYM("DECLARE",272),V19);
	T1= cl_listX(4,ECL_SYM("LET*",476),V22,T0,V4) /*  LIST*       */;
	V4= ecl_list1(T1);
	goto L313;
L315:;
	goto L313;
L313:;
	V4= ecl_nconc(V21,V4);
	T0= ecl_function_dispatch(cl_env_copy,VV[126])(1,ecl_symbol_value(VV[10])) /*  CMP-ENV-COPY */;
	ecl_bds_bind(cl_env_copy,VV[10],T0);      /*  *CMP-ENV*       */
	V4= ecl_function_dispatch(cl_env_copy,VV[137])(1,V4) /*  C1PROGN */;
	ecl_bds_unwind1(cl_env_copy);
	{cl_object V25;
	V25= V23;
	goto L329;
L328:;
	{cl_object V26;                           /*  VAR             */
	V26= ecl_car(V25);
	ecl_function_dispatch(cl_env_copy,VV[138])(1,V26) /*  CHECK-VREF */;
	}
	V25= ecl_cdr(V25);
L329:;
	if((V25)==Cnil){
	goto L338;}
	goto L328;
L338:;
	goto L336;
L336:;
	goto L326;
L326:;
	}
	T0= cl_list(6,V12,V13,V14,V15,V16,V17)    /*  LIST            */;
	value0=ecl_function_dispatch(cl_env_copy,VV[139])(7,ECL_SYM("LAMBDA",450),VV[28],V23,VV[29],T0,V3,V4) /*  MAKE-C1FORM* */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}}
	}
}}
/*	function definition for LAMBDA-FORM-ALLOWED-NARGS             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11lambda_form_allowed_nargs(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  MINARG          */
	cl_object V3;                             /*  MAXARG          */
	V2= MAKE_FIXNUM(0);
	V3= MAKE_FIXNUM(65536);
	{cl_object V4;
	cl_object V5;
	cl_object V6;                             /*  REQUIREDS       */
	cl_object V7;                             /*  OPTIONALS       */
	cl_object V8;                             /*  REST            */
	cl_object V9;                             /*  KEY-FLAG        */
	cl_object V10;                            /*  KEYWORDS        */
	cl_object V11;                            /*  A-O-K           */
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V1) /*  C1FORM-ARGS */;
	V4= ecl_car(T0);
	V5= V4;
	if(!(V5==Cnil)){
	goto L9;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L7;
L9:;
	goto L7;
L7:;
	{cl_object V12;
	V12= ecl_car(V5);
	V5= ecl_cdr(V5);
	V6= V12;
	}
	if(!(V5==Cnil)){
	goto L17;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L15;
L17:;
	goto L15;
L15:;
	{cl_object V12;
	V12= ecl_car(V5);
	V5= ecl_cdr(V5);
	V7= V12;
	}
	if(!(V5==Cnil)){
	goto L25;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L23;
L25:;
	goto L23;
L23:;
	{cl_object V12;
	V12= ecl_car(V5);
	V5= ecl_cdr(V5);
	V8= V12;
	}
	if(!(V5==Cnil)){
	goto L33;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L31;
L33:;
	goto L31;
L31:;
	{cl_object V12;
	V12= ecl_car(V5);
	V5= ecl_cdr(V5);
	V9= V12;
	}
	if(!(V5==Cnil)){
	goto L41;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L39;
L41:;
	goto L39;
L39:;
	{cl_object V12;
	V12= ecl_car(V5);
	V5= ecl_cdr(V5);
	V10= V12;
	}
	if(!(V5==Cnil)){
	goto L49;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L47;
L49:;
	goto L47;
L47:;
	{cl_object V12;
	V12= ecl_car(V5);
	V5= ecl_cdr(V5);
	V11= V12;
	}
	if((V5)==Cnil){
	goto L56;}
	si_dm_too_many_arguments(1,V5)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L54;
L56:;
	goto L54;
L54:;
	if(!(V8==Cnil)){
	goto L59;}
	if((V9)!=Cnil){
	goto L59;}
	if((V11)!=Cnil){
	goto L59;}
	V2= MAKE_FIXNUM(ecl_length(V6));
	{cl_fixnum V12;
	V12= ecl_length(V7);
	T0= ecl_divide(MAKE_FIXNUM(V12),MAKE_FIXNUM(3));
	V3= ecl_plus(V2,T0);}
	goto L3;
L59:;
	goto L3;
	}
L3:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
	}
}}
/*	function definition for C2LAMBDA-EXPR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14c2lambda_expr(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<5)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>7)) FEwrong_num_arguments_anonym();
	{
	cl_object V6;
	cl_object V7;
	va_list args; va_start(args,V5);
	{int i=5;
	if (i >= narg) {
	V6= Cnil;
	} else {
	i++;
	V6= va_arg(args,cl_object);
	}
	if (i >= narg) {
	V7= Cnil;
	} else {
	i++;
	V7= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V8;                            /*  REQUIREDS       */
	cl_object V9;                             /*  OPTIONALS       */
	cl_object V10;                            /*  REST            */
	cl_object V11;                            /*  REST-LOC        */
	cl_object V12;                            /*  KEYWORDS        */
	cl_object V13;                            /*  ALLOW-OTHER-KEYS */
	cl_fixnum V14;                            /*  NREQ            */
	cl_object V15;                            /*  NOPT            */
	cl_fixnum V16;                            /*  NKEY            */
	cl_object V17;                            /*  VARARGS         */
	cl_object V18;                            /*  FNAME-IN-IHS-P  */
	cl_object V19;                            /*  SIMPLE-VARARGS  */
	V8= ecl_car(V1);
	V9= ecl_cadr(V1);
	V10= ecl_caddr(V1);
	V11= Cnil;
	T0= ecl_cddddr(V1);
	V12= ecl_car(T0);
	T0= ecl_cddddr(V1);
	V13= ecl_cadr(T0);
	V14= ecl_length(V8);
	{cl_fixnum V20;
	V20= ecl_length(V9);
	V15= ecl_divide(MAKE_FIXNUM(V20),MAKE_FIXNUM(3));}
	{cl_object V20;
	{cl_fixnum V21;
	V21= ecl_length(V12);
	V20= ecl_divide(MAKE_FIXNUM(V21),MAKE_FIXNUM(4));}
	{bool V21;
	V21= FIXNUMP(V20);
	if (ecl_unlikely(!(V21)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V20);}
	V16= ecl_fix(V20);
	}
	value0=V9;
	if((value0)!=Cnil){
	goto L16;}
	value0=V10;
	if((value0)!=Cnil){
	goto L16;}
	value0=V12;
	if((value0)!=Cnil){
	goto L16;}
	V17= V13;
	goto L14;
L16:;
	V17= value0;
	goto L14;
L14:;
	value0=ecl_function_dispatch(cl_env_copy,VV[142])(0) /*  POLICY-DEBUG-VARIABLE-BINDINGS */;
	if((value0)!=Cnil){
	goto L22;}
	if((ecl_function_dispatch(cl_env_copy,VV[114])(0) /*  POLICY-DEBUG-IHS-FRAME */)==Cnil){
	goto L25;}
	V18= V4;
	goto L20;
L25:;
	V18= Cnil;
	goto L20;
L22:;
	V18= value0;
	goto L20;
L20:;
	V19= Cnil;
	ecl_bds_bind(cl_env_copy,VV[24],Ct);      /*  *PERMANENT-DATA* */
	ecl_bds_push(cl_env_copy,VV[31]);         /*  *UNWIND-EXIT*   */
	ecl_bds_push(cl_env_copy,VV[32]);         /*  *ENV*           */
	if((V4)==Cnil){
	goto L30;}
	{cl_object V20;
	V20= ecl_car(V1);
	goto L38;
L37:;
	{cl_object V21;                           /*  VAR             */
	{cl_object V22;
	V22= ecl_car(V20);
	T0= si_of_class_p(2,V22,VV[33])           /*  OF-CLASS-P      */;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(VV[33],V22);
	V21= V22;
	}
	if((ecl_function_dispatch(cl_env_copy,VV[143])(1,V21) /*  VAR-REF-CCB */)==Cnil){
	goto L46;}
	goto L30;
L46:;
	goto L44;
L44:;
	}
	V20= ecl_cdr(V20);
L38:;
	if((V20)==Cnil){
	goto L52;}
	goto L37;
L52:;
	goto L50;
L50:;
	goto L35;
L35:;
	}
	T0= ecl_cadr(V1);
	if(!(T0==Cnil)){
	goto L30;}
	T0= ecl_caddr(V1);
	if(!(T0==Cnil)){
	goto L30;}
	T0= ecl_cadddr(V1);
	if(!(T0==Cnil)){
	goto L30;}
	T0= ecl_car(V1);
	cl_set(VV[34],CONS(ecl_symbol_value(VV[34]),T0));
	goto L28;
L30:;
	cl_set(VV[34],Cnil);
	goto L28;
L28:;
	if((V7)==Cnil){
	goto L60;}
	if((V17)==Cnil){
	goto L60;}
	ecl_function_dispatch(cl_env_copy,VV[144])(0) /*  BABOON      */;
	goto L58;
L60:;
	goto L58;
L58:;
	if((V7)!=Cnil){
	goto L65;}
	if((ecl_function_dispatch(cl_env_copy,VV[145])(0) /*  POLICY-CHECK-NARGS */)==Cnil){
	goto L65;}
	cl_set(VV[35],ecl_plus(ecl_symbol_value(VV[35]),MAKE_FIXNUM(1)));
	if((V5)==Cnil){
	goto L72;}
	if((V17)!=Cnil){
	goto L72;}
	ecl_function_dispatch(cl_env_copy,VV[146])(3,VV[36],MAKE_FIXNUM(V14),VV[37]) /*  WT-NL */;
	goto L70;
L72:;
	if((V17)==Cnil){
	goto L76;}
	if((V8)==Cnil){
	goto L80;}
	ecl_function_dispatch(cl_env_copy,VV[146])(3,VV[38],MAKE_FIXNUM(V14),VV[37]) /*  WT-NL */;
	goto L78;
L80:;
	goto L78;
L78:;
	if((V10)!=Cnil){
	goto L83;}
	if((V12)!=Cnil){
	goto L83;}
	if((V13)!=Cnil){
	goto L83;}
	T0= ecl_plus(MAKE_FIXNUM(V14),V15);
	ecl_function_dispatch(cl_env_copy,VV[146])(3,VV[39],T0,VV[37]) /*  WT-NL */;
	goto L70;
L83:;
	goto L70;
L76:;
	goto L70;
L70:;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[40]) /*  WT-NL */;
	goto L63;
L65:;
	goto L63;
L63:;
	if(!((V14)>(64))){
	goto L89;}
	T0= ecl_minus(MAKE_FIXNUM(V14),MAKE_FIXNUM(64));
	V15= ecl_plus(V15,T0);
	V14= 64;
	T0= (ECL_SYM("NCONC",579)->symbol.gfdef);
	{cl_object V20;                           /*  LET1702         */
	cl_object V21;
	cl_object V22;
	V20= cl_subseq(2,V8,MAKE_FIXNUM(64))      /*  SUBSEQ          */;
	V21= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V20))) FEtype_error_list(V20);
	V22= V20;
	{cl_object V23;
	cl_object V24;
	V23= ecl_list1(Cnil);
	V24= V23;
L106:;
	if(!(ecl_endp(V22))){
	goto L110;}
	goto L107;
L110:;
	goto L108;
L108:;
	V21= _ecl_car(V22);
	{cl_object V25;
	V25= _ecl_cdr(V22);
	if (ecl_unlikely(!ECL_LISTP(V25))) FEtype_error_list(V25);
	V22= V25;
	}
	if (ecl_unlikely(ATOM(V24))) FEtype_error_cons(V24);
	T2= V24;
	T3= cl_list(3,V21,ecl_symbol_value(VV[41]),Cnil) /*  LIST     */;
	V24= ecl_list1(T3);
	(ECL_CONS_CDR(T2)=V24,T2);
	goto L106;
L107:;
	T1= ecl_cdr(V23);
	goto L98;
	}
	}
L98:;
	T2= cl_reduce(2,T0,T1)                    /*  REDUCE          */;
	T3= ecl_cdr(V9);
	V9= ecl_nconc(T2,T3);
	V8= cl_subseq(3,V8,MAKE_FIXNUM(0),MAKE_FIXNUM(64)) /*  SUBSEQ */;
	V17= Ct;
	goto L87;
L89:;
	goto L87;
L87:;
	{cl_object V20;                           /*  REQ0            */
	V20= ecl_symbol_value(VV[42]);
	{cl_fixnum V21;
	{cl_object V22;
	V22= ecl_plus(V20,MAKE_FIXNUM(V14));
	{bool V23;
	V23= FIXNUMP(V22);
	if (ecl_unlikely(!(V23)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V22);}
	V21= ecl_fix(V22);
	}
	lex0[0]= MAKE_FIXNUM(V21);                /*  LCL             */}
	{cl_object V22;                           /*  VAR             */
	cl_object V23;
	V22= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
	V23= V8;
	{cl_fixnum V24;                           /*  REQI            */
	{cl_object V25;
	V25= ecl_one_plus(V20);
	{bool V26;
	V26= FIXNUMP(V25);
	if (ecl_unlikely(!(V26)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V25);}
	V24= ecl_fix(V25);
	}
	if(!(ecl_endp(V23))){
	goto L146;}
	goto L143;
L146:;
	goto L144;
L144:;
	V22= _ecl_car(V23);
	{cl_object V25;
	V25= _ecl_cdr(V23);
	if (ecl_unlikely(!ECL_LISTP(V25))) FEtype_error_list(V25);
	V23= V25;
	}
L142:;
	if((V7)==Cnil){
	goto L156;}
	T0= cl_list(2,VV[46],MAKE_FIXNUM(V24))    /*  LIST            */;
	ecl_function_dispatch(cl_env_copy,VV[147])(2,T0,V22) /*  BIND */;
	goto L154;
L156:;
	if((ecl_function_dispatch(cl_env_copy,VV[148])(1,V22) /*  UNBOXED */)==Cnil){
	goto L159;}
	{cl_object V25;
	V25= LC12wt_decl(lex0,V22)                /*  WT-DECL         */;
	ecl_structure_set(V22,VV[33],10,V25);
	goto L154;
	}
L159:;
	goto L154;
L154:;
	if(!(ecl_endp(V23))){
	goto L164;}
	goto L143;
L164:;
	goto L162;
L162:;
	V22= _ecl_car(V23);
	{cl_object V25;
	V25= _ecl_cdr(V23);
	if (ecl_unlikely(!ECL_LISTP(V25))) FEtype_error_list(V25);
	V23= V25;
	}
	V24= (V24)+1;
	goto L142;
L143:;
	goto L134;
	}
	}
L134:;
	if((V10)==Cnil){
	goto L177;}
	T0= ecl_function_dispatch(cl_env_copy,VV[149])(1,V10) /*  VAR-REF */;
	if(!(ecl_number_compare(T0,MAKE_FIXNUM(1))<0)){
	goto L177;}
	V10= Cnil;
	value0=V9;
	if((value0)!=Cnil){
	goto L184;}
	value0=V12;
	if((value0)!=Cnil){
	goto L184;}
	V17= V13;
	goto L182;
L184:;
	V17= value0;
	goto L182;
L182:;
	goto L175;
L177:;
	goto L175;
L175:;
	{cl_object V22;                           /*  OPT             */
	V22= V9;
	goto L192;
L191:;
	T0= ecl_car(V22);
	LC13do_decl(lex0,T0)                      /*  DO-DECL         */;
	if((ecl_caddr(V22))==Cnil){
	goto L197;}
	T0= ecl_caddr(V22);
	LC13do_decl(lex0,T0)                      /*  DO-DECL         */;
	goto L195;
L197:;
	goto L195;
L195:;
	V22= ecl_cdddr(V22);
L192:;
	if(ecl_endp(V22)){
	goto L203;}
	goto L191;
L203:;
	goto L201;
L201:;
	goto L189;
L189:;
	}
	if((V10)==Cnil){
	goto L207;}
	V11= LC12wt_decl(lex0,V10)                /*  WT-DECL         */;
	goto L205;
L207:;
	goto L205;
L205:;
	{cl_object V22;                           /*  KEY             */
	V22= V12;
	goto L214;
L213:;
	T0= ecl_cadr(V22);
	LC13do_decl(lex0,T0)                      /*  DO-DECL         */;
	if((ecl_cadddr(V22))==Cnil){
	goto L219;}
	T0= ecl_cadddr(V22);
	LC13do_decl(lex0,T0)                      /*  DO-DECL         */;
	goto L217;
L219:;
	goto L217;
L217:;
	V22= ecl_cddddr(V22);
L214:;
	if(ecl_endp(V22)){
	goto L225;}
	goto L213;
L225:;
	goto L223;
L223:;
	goto L211;
L211:;
	}
	if((V17)==Cnil){
	goto L229;}
	{cl_object V22;                           /*  FIRST-ARG       */
	if(!((V14)>0)){
	goto L233;}
	T0= ecl_plus(V20,MAKE_FIXNUM(V14));
	V22= cl_format(3,Cnil,VV[47],T0)          /*  FORMAT          */;
	goto L231;
L233:;
	if(!((V6)==(VV[48]))){
	goto L236;}
	T0= ecl_one_minus(ecl_symbol_value(VV[50]));
	V22= cl_format(3,Cnil,VV[49],T0)          /*  FORMAT          */;
	goto L231;
L236:;
	V22= VV[51];
	goto L231;
L231:;
	if((V10)!=Cnil){
	goto L244;}
	if((V12)!=Cnil){
	goto L244;}
	if((V13)!=Cnil){
	goto L244;}
	T1= ecl_plus(MAKE_FIXNUM(V14),V15);
	V19= ecl_make_bool(ecl_number_compare(T1,MAKE_FIXNUM(30))<0);
	goto L242;
L244:;
	V19= Cnil;
	goto L242;
L242:;
	if((V19)==Cnil){
	goto L240;}
	T0= VV[52];
	goto L238;
L240:;
	T0= VV[53];
	goto L238;
L238:;
	T1= cl_format(4,Cnil,T0,V22,MAKE_FIXNUM(V14)) /*  FORMAT      */;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,T1) /*  WT-NL    */;
	goto L227;
	}
L229:;
	goto L227;
L227:;
	if((V7)!=Cnil){
	goto L250;}
	{cl_object V22;                           /*  VAR             */
	cl_object V23;
	V22= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
	V23= V8;
	{cl_fixnum V24;                           /*  REQI            */
	{cl_object V25;
	V25= ecl_one_plus(V20);
	{bool V26;
	V26= FIXNUMP(V25);
	if (ecl_unlikely(!(V26)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V25);}
	V24= ecl_fix(V25);
	}
	if(!(ecl_endp(V23))){
	goto L263;}
	goto L260;
L263:;
	goto L261;
L261:;
	V22= _ecl_car(V23);
	{cl_object V25;
	V25= _ecl_cdr(V23);
	if (ecl_unlikely(!ECL_LISTP(V25))) FEtype_error_list(V25);
	V23= V25;
	}
L259:;
	T0= cl_list(2,VV[46],MAKE_FIXNUM(V24))    /*  LIST            */;
	ecl_function_dispatch(cl_env_copy,VV[147])(2,T0,V22) /*  BIND */;
	if(!(ecl_endp(V23))){
	goto L274;}
	goto L260;
L274:;
	goto L272;
L272:;
	V22= _ecl_car(V23);
	{cl_object V25;
	V25= _ecl_cdr(V23);
	if (ecl_unlikely(!ECL_LISTP(V25))) FEtype_error_list(V25);
	V23= V25;
	}
	V24= (V24)+1;
	goto L259;
L260:;
	goto L248;
	}
	}
L250:;
	goto L248;
L248:;
	if((V18)==Cnil){
	goto L287;}
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[40]) /*  WT-NL */;
	cl_set(VV[54],Ct);
	cl_set(VV[31],CONS(VV[55],ecl_symbol_value(VV[31])));
	if((ecl_function_dispatch(cl_env_copy,VV[142])(0) /*  POLICY-DEBUG-VARIABLE-BINDINGS */)==Cnil){
	goto L296;}
	T0= cl_reverse(V8)                        /*  REVERSE         */;
	ecl_function_dispatch(cl_env_copy,VV[150])(2,T0,Ct) /*  BUILD-DEBUG-LEXICAL-ENV */;
	goto L294;
L296:;
	goto L294;
L294:;
	T0= ecl_function_dispatch(cl_env_copy,VV[151])(1,V4) /*  ADD-SYMBOL */;
	ecl_function_dispatch(cl_env_copy,VV[146])(3,VV[56],T0,VV[57]) /*  WT-NL */;
	goto L285;
L287:;
	goto L285;
L285:;
	cl_set(VV[42],lex0[0]);
	}
	if((V9)==Cnil){
	goto L301;}
	{cl_object V20;                           /*  VA-ARG-LOC      */
	if((V19)==Cnil){
	goto L305;}
	V20= VV[58];
	goto L303;
L305:;
	V20= VV[59];
	goto L303;
L303:;
	ecl_function_dispatch(cl_env_copy,VV[146])(3,VV[60],MAKE_FIXNUM(V14),VV[45]) /*  WT-NL */;
	{cl_object V21;                           /*  OPT             */
	V21= V9;
	goto L313;
L312:;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[61]) /*  WT-NL */;
	T0= ecl_cadr(V21);
	T1= ecl_car(V21);
	ecl_function_dispatch(cl_env_copy,VV[152])(2,T0,T1) /*  BIND-INIT */;
	if((ecl_caddr(V21))==Cnil){
	goto L319;}
	T0= ecl_caddr(V21);
	ecl_function_dispatch(cl_env_copy,VV[147])(2,Cnil,T0) /*  BIND */;
	goto L317;
L319:;
	goto L317;
L317:;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[62]) /*  WT-NL */;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[63]) /*  WT-NL */;
	ecl_bds_push(cl_env_copy,VV[31]);         /*  *UNWIND-EXIT*   */
	T0= ecl_car(V21);
	ecl_function_dispatch(cl_env_copy,VV[147])(2,V20,T0) /*  BIND */;
	ecl_bds_unwind1(cl_env_copy);
	if((ecl_caddr(V21))==Cnil){
	goto L326;}
	T0= ecl_caddr(V21);
	ecl_function_dispatch(cl_env_copy,VV[147])(2,Ct,T0) /*  BIND  */;
	goto L324;
L326:;
	goto L324;
L324:;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[64]) /*  WT-NL */;
	V21= ecl_cdddr(V21);
L313:;
	if(ecl_endp(V21)){
	goto L333;}
	goto L312;
L333:;
	goto L331;
L331:;
	goto L310;
L310:;
	}
	ecl_function_dispatch(cl_env_copy,VV[153])(1,VV[64]) /*  WT   */;
	goto L299;
	}
L301:;
	goto L299;
L299:;
	if((V10)!=Cnil){
	goto L339;}
	if((V12)!=Cnil){
	goto L339;}
	if((V13)==Cnil){
	goto L337;}
	goto L338;
L339:;
L338:;
	if((V12)!=Cnil){
	goto L344;}
	if((V13)!=Cnil){
	goto L344;}
	ecl_function_dispatch(cl_env_copy,VV[146])(2,V11,VV[65]) /*  WT-NL */;
	goto L342;
L344:;
	if((V12)==Cnil){
	goto L349;}
	T0= ecl_times(MAKE_FIXNUM(2),MAKE_FIXNUM(V16));
	ecl_function_dispatch(cl_env_copy,VV[146])(3,VV[66],T0,VV[67]) /*  WT-NL */;
	ecl_function_dispatch(cl_env_copy,VV[146])(5,VV[68],MAKE_FIXNUM(V16),VV[69],V3,VV[70]) /*  WT-NL */;
	goto L347;
L349:;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[71]) /*  WT-NL */;
	goto L347;
L347:;
	if((V10)==Cnil){
	goto L354;}
	ecl_function_dispatch(cl_env_copy,VV[153])(2,VV[72],V11) /*  WT */;
	goto L352;
L354:;
	ecl_function_dispatch(cl_env_copy,VV[153])(1,VV[73]) /*  WT   */;
	goto L352;
L352:;
	if((V13)==Cnil){
	goto L358;}
	T0= VV[74];
	goto L356;
L358:;
	T0= VV[75];
	goto L356;
L356:;
	ecl_function_dispatch(cl_env_copy,VV[153])(1,T0) /*  WT       */;
	goto L342;
L342:;
	if((V10)==Cnil){
	goto L361;}
	ecl_function_dispatch(cl_env_copy,VV[147])(2,V11,V10) /*  BIND */;
	goto L335;
L361:;
	goto L335;
L337:;
	goto L335;
L335:;
	if((V17)==Cnil){
	goto L365;}
	if((V19)==Cnil){
	goto L369;}
	T0= VV[76];
	goto L367;
L369:;
	T0= VV[77];
	goto L367;
L367:;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,T0) /*  WT-NL    */;
	goto L363;
L365:;
	goto L363;
L363:;
	{cl_object V20;                           /*  KWD             */
	cl_object V21;                            /*  ALL-KWD         */
	cl_fixnum V22;                            /*  I               */
	V20= V12;
	V21= Cnil;
	V22= 0;
	goto L378;
L377:;
	T0= ecl_car(V20);
	V21= CONS(T0,V21);
	{cl_object V23;                           /*  LET1711         */
	cl_object V24;                            /*  LET1712         */
	cl_object V25;                            /*  LET1713         */
	cl_object V26;                            /*  LET1714         */
	V23= ecl_car(V20);
	V24= ecl_cadr(V20);
	V25= ecl_caddr(V20);
	V26= ecl_cadddr(V20);
	T0= ecl_function_dispatch(cl_env_copy,VV[154])(1,V25) /*  C1FORM-NAME */;
	if(!((T0)==(ECL_SYM("LOCATION",1745)))){
	goto L389;}
	T0= ecl_function_dispatch(cl_env_copy,VV[95])(1,V25) /*  C1FORM-ARGS */;
	T1= ecl_car(T0);
	if(!(T1==Cnil)){
	goto L389;}
	{cl_object V27;
	V27= ecl_cdr(VV[78]);
	if (ecl_unlikely(ATOM(V27))) FEtype_error_cons(V27);
	T0= V27;
	}
	(ECL_CONS_CAR(T0)=MAKE_FIXNUM(V22),T0);
	ecl_function_dispatch(cl_env_copy,VV[147])(2,VV[78],V24) /*  BIND */;
	goto L387;
L389:;
	{cl_object V27;
	V27= ecl_plus(MAKE_FIXNUM(V16),MAKE_FIXNUM(V22));
	{cl_object V28;
	V28= ecl_cdr(VV[78]);
	if (ecl_unlikely(ATOM(V28))) FEtype_error_cons(V28);
	T0= V28;
	}
	(ECL_CONS_CAR(T0)=V27,T0);
	}
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[79]) /*  WT-NL */;
	ecl_function_dispatch(cl_env_copy,VV[155])(1,VV[78]) /*  WT-LOC */;
	ecl_function_dispatch(cl_env_copy,VV[153])(1,VV[80]) /*  WT   */;
	ecl_bds_push(cl_env_copy,VV[31]);         /*  *UNWIND-EXIT*   */
	ecl_function_dispatch(cl_env_copy,VV[152])(2,V25,V24) /*  BIND-INIT */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[81]) /*  WT-NL */;
	{cl_object V27;
	V27= ecl_cdr(VV[78]);
	if (ecl_unlikely(ATOM(V27))) FEtype_error_cons(V27);
	T0= V27;
	}
	(ECL_CONS_CAR(T0)=MAKE_FIXNUM(V22),T0);
	ecl_function_dispatch(cl_env_copy,VV[147])(2,VV[78],V24) /*  BIND */;
	ecl_function_dispatch(cl_env_copy,VV[153])(1,VV[64]) /*  WT   */;
	goto L387;
L387:;
	if((V26)==Cnil){
	goto L415;}
	{cl_object V27;
	V27= ecl_plus(MAKE_FIXNUM(V16),MAKE_FIXNUM(V22));
	{cl_object V28;
	V28= ecl_cdr(VV[78]);
	if (ecl_unlikely(ATOM(V28))) FEtype_error_cons(V28);
	T0= V28;
	}
	(ECL_CONS_CAR(T0)=V27,T0);
	}
	ecl_function_dispatch(cl_env_copy,VV[147])(2,VV[78],V26) /*  BIND */;
	goto L382;
L415:;
	goto L382;
	}
L382:;
	V20= ecl_cddddr(V20);
	{cl_object V23;
	V23= ecl_make_integer((V22)+1);
	{bool V24;
	V24= FIXNUMP(V23);
	if (ecl_unlikely(!(V24)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V23);}
	V22= ecl_fix(V23);
	}
L378:;
	if(ecl_endp(V20)){
	goto L430;}
	goto L377;
L430:;
	goto L428;
L428:;
	goto L375;
L375:;
	if((V21)==Cnil){
	goto L433;}
	T0= cl_nreverse(V21)                      /*  NREVERSE        */;
	T1= ecl_function_dispatch(cl_env_copy,VV[156])(1,T0) /*  ADD-KEYWORDS */;
	ecl_function_dispatch(cl_env_copy,VV[157])(5,VV[82],V3,VV[83],T1,VV[84]) /*  WT-NL-H */;
	ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[64]) /*  WT-NL */;
	goto L371;
L433:;
	goto L371;
	}
L371:;
	if((ecl_symbol_value(VV[34]))==Cnil){
	goto L438;}
	cl_set(VV[31],CONS(VV[85],ecl_symbol_value(VV[31])));
	ecl_function_dispatch(cl_env_copy,VV[158])(1,VV[86]) /*  WT-NL1 */;
	goto L436;
L438:;
	goto L436;
L436:;
	ecl_function_dispatch(cl_env_copy,VV[159])(1,V2) /*  C2EXPR   */;
	if((V18)==Cnil){
	goto L444;}
	value0=ecl_function_dispatch(cl_env_copy,VV[146])(1,VV[64]) /*  WT-NL */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
L444:;
	value0=Cnil; cl_env_copy->nvalues=1;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return value0;
	}
}}
/*	local function DO-DECL                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC13do_decl(volatile cl_object *lex0, cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[160])(1,V1) /*  LOCAL */)==Cnil){
	goto L2;}
	{cl_object V2;
	V2= LC12wt_decl(lex0,V1)                  /*  WT-DECL         */;
	value0=ecl_structure_set(V1,VV[33],10,V2); cl_env_copy->nvalues=1;
	return value0;
	}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function WT-DECL                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12wt_decl(volatile cl_object *lex0, cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	ecl_function_dispatch(cl_env_copy,VV[146])(0) /*  WT-NL       */;
	T0= ecl_symbol_value(VV[43]);
	T1= ecl_function_dispatch(cl_env_copy,VV[161])(1,V1) /*  VAR-REP-TYPE */;
	T2= ecl_function_dispatch(cl_env_copy,VV[162])(1,T1) /*  REP-TYPE-NAME */;
	ecl_function_dispatch(cl_env_copy,VV[153])(3,T0,T2,VV[44]) /*  WT */;
	{cl_fixnum V2;
	{cl_object V3;
	T0= lex0[0];
	V3= ecl_plus(T0,MAKE_FIXNUM(1));
	{bool V4;
	V4= FIXNUMP(V3);
	if (ecl_unlikely(!(V4)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V3);}
	lex0[0]= V3;
	}
	V2= ecl_fix(lex0[0]);
	ecl_function_dispatch(cl_env_copy,VV[163])(1,MAKE_FIXNUM(V2)) /*  WT-LCL */;}
	ecl_function_dispatch(cl_env_copy,VV[153])(1,VV[45]) /*  WT   */;
	value0=cl_list(2,VV[46],lex0[0])          /*  LIST            */;
	return value0;
}}
/*	function definition for OPTIMIZE-FUNCALL/APPLY-LAMBDA         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15optimize_funcall_apply_lambda(cl_object V1, cl_object V2, cl_object V3)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  APPLY-LIST      */
	cl_object V5;                             /*  APPLY-VAR       */
	cl_object V6;                             /*  LET-VARS        */
	cl_object V7;                             /*  EXTRA-STMTS     */
	cl_object V8;                             /*  ALL-KEYS        */
	V4= Cnil;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	V8= Cnil;
	T0= ecl_car(V1);
	cl_env_copy->values[0]=L9cmp_process_lambda_list(T0) /*  CMP-PROCESS-LAMBDA-LIST */;
	{
	cl_object V10;                            /*  REQUIREDS       */
	cl_object V11;                            /*  OPTIONALS       */
	cl_object V12;                            /*  REST            */
	cl_object V13;                            /*  KEY-FLAG        */
	cl_object V14;                            /*  KEYWORDS        */
	cl_object V15;                            /*  ALLOW-OTHER-KEYS */
	cl_object V16;                            /*  AUX-VARS        */
	{int V17=cl_env_copy->nvalues-0;
	if (V17--<=0) goto L7;
	V10= cl_env_copy->values[0];
	if (V17--<=0) goto L8;
	V11= cl_env_copy->values[1];
	if (V17--<=0) goto L9;
	V12= cl_env_copy->values[2];
	if (V17--<=0) goto L10;
	V13= cl_env_copy->values[3];
	if (V17--<=0) goto L11;
	V14= cl_env_copy->values[4];
	if (V17--<=0) goto L12;
	V15= cl_env_copy->values[5];
	if (V17--<=0) goto L13;
	V16= cl_env_copy->values[6];
	goto L14;}
L7:;
	V10= Cnil;
L8:;
	V11= Cnil;
L9:;
	V12= Cnil;
L10:;
	V13= Cnil;
L11:;
	V14= Cnil;
L12:;
	V15= Cnil;
L13:;
	V16= Cnil;
L14:;
	if((V3)==Cnil){
	goto L17;}
	T0= ecl_last(V2,1);
	V4= ecl_car(T0);
	V5= cl_gensym(0)                          /*  GENSYM          */;
	V2= ecl_butlast(V2,1);
	goto L15;
L17:;
	goto L15;
L15:;
	V2= cl_copy_list(V2)                      /*  COPY-LIST       */;
	{cl_object V17;                           /*  SCAN            */
	V17= V2;
	goto L31;
L30:;
	{cl_object V18;                           /*  FORM            */
	V18= ecl_car(V17);
	if((cl_constantp(1,V18)                   /*  CONSTANTP       */)!=Cnil){
	goto L36;}
	{cl_object V19;                           /*  AUX-VAR         */
	V19= cl_gensym(0)                         /*  GENSYM          */;
	T0= cl_list(2,V19,V18)                    /*  LIST            */;
	V6= CONS(T0,V6);
	if (ecl_unlikely(ATOM(V17))) FEtype_error_cons(V17);
	T0= V17;
	(ECL_CONS_CAR(T0)=V19,T0);
	goto L33;
	}
L36:;
	goto L33;
	}
L33:;
	V17= ecl_cdr(V17);
L31:;
	if(ecl_endp(V17)){
	goto L48;}
	goto L30;
L48:;
	goto L46;
L46:;
	goto L28;
L28:;
	}
	if((V5)==Cnil){
	goto L52;}
	T0= cl_list(2,V5,V4)                      /*  LIST            */;
	V6= CONS(T0,V6);
	goto L50;
L52:;
	goto L50;
L50:;
	{cl_object V17;
	V17= ecl_cdr(V10);
	goto L60;
L59:;
	{cl_object V18;                           /*  I               */
	V18= ecl_car(V17);
	if((V2)==Cnil){
	goto L68;}
	{cl_object V19;
	V19= V2;
	if (ecl_unlikely(!ECL_LISTP(V19))) FEtype_error_list(V19);
	if((V19)==Cnil){
	goto L75;}
	{cl_object V20;
	V20= ECL_CONS_CDR(V19);
	V2= V20;
	V19= ECL_CONS_CAR(V19);
	goto L73;
	}
L75:;
	goto L73;
L73:;
	T0= V19;
	goto L66;
	}
L68:;
	if((V3)==Cnil){
	goto L82;}
	T1= cl_list(2,ECL_SYM("POP",641),V5)      /*  LIST            */;
	T0= cl_list(4,ECL_SYM("IF",944),V5,T1,VV[88]) /*  LIST        */;
	goto L66;
L82:;
	T1= CONS(ECL_SYM("LAMBDA",450),V1);
	T0= ecl_function_dispatch(cl_env_copy,VV[125])(2,VV[89],T1) /*  CMPERR */;
	goto L66;
L66:;
	T1= cl_list(2,V18,T0)                     /*  LIST            */;
	V6= CONS(T1,V6);
	}
	V17= ecl_cdr(V17);
L60:;
	if((V17)==Cnil){
	goto L88;}
	goto L59;
L88:;
	goto L86;
L86:;
	goto L57;
L57:;
	}
	{cl_object V17;                           /*  SCAN            */
	V17= ecl_cdr(V11);
	goto L95;
L94:;
	{cl_object V18;                           /*  LET1715         */
	cl_object V19;                            /*  LET1716         */
	cl_object V20;                            /*  LET1717         */
	V18= ecl_car(V17);
	V19= ecl_caddr(V17);
	V20= ecl_cadr(V17);
	if((V2)==Cnil){
	goto L102;}
	{cl_object V21;
	V21= V2;
	if (ecl_unlikely(!ECL_LISTP(V21))) FEtype_error_list(V21);
	if((V21)==Cnil){
	goto L111;}
	{cl_object V22;
	V22= ECL_CONS_CDR(V21);
	V2= V22;
	V21= ECL_CONS_CAR(V21);
	goto L109;
	}
L111:;
	goto L109;
L109:;
	T0= V21;
	}
	T1= cl_list(2,V18,T0)                     /*  LIST            */;
	T2= cl_list(2,V19,Ct)                     /*  LIST            */;
	V6= cl_listX(3,T1,T2,V6)                  /*  LIST*           */;
	goto L97;
L102:;
	if((V3)==Cnil){
	goto L118;}
	T0= cl_list(2,ECL_SYM("POP",641),V5)      /*  LIST            */;
	T1= cl_list(4,ECL_SYM("IF",944),V5,T0,V20) /*  LIST           */;
	T2= cl_list(2,V18,T1)                     /*  LIST            */;
	T3= cl_list(2,V19,V5)                     /*  LIST            */;
	V6= cl_listX(3,T2,T3,V6)                  /*  LIST*           */;
	goto L97;
L118:;
	T0= cl_list(2,V18,V20)                    /*  LIST            */;
	T1= cl_list(2,V19,Cnil)                   /*  LIST            */;
	V6= cl_listX(3,T0,T1,V6)                  /*  LIST*           */;
	goto L97;
	}
L97:;
	V17= ecl_cdddr(V17);
L95:;
	if(ecl_endp(V17)){
	goto L126;}
	goto L94;
L126:;
	goto L124;
L124:;
	goto L92;
L92:;
	}
	if((V13)!=Cnil){
	goto L132;}
	if((V15)==Cnil){
	goto L130;}
	goto L131;
L132:;
L131:;
	if((V12)!=Cnil){
	goto L135;}
	V12= cl_gensym(0)                         /*  GENSYM          */;
	goto L128;
L135:;
	goto L128;
L130:;
	goto L128;
L128:;
	if((V12)==Cnil){
	goto L140;}
	if((V2)==Cnil){
	goto L145;}
	if((V3)==Cnil){
	goto L148;}
	T1= ecl_list1(V5);
	T2= ecl_append(V2,T1);
	T0= CONS(ECL_SYM("LIST*",480),T2);
	goto L143;
L148:;
	T0= CONS(ECL_SYM("LIST",479),V2);
	goto L143;
L145:;
	if((V3)==Cnil){
	goto L151;}
	T0= V5;
	goto L143;
L151:;
	T0= Cnil;
	goto L143;
L143:;
	T1= cl_list(2,V12,T0)                     /*  LIST            */;
	V6= CONS(T1,V6);
	goto L138;
L140:;
	goto L138;
L138:;
L155:;
	if((V16)!=Cnil){
	goto L159;}
	goto L156;
L159:;
	goto L157;
L157:;
	{cl_object V17;
	V17= V16;
	if (ecl_unlikely(!ECL_LISTP(V17))) FEtype_error_list(V17);
	if((V17)==Cnil){
	goto L169;}
	{cl_object V18;
	V18= ECL_CONS_CDR(V17);
	V16= V18;
	V17= ECL_CONS_CAR(V17);
	goto L167;
	}
L169:;
	goto L167;
L167:;
	T0= V17;
	}
	{cl_object V17;
	V17= V16;
	if (ecl_unlikely(!ECL_LISTP(V17))) FEtype_error_list(V17);
	if((V17)==Cnil){
	goto L181;}
	{cl_object V18;
	V18= ECL_CONS_CDR(V17);
	V16= V18;
	V17= ECL_CONS_CAR(V17);
	goto L179;
	}
L181:;
	goto L179;
L179:;
	T1= V17;
	}
	T2= cl_list(2,T0,T1)                      /*  LIST            */;
	V6= CONS(T2,V6);
	goto L155;
L156:;
	goto L153;
L153:;
	{cl_object V17;                           /*  SCAN            */
	V17= ecl_cdr(V14);
	goto L193;
L192:;
	{cl_object V18;                           /*  LET1718         */
	cl_object V19;                            /*  LET1719         */
	cl_object V20;                            /*  LET1720         */
	cl_object V21;                            /*  LET1721         */
	V18= ecl_car(V17);
	V19= ecl_cadr(V17);
	V20= ecl_caddr(V17);
	value0=ecl_cadddr(V17);
	if((value0)!=Cnil){
	goto L201;}
	V21= cl_gensym(0)                         /*  GENSYM          */;
	goto L199;
L201:;
	V21= value0;
	goto L199;
L199:;
	V8= CONS(V18,V8);
	T0= cl_list(3,ECL_SYM("EQ",331),V21,VV[90]) /*  LIST          */;
	T1= cl_list(4,ECL_SYM("IF",944),T0,V20,V21) /*  LIST          */;
	T2= cl_list(2,V19,T1)                     /*  LIST            */;
	T3= cl_list(3,VV[91],V12,V18)             /*  LIST            */;
	T4= cl_list(2,V21,T3)                     /*  LIST            */;
	V6= cl_listX(3,T2,T4,V6)                  /*  LIST*           */;
	if((ecl_cadddr(V17))==Cnil){
	goto L208;}
	T0= cl_list(3,ECL_SYM("EQ",331),V21,VV[90]) /*  LIST          */;
	T1= cl_list(2,ECL_SYM("NOT",582),T0)      /*  LIST            */;
	T2= cl_list(3,ECL_SYM("SETF",748),V21,T1) /*  LIST            */;
	V7= CONS(T2,V7);
	goto L195;
L208:;
	goto L195;
	}
L195:;
	V17= ecl_cddddr(V17);
L193:;
	if(ecl_endp(V17)){
	goto L215;}
	goto L192;
L215:;
	goto L213;
L213:;
	goto L190;
L190:;
	}
	if((V13)==Cnil){
	goto L219;}
	if((V15)!=Cnil){
	goto L219;}
	T0= cl_list(2,ECL_SYM("QUOTE",677),V8)    /*  LIST            */;
	T1= cl_list(3,VV[92],V12,T0)              /*  LIST            */;
	V7= CONS(T1,V7);
	goto L217;
L219:;
	goto L217;
L217:;
	T0= (ECL_SYM("FIRST",369)->symbol.gfdef);
	T1= cl_delete_if_not(2,T0,V6)             /*  DELETE-IF-NOT   */;
	T2= cl_nreverse(T1)                       /*  NREVERSE        */;
	if((V5)==Cnil){
	goto L226;}
	T4= cl_list(2,ECL_SYM("IGNORABLE",425),V5) /*  LIST           */;
	T5= cl_list(2,ECL_SYM("DECLARE",272),T4)  /*  LIST            */;
	T3= ecl_list1(T5);
	goto L224;
L226:;
	T3= Cnil;
	goto L224;
L224:;
	T5= ecl_cdr(V1);
	cl_env_copy->values[0]=si_find_declarations(1,T5) /*  FIND-DECLARATIONS */;
	{
	cl_object V18;                            /*  DECL            */
	cl_object V19;                            /*  BODY            */
	{int V20=cl_env_copy->nvalues-0;
	if (V20--<=0) goto L230;
	V18= cl_env_copy->values[0];
	if (V20--<=0) goto L231;
	V19= cl_env_copy->values[1];
	goto L232;}
L230:;
	V18= Cnil;
L231:;
	V19= Cnil;
L232:;
	T4= cl_append(3,V18,V7,V19)               /*  APPEND          */;}
	T5= ecl_append(T3,T4);
	value0=cl_listX(3,ECL_SYM("LET*",476),T2,T5) /*  LIST*        */;
	return value0;}
	}
}}
	
#include "cmp/cmplam.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecliSu0faZ7_Qx0wDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPLAM.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecliSu0faZ7_Qx0wDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[94]);                    /*  C1LAMBDA-DOC    */
	ecl_cmp_defun(VV[96]);                    /*  C1LAMBDA-BODY   */
	ecl_cmp_defun(VV[97]);                    /*  C1LAMBDA-LIST   */
	ecl_cmp_defun(VV[98]);                    /*  FUN-NEEDS-NARG  */
	ecl_cmp_defun(VV[99]);                    /*  FUN-FIXED-NARG  */
	ecl_cmp_defun(VV[103]);                   /*  ADD-REFERRED-VARIABLES-TO-FUNCTION */
	ecl_cmp_defun(VV[106]);                   /*  C1COMPILE-FUNCTION */
	ecl_cmp_defun(VV[124]);                   /*  CMP-PROCESS-LAMBDA-LIST */
	(void)0; /* No entry created for C1LAMBDA-EXPR */
	ecl_cmp_defun(VV[140]);                   /*  LAMBDA-FORM-ALLOWED-NARGS */
	ecl_cmp_defun(VV[141]);                   /*  C2LAMBDA-EXPR   */
	ecl_cmp_defun(VV[164]);                   /*  OPTIMIZE-FUNCALL/APPLY-LAMBDA */
}
