/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CMP;CMPNAME.LSP                                   */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpname.eclh"
/*	function definition for ENCODE-NUMBER-IN-NAME                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1encode_number_in_name(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ecl_zerop(V1))){
	goto L2;}
	value0=VV[0]; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ecl_minusp(V1))){
	goto L5;}
	V1= ecl_negate(V1);
	goto TTL;
L5:;
	{cl_fixnum V2;                            /*  BASE            */
	cl_object V3;                             /*  OUTPUT          */
	cl_object V4;                             /*  DIGIT           */
	V2= ecl_length(VV[1]);
	V3= Cnil;
	V4= MAKE_FIXNUM(0);
	goto L15;
L14:;
	cl_env_copy->values[0]=ecl_floor2(V1,MAKE_FIXNUM(V2));
	V1= cl_env_copy->values[0];
	V4= cl_env_copy->values[1];
	T0= cl_char(VV[1],V4)                     /*  CHAR            */;
	V3= CONS(T0,V3);
L15:;
	if(ecl_zerop(V1)){
	goto L23;}
	goto L14;
L23:;
	goto L21;
L21:;
	goto L12;
L12:;
	T0= cl_nreverse(V3)                       /*  NREVERSE        */;
	value0=si_coerce_to_vector(T0,ECL_SYM("BASE-CHAR",118),ECL_SYM("*",16),Cnil) /*  COERCE-TO-VECTOR */;
	return value0;
	}
}}
/*	function definition for UNIQUE-INIT-NAME                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2unique_init_name(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  PATH            */
	cl_object V3;                             /*  PATH-HASH       */
	cl_object V4;                             /*  SECONDS         */
	cl_object V5;                             /*  MS              */
	cl_object V6;                             /*  TAG             */
	V2= cl_pathname(V1)                       /*  PATHNAME        */;
	T0= cl_sxhash(V2)                         /*  SXHASH          */;
	T1= cl_ash(T0,MAKE_FIXNUM(8))             /*  ASH             */;
	T2= cl_pathname_directory(1,V2)           /*  PATHNAME-DIRECTORY */;
	T3= ecl_cddr(T2);
	T4= cl_sxhash(T3)                         /*  SXHASH          */;
	T5= cl_ash(T4,MAKE_FIXNUM(16))            /*  ASH             */;
	T6= cl_pathname_name(1,V2)                /*  PATHNAME-NAME   */;
	T7= cl_sxhash(T6)                         /*  SXHASH          */;
	V3= cl_logxor(3,T1,T5,T7)                 /*  LOGXOR          */;
	V4= cl_get_universal_time()               /*  GET-UNIVERSAL-TIME */;
	T0= ecl_times(V4,MAKE_FIXNUM(1000));
	T1= cl_get_internal_real_time()           /*  GET-INTERNAL-REAL-TIME */;
	T2= ecl_times(MAKE_FIXNUM(1000),T1);
	T3= ecl_floor2(T2,MAKE_FIXNUM(1000));
	T4= (ecl_floor2(T3,MAKE_FIXNUM(1000)),cl_env_copy->values[1]);
	V5= ecl_plus(T0,T4);
	T0= L1encode_number_in_name(V3)           /*  ENCODE-NUMBER-IN-NAME */;
	T1= L1encode_number_in_name(V5)           /*  ENCODE-NUMBER-IN-NAME */;
	V6= cl_concatenate(5,ECL_SYM("BASE-STRING",119),VV[2],T0,VV[3],T1) /*  CONCATENATE */;
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for INIT-NAME-TAG                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3init_name_tag(cl_object V1)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_concatenate(5,ECL_SYM("BASE-STRING",119),VV[5],VV[6],V1,VV[7]) /*  CONCATENATE */;
	return value0;
}}
/*	function definition for SEARCH-TAG                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4search_tag(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  KEY             */
	cl_object V4;                             /*  STRING          */
	V3= cl_concatenate(3,ECL_SYM("LIST",479),V2,VV[6]) /*  CONCATENATE */;
	V4= V3;
	goto L6;
L5:;
	{cl_object V5;                            /*  C               */
	V5= cl_read_byte(3,V1,Cnil,Cnil)          /*  READ-BYTE       */;
	if(!(V5==Cnil)){
	goto L11;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L11:;
	{cl_object V6;
	V6= V4;
	if (ecl_unlikely(!ECL_LISTP(V6))) FEtype_error_list(V6);
	if((V6)==Cnil){
	goto L22;}
	{cl_object V7;
	V7= ECL_CONS_CDR(V6);
	V4= V7;
	V6= ECL_CONS_CAR(V6);
	goto L20;
	}
L22:;
	goto L20;
L20:;
	T0= V6;
	}
	T1= cl_char_code(T0)                      /*  CHAR-CODE       */;
	if(ecl_number_equalp(V5,T1)){
	goto L14;}
	V4= V3;
	goto L8;
L14:;
	if(!(V4==Cnil)){
	goto L30;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L30:;
	goto L8;
	}
L8:;
L6:;
	goto L5;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for READ-NAME                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5read_name(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  C               */
	V2= Ct;
	{cl_object V3;
	cl_object V4;
	V3= ecl_list1(Cnil);
	V4= V3;
L6:;
	V2= cl_read_byte(3,V1,Cnil,Cnil)          /*  READ-BYTE       */;
	if(V2==Cnil){
	goto L12;}
	if(!(ecl_number_equalp(V2,MAKE_FIXNUM(64)))){
	goto L10;}
	goto L11;
L12:;
L11:;
	goto L7;
L10:;
	goto L8;
L8:;
	if (ecl_unlikely(ATOM(V4))) FEtype_error_cons(V4);
	T1= V4;
	T2= cl_code_char(V2)                      /*  CODE-CHAR       */;
	V4= ecl_list1(T2);
	(ECL_CONS_CDR(T1)=V4,T1);
	goto L6;
L7:;
	T0= ecl_cdr(V3);
	goto L1;
	}
	}
L1:;
	value0=cl_concatenate(2,ECL_SYM("STRING",803),T0) /*  CONCATENATE */;
	return value0;
}}
/*	function definition for FIND-INIT-NAME                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6find_init_name(volatile cl_narg narg, cl_object volatile V1, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L6find_init_namekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[1]==Cnil){
	V2= VV[5];
	}else{
	V2= keyvars[0];}
	}
	{volatile cl_object V3;                   /*  STREAM          */
	V3= cl_open(5,V1,ECL_SYM("DIRECTION",1215),ECL_SYM("INPUT",1251),ECL_SYM("ELEMENT-TYPE",1221),VV[9]) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V4=ECL_STACK_INDEX(cl_env_copy),V5;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V6;
	V6= _ecl_inner_frame;
	if((L4search_tag(V3,V2)                   /*  SEARCH-TAG      */)==Cnil){
	goto L9;}
	{cl_object V7;                            /*  NAME            */
	V7= L5read_name(V3)                       /*  READ-NAME       */;
	cl_env_copy->values[0]=V7; cl_env_copy->nvalues=1;
	goto L7;
	}
L9:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	goto L7;
L7:;
	ecl_stack_frame_push_values(V6);
	if((V3)==Cnil){
	goto L14;}
	cl_close(1,V3)                            /*  CLOSE           */;
	goto L12;
L14:;
	goto L12;
L12:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V6);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V5=ecl_stack_push_values(cl_env_copy);
	if((V3)==Cnil){
	goto L18;}
	cl_close(3,V3,ECL_SYM("ABORT",1192),Ct)   /*  CLOSE           */;
	goto L16;
L18:;
	goto L16;
L16:;
	ecl_stack_pop_values(cl_env_copy,V5);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V4);
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for REMOVE-PREFIX                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7remove_prefix(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_search(2,V1,V2)                    /*  SEARCH          */;
	if(!(ecl_equal(MAKE_FIXNUM(0),T0))){
	goto L2;}
	{cl_fixnum V3;
	V3= ecl_length(V1);
	value0=cl_subseq(3,V2,MAKE_FIXNUM(V3),Cnil) /*  SUBSEQ        */;
	return value0;}
L2:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for GUESS-INIT-NAME                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8guess_init_name(cl_object V1, cl_object V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V2)==(ECL_SYM("OBJECT",1275)))){
	goto L2;}
	if((cl_probe_file(V1)                     /*  PROBE-FILE      */)==Cnil){
	goto L8;}
	value0=L6find_init_name(1,V1)             /*  FIND-INIT-NAME  */;
	goto L6;
L8:;
	value0=Cnil;
	goto L6;
L6:;
	if((value0)!=Cnil){
	goto L5;}
	value0=cl_error(2,VV[12],V1)              /*  ERROR           */;
	return value0;
L5:;
	cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=L9compute_init_name(3,V1,VV[13],V2) /*  COMPUTE-INIT-NAME */;
	return value0;
}}
/*	function definition for COMPUTE-INIT-NAME                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9compute_init_name(cl_narg narg, cl_object V1, ...)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L9compute_init_namekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[2]==Cnil){
	V2= ecl_function_dispatch(cl_env_copy,VV[58])(1,V1) /*  GUESS-KIND */;
	}else{
	V2= keyvars[0];}
	V3= keyvars[1];
	}
	{cl_object V4;                            /*  FILENAME        */
	T0= cl_translate_logical_pathname(1,V1)   /*  TRANSLATE-LOGICAL-PATHNAME */;
	V4= cl_pathname_name(1,T0)                /*  PATHNAME-NAME   */;
	if(!(ecl_eql(V2,ECL_SYM("OBJECT",1275)))){
	goto L9;}
	goto L6;
	goto L7;
L9:;
	goto L7;
L7:;
	if(!(ecl_eql(V2,VV[16]))){
	goto L4;}
	goto L5;
L6:;
L5:;
	value0=L2unique_init_name(V1)             /*  UNIQUE-INIT-NAME */;
	return value0;
L4:;
	if(!(ecl_eql(V2,VV[18]))){
	goto L18;}
	goto L15;
	goto L16;
L18:;
	goto L16;
L16:;
	if(!(ecl_eql(V2,VV[20]))){
	goto L13;}
	goto L14;
L15:;
L14:;
	value0=L13init_function_name(5,VV[22],VV[13],VV[20],VV[23],V3) /*  INIT-FUNCTION-NAME */;
	return value0;
L13:;
	if(!(ecl_eql(V2,VV[24]))){
	goto L27;}
	goto L24;
	goto L25;
L27:;
	goto L25;
L25:;
	if(!(ecl_eql(V2,VV[26]))){
	goto L22;}
	goto L23;
L24:;
L23:;
	T0= L7remove_prefix(ecl_symbol_value(VV[28]),V4) /*  REMOVE-PREFIX */;
	value0=L13init_function_name(5,T0,VV[13],VV[26],VV[23],V3) /*  INIT-FUNCTION-NAME */;
	return value0;
L22:;
	if(!(ecl_eql(V2,VV[29]))){
	goto L36;}
	goto L33;
	goto L34;
L36:;
	goto L34;
L34:;
	if(!(ecl_eql(V2,VV[31]))){
	goto L31;}
	goto L32;
L33:;
L32:;
	T0= L7remove_prefix(ecl_symbol_value(VV[33]),V4) /*  REMOVE-PREFIX */;
	value0=L13init_function_name(5,T0,VV[13],VV[31],VV[23],V3) /*  INIT-FUNCTION-NAME */;
	return value0;
L31:;
	if(!(ecl_eql(V2,VV[34]))){
	goto L40;}
	value0=V3;
	if((value0)!=Cnil){
	goto L45;}
	T0= VV[36];
	goto L43;
L45:;
	T0= value0;
	goto L43;
L43:;
	value0=cl_concatenate(3,ECL_SYM("STRING",803),T0,VV[37]) /*  CONCATENATE */;
	return value0;
L40:;
	value0=cl_error(2,VV[38],V2)              /*  ERROR           */;
	return value0;
	}
}}
/*	function definition for COMPUTE-MAIN-NAME                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10compute_main_name(cl_narg narg, cl_object V1, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= ecl_fdefinition(VV[39]);
	value0=cl_apply(5,T0,V1,VV[23],VV[40],V2) /*  APPLY           */;
	return value0;
}}
/*	function definition for INIT-FUNCTION-NAME                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13init_function_name(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,L13init_function_namekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[2]==Cnil){
	lex0[0]= ECL_SYM("OBJECT",1275);          /*  KIND            */
	}else{
	lex0[0]= keyvars[0];                      /*  KIND            */}
	V2= keyvars[1];
	}
	{ cl_object V3;
	V3= Cnil;
	V3= ecl_make_cfun((cl_objectfn_fixed)LC11translate_char,Cnil,Cblock,1);
	T0= cl_string(V1)                         /*  STRING          */;
	V1= cl_map(3,ECL_SYM("STRING",803),V3,T0) /*  MAP             */;
	value0=V2;
	if((value0)!=Cnil){
	goto L5;}
	T0= VV[36];
	goto L3;
L5:;
	T0= value0;
	goto L3;
L3:;
	T1= LC12disambiguation(lex0,lex0[0])      /*  DISAMBIGUATION  */;
	T2= cl_string(V1)                         /*  STRING          */;
	T3= cl_map(3,ECL_SYM("STRING",803),V3,T2) /*  MAP             */;
	value0=cl_concatenate(4,ECL_SYM("STRING",803),T0,T1,T3) /*  CONCATENATE */;
	return value0;
	}
}}
/*	local function DISAMBIGUATION                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC12disambiguation(volatile cl_object *lex0, cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ecl_eql(lex0[0],ECL_SYM("OBJECT",1275)))){
	goto L2;}
	value0=VV[42]; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ecl_eql(lex0[0],VV[34]))){
	goto L5;}
	value0=VV[43]; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ecl_eql(lex0[0],VV[18]))){
	goto L13;}
	goto L10;
	goto L11;
L13:;
	goto L11;
L11:;
	if(!(ecl_eql(lex0[0],VV[20]))){
	goto L8;}
	goto L9;
L10:;
L9:;
	value0=VV[44]; cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!(ecl_eql(lex0[0],VV[45]))){
	goto L22;}
	goto L19;
	goto L20;
L22:;
	goto L20;
L20:;
	if(!(ecl_eql(lex0[0],VV[24]))){
	goto L26;}
	goto L19;
	goto L24;
L26:;
	goto L24;
L24:;
	if(!(ecl_eql(lex0[0],VV[26]))){
	goto L17;}
	goto L18;
L19:;
L18:;
	value0=VV[47]; cl_env_copy->nvalues=1;
	return value0;
L17:;
	if(!(ecl_eql(lex0[0],VV[29]))){
	goto L35;}
	goto L32;
	goto L33;
L35:;
	goto L33;
L33:;
	if(!(ecl_eql(lex0[0],VV[31]))){
	goto L30;}
	goto L31;
L32:;
L31:;
	value0=VV[48]; cl_env_copy->nvalues=1;
	return value0;
L30:;
	value0=cl_error(2,VV[49],lex0[0])         /*  ERROR           */;
	return value0;
}}
/*	local function TRANSLATE-CHAR                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC11translate_char(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_charGE(2,V1,CODE_CHAR(97))         /*  CHAR>=          */)==Cnil){
	goto L2;}
	if((cl_charLE(2,V1,CODE_CHAR(122))        /*  CHAR<=          */)==Cnil){
	goto L2;}
	value0=cl_char_upcase(V1)                 /*  CHAR-UPCASE     */;
	return value0;
L2:;
	if((cl_charGE(2,V1,CODE_CHAR(65))         /*  CHAR>=          */)==Cnil){
	goto L6;}
	if((cl_charLE(2,V1,CODE_CHAR(90))         /*  CHAR<=          */)==Cnil){
	goto L6;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L6:;
	if((V1)==(CODE_CHAR(45))){
	goto L12;}
	if(!((V1)==(CODE_CHAR(95)))){
	goto L10;}
	goto L11;
L12:;
L11:;
	value0=CODE_CHAR(95); cl_env_copy->nvalues=1;
	return value0;
L10:;
	if(!((V1)==(CODE_CHAR(42)))){
	goto L15;}
	value0=CODE_CHAR(120); cl_env_copy->nvalues=1;
	return value0;
L15:;
	if(!((V1)==(CODE_CHAR(63)))){
	goto L18;}
	value0=CODE_CHAR(97); cl_env_copy->nvalues=1;
	return value0;
L18:;
	if((cl_digit_char_p(1,V1)                 /*  DIGIT-CHAR-P    */)==Cnil){
	goto L21;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L21:;
	value0=CODE_CHAR(112); cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "cmp/cmpname.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclAGRSFCa7_tjpwDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPNAME.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclAGRSFCa7_tjpwDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	(void)0; /* No entry created for ENCODE-NUMBER-IN-NAME */
	ecl_cmp_defun(VV[51]);                    /*  UNIQUE-INIT-NAME */
	ecl_cmp_defun(VV[52]);                    /*  INIT-NAME-TAG   */
	(void)0; /* No entry created for SEARCH-TAG */
	(void)0; /* No entry created for READ-NAME */
	ecl_cmp_defun(VV[53]);                    /*  FIND-INIT-NAME  */
	ecl_cmp_defun(VV[55]);                    /*  REMOVE-PREFIX   */
	ecl_cmp_defun(VV[56]);                    /*  GUESS-INIT-NAME */
	ecl_cmp_defun(VV[57]);                    /*  COMPUTE-INIT-NAME */
	ecl_cmp_defun(VV[61]);                    /*  COMPUTE-MAIN-NAME */
	ecl_cmp_defun(VV[62]);                    /*  INIT-FUNCTION-NAME */
}
