/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:CMP;CMPSTRUCTURES.LSP                             */
#include <ecl/ecl-cmp.h>
#include "cmp/cmpstructures.eclh"
/*	function definition for GET-SLOT-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1get_slot_type(cl_object V1, cl_object V2)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= si_get_sysprop(V1,ECL_SYM("STRUCTURE-SLOT-DESCRIPTIONS",1153)) /*  GET-SYSPROP */;
	T1= ecl_nth(ecl_to_size(V2),T0);
	value0=ecl_caddr(T1);
	if((value0)!=Cnil){
	goto L2;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MAYBE-OPTIMIZE-STRUCTURE-ACCESS       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2maybe_optimize_structure_access(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  SLOT-DESCRIPTION */
	V3= si_get_sysprop(V1,VV[1])              /*  GET-SYSPROP     */;
	if((V3)==Cnil){
	goto L3;}
	if((ecl_function_dispatch(cl_env_copy,VV[13])(1,V1) /*  INLINE-POSSIBLE */)==Cnil){
	goto L3;}
	if((ecl_function_dispatch(cl_env_copy,VV[14])(0) /*  POLICY-INLINE-SLOT-ACCESS-P */)==Cnil){
	goto L3;}
	{cl_object V4;                            /*  STRUCTURE-TYPE  */
	cl_object V5;                             /*  SLOT-INDEX      */
	V4= Cnil;
	V5= Cnil;
	if(!(ECL_CONSP(V3))){
	goto L14;}
	V4= ecl_car(V3);
	V5= ecl_cdr(V3);
	if((V5)==Cnil){
	goto L14;}
	if(FIXNUMP(V5)){
	goto L11;}
	goto L12;
L14:;
	goto L12;
L12:;
	ecl_function_dispatch(cl_env_copy,VV[15])(3,VV[2],V1,V5) /*  CMPWARN */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L11:;
	goto L9;
L9:;
	{cl_fixnum V6;
	V6= ecl_length(V2);
	if((V6)==(1)){
	goto L23;}}
	ecl_function_dispatch(cl_env_copy,VV[15])(2,VV[3],V1) /*  CMPWARN */;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L23:;
	goto L21;
L21:;
	V2= ecl_car(V2);
	if(!((V4)==(ECL_SYM("LIST",479)))){
	goto L29;}
	value0=cl_list(3,ECL_SYM("ELT",325),V2,V5) /*  LIST           */;
	return value0;
L29:;
	if(!((V4)==(ECL_SYM("VECTOR",896)))){
	goto L32;}
	value0=cl_list(3,ECL_SYM("SVREF",836),V2,V5) /*  LIST         */;
	return value0;
L32:;
	if(!(ECL_CONSP(V4))){
	goto L35;}
	T0= cl_list(3,ECL_SYM("THE",854),V4,V2)   /*  LIST            */;
	value0=cl_list(3,ECL_SYM("AREF",90),T0,V5) /*  LIST           */;
	return value0;
L35:;
	T0= cl_list(2,ECL_SYM("QUOTE",677),V4)    /*  LIST            */;
	value0=cl_list(3,V2,T0,V5)                /*  LIST            */;
	return value0;
	}
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function STRUCTURE-REF                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3si_structure_ref(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  OBJECT          */
	cl_object V5;                             /*  STRUCTURE-NAME  */
	cl_object V6;                             /*  INDEX           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V7;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V7;
	}
	if(!(V3==Cnil)){
	goto L21;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V7;
	V7= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V7;
	}
	if((V3)==Cnil){
	goto L28;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L26;
L28:;
	goto L26;
L26:;
	if((ecl_function_dispatch(cl_env_copy,VV[16])(1,V2) /*  POLICY-INLINE-SLOT-ACCESS */)==Cnil){
	goto L31;}
	if((cl_constantp(2,V5,V2)                 /*  CONSTANTP       */)==Cnil){
	goto L31;}
	if((cl_constantp(2,V6,V2)                 /*  CONSTANTP       */)==Cnil){
	goto L31;}
	{cl_object V7;                            /*  INDEX           */
	cl_object V8;                             /*  AUX             */
	cl_object V9;                             /*  FORM            */
	V7= ecl_function_dispatch(cl_env_copy,VV[17])(2,V6,V2) /*  CMP-EVAL */;
	V8= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,V8,V7)                      /*  LIST            */;
	V9= cl_listX(3,VV[5],T0,VV[6])            /*  LIST*           */;
	if((ecl_function_dispatch(cl_env_copy,VV[18])(1,V2) /*  POLICY-ASSUME-NO-ERRORS */)!=Cnil){
	goto L40;}
	{cl_object V10;                           /*  STRUCTURE-NAME  */
	V10= ecl_function_dispatch(cl_env_copy,VV[17])(2,V5,V2) /*  CMP-EVAL */;
	T0= cl_list(2,V10,V9)                     /*  LIST            */;
	T1= cl_list(3,V8,V10,V7)                  /*  LIST            */;
	T2= cl_listX(3,VV[5],T1,VV[7])            /*  LIST*           */;
	T3= cl_list(2,Ct,T2)                      /*  LIST            */;
	V9= cl_list(4,ECL_SYM("COMPILER-TYPECASE",1762),V8,T0,T3) /*  LIST */;
	goto L38;
	}
L40:;
	goto L38;
L38:;
	T0= cl_list(2,V8,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[8],V8)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,V9) /*  LIST        */;
	return value0;
	}
L31:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function STRUCTURE-SET                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4si_structure_set(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  OBJECT          */
	cl_object V5;                             /*  STRUCTURE-NAME  */
	cl_object V6;                             /*  INDEX           */
	cl_object V7;                             /*  VALUE           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V8;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V8;
	}
	if(!(V3==Cnil)){
	goto L21;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L19;
L21:;
	goto L19;
L19:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V6= V8;
	}
	if(!(V3==Cnil)){
	goto L29;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L27;
L29:;
	goto L27;
L27:;
	{cl_object V8;
	V8= ecl_car(V3);
	V3= ecl_cdr(V3);
	V7= V8;
	}
	if((V3)==Cnil){
	goto L36;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L34;
L36:;
	goto L34;
L34:;
	if((ecl_function_dispatch(cl_env_copy,VV[16])(1,V2) /*  POLICY-INLINE-SLOT-ACCESS */)==Cnil){
	goto L39;}
	if((cl_constantp(2,V5,V2)                 /*  CONSTANTP       */)==Cnil){
	goto L39;}
	if((cl_constantp(2,V6,V2)                 /*  CONSTANTP       */)==Cnil){
	goto L39;}
	{cl_object V8;                            /*  INDEX           */
	cl_object V9;                             /*  AUX             */
	cl_object V10;                            /*  FORM            */
	V8= ecl_function_dispatch(cl_env_copy,VV[17])(2,V6,V2) /*  CMP-EVAL */;
	V9= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(3,V9,V8,V7)                   /*  LIST            */;
	V10= cl_listX(3,VV[5],T0,VV[9])           /*  LIST*           */;
	if((ecl_function_dispatch(cl_env_copy,VV[18])(1,V2) /*  POLICY-ASSUME-NO-ERRORS */)!=Cnil){
	goto L48;}
	{cl_object V11;                           /*  STRUCTURE-NAME  */
	V11= ecl_function_dispatch(cl_env_copy,VV[17])(2,V5,V2) /*  CMP-EVAL */;
	T0= cl_list(2,V11,V10)                    /*  LIST            */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),V11)   /*  LIST            */;
	T2= cl_list(4,V9,T1,V8,V7)                /*  LIST            */;
	T3= cl_listX(3,VV[5],T2,VV[10])           /*  LIST*           */;
	T4= cl_list(2,Ct,T3)                      /*  LIST            */;
	V10= cl_list(4,ECL_SYM("COMPILER-TYPECASE",1762),V9,T0,T4) /*  LIST */;
	goto L46;
	}
L48:;
	goto L46;
L46:;
	T0= cl_list(2,V9,V4)                      /*  LIST            */;
	T1= ecl_list1(T0);
	T2= cl_list(2,VV[8],V9)                   /*  LIST            */;
	T3= cl_list(2,ECL_SYM("DECLARE",272),T2)  /*  LIST            */;
	value0=cl_list(4,ECL_SYM("LET",475),T1,T3,V10) /*  LIST       */;
	return value0;
	}
L39:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "cmp/cmpstructures.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclHBxIaea7_NPCxDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:CMP;CMPSTRUCTURES.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclHBxIaea7_NPCxDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[11]);                    /*  GET-SLOT-TYPE   */
	ecl_cmp_defun(VV[12]);                    /*  MAYBE-OPTIMIZE-STRUCTURE-ACCESS */
	T0= ecl_make_cfun((cl_objectfn_fixed)LC3si_structure_ref,Cnil,Cblock,2);
	si_put_sysprop(ECL_SYM("STRUCTURE-REF",1151),ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC4si_structure_set,Cnil,Cblock,2);
	si_put_sysprop(ECL_SYM("STRUCTURE-SET",1152),ECL_SYM("COMPILER-MACRO",236),T0) /*  PUT-SYSPROP */;
}
