
#include <ecl/ecl.h>

#ifdef __cplusplus
#define ECL_CPP_TAG "C"
#else
#define ECL_CPP_TAG
#endif




#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT
void init_ECL_PROGRAM(cl_object cblock)
{
        /*
         * This function is first invoked with a pointer to a Cblock
         * structure, so that the function initializes it, and then
         * it is invoked with OBJNULL, to force initialization.
         */
	static cl_object Cblock = OBJNULL;
        if (cblock != OBJNULL) {
		Cblock = cblock;
#ifndef ECL_DYNAMIC_VV
		cblock->cblock.data = NULL;
#endif
		cblock->cblock.data_size = 0;
		return;
	}
	
{
	/*
         * At this point Cblock contains the cblock of the parent.
         * Notice how the modules are linked to the parent forming a
         * circular chain. This disables the garbage collection of
         * the library until _ALL_ functions in all modules are unlinked.
         */
	cl_index i = 0;
	cl_object current, next = Cblock;

	Cblock->cblock.next = current;
}
	
}
extern int
main(int argc, char **argv)
{
	cl_boot(argc, argv);
	CL_CATCH_ALL_BEGIN(ecl_process_env()) {
	
	ecl_init_module(OBJNULL, init_ECL_PROGRAM);
	{ const char *lisp_code = 
"(SI:TOP-LEVEL T) ";
cl_object output;
si_select_package(ecl_make_simple_base_string("CL-USER", 7));
output = si_safe_eval(2, ecl_read_from_cstring(lisp_code), Cnil);
}
	} CL_CATCH_ALL_END;
	si_exit(0);
}