/*	Compiler: ECL 12.2.1                                          */
/*	Source: EXT:QUICKLISP;MINITAR.LISP                            */
#include <ecl/ecl-cmp.h>
#include "ext/minitar.eclh"
/*	function definition for MAKE-BLOCK-BUFFER                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_block_buffer()
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= si_make_vector(ECL_SYM("BYTE8",1327),MAKE_FIXNUM(512),Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-VECTOR */;
	value0=si_fill_array_with_elt(T0,MAKE_FIXNUM(0),MAKE_FIXNUM(0),Cnil) /*  FILL-ARRAY-WITH-ELT */;
	return value0;
}}
/*	function definition for SKIP-N-BLOCKS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2skip_n_blocks(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  BLOCK           */
	V3= L1make_block_buffer()                 /*  MAKE-BLOCK-BUFFER */;
	{cl_object V4;                            /*  I               */
	V4= MAKE_FIXNUM(0);
	goto L5;
L4:;
	cl_read_sequence(2,V3,V2)                 /*  READ-SEQUENCE   */;
	V4= ecl_one_plus(V4);
L5:;
	if(!(ecl_number_compare(V4,V1)<0)){
	goto L12;}
	goto L4;
L12:;
	goto L10;
L10:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
/*	function definition for ASCII-SUBSEQ                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3ascii_subseq(cl_object V1, cl_object V2, cl_object V3)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  STRING          */
	T0= ecl_minus(V3,V2);
	V4= cl_make_string(1,T0)                  /*  MAKE-STRING     */;
	{cl_object V5;                            /*  I               */
	V5= MAKE_FIXNUM(0);
	{cl_object V6;                            /*  J               */
	cl_object V7;
	T0= cl_realp(V2)                          /*  REALP           */;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(ECL_SYM("REAL",701),V2);
	V6= V2;
	T0= cl_realp(V3)                          /*  REALP           */;
	if (ecl_unlikely(!((T0)!=Cnil)))
         FEwrong_type_argument(ECL_SYM("REAL",701),V3);
	V7= V3;
L9:;
	if(!(ecl_number_compare(V6,V7)>=0)){
	goto L13;}
	goto L10;
L13:;
	goto L11;
L11:;
	{cl_fixnum V8;
	if (ecl_unlikely(!ECL_VECTORP(V1)))
           FEtype_error_vector(V1);
	if (ecl_unlikely((ecl_fix(V6))>=(V1)->vector.dim))
           FEwrong_index(Cnil,V1,-1,MAKE_FIXNUM(ecl_fix(V6)),(V1)->vector.dim);
	V8= ecl_fix(V6);
	T0= ecl_aref_unsafe(V1,V8);}
	T1= cl_code_char(T0)                      /*  CODE-CHAR       */;
	si_char_set(V4,V5,T1);
	V5= ecl_one_plus(V5);
	V6= ecl_one_plus(V6);
	goto L9;
L10:;
	goto L2;
	}
	}
L2:;
	value0=V4; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for BLOCK-ASCIIZ-STRING                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4block_asciiz_string(cl_object V1, cl_object V2, cl_object V3)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V4;                            /*  END             */
	cl_object V5;                             /*  EOS             */
	V4= ecl_plus(V2,V3);
	value0=cl_position(6,MAKE_FIXNUM(0),V1,ECL_SYM("START",1307),V2,ECL_SYM("END",1222),V4) /*  POSITION */;
	if((value0)!=Cnil){
	goto L4;}
	V5= V4;
	goto L2;
L4:;
	V5= value0;
	goto L2;
L2:;
	value0=L3ascii_subseq(V1,V2,V5)           /*  ASCII-SUBSEQ    */;
	return value0;
	}
}}
/*	function definition for PREFIX                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5prefix(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if (ecl_unlikely(!ECL_VECTORP(V1)))
           FEtype_error_vector(V1);
	if (ecl_unlikely((345)>=(V1)->vector.dim))
           FEwrong_index(Cnil,V1,-1,MAKE_FIXNUM(345),(V1)->vector.dim);
	T0= ecl_aref_unsafe(V1,345);
	if(!(ecl_plusp(T0))){
	goto L2;}
	value0=L4block_asciiz_string(V1,MAKE_FIXNUM(345),MAKE_FIXNUM(155)) /*  BLOCK-ASCIIZ-STRING */;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NAME                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6name(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=L4block_asciiz_string(V1,MAKE_FIXNUM(0),MAKE_FIXNUM(100)) /*  BLOCK-ASCIIZ-STRING */;
	return value0;
}}
/*	function definition for PAYLOAD-SIZE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7payload_size(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L4block_asciiz_string(V1,MAKE_FIXNUM(124),MAKE_FIXNUM(12)) /*  BLOCK-ASCIIZ-STRING */;
	value0=cl_parse_integer(3,T0,ECL_SYM("RADIX",1292),MAKE_FIXNUM(8)) /*  PARSE-INTEGER */;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NTH-BLOCK                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8nth_block(cl_object volatile V1, cl_object volatile V2)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V3;                   /*  STREAM          */
	V3= cl_open(3,V2,ECL_SYM("ELEMENT-TYPE",1221),VV[7]) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V4=ECL_STACK_INDEX(cl_env_copy),V5;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V6;
	V6= _ecl_inner_frame;
	{cl_object V7;                            /*  BLOCK           */
	V7= L1make_block_buffer()                 /*  MAKE-BLOCK-BUFFER */;
	T0= ecl_one_minus(V1);
	L2skip_n_blocks(T0,V3)                    /*  SKIP-N-BLOCKS   */;
	cl_read_sequence(2,V7,V3)                 /*  READ-SEQUENCE   */;
	cl_env_copy->values[0]=V7; cl_env_copy->nvalues=1;
	}
	ecl_stack_frame_push_values(V6);
	if((V3)==Cnil){
	goto L12;}
	cl_close(1,V3)                            /*  CLOSE           */;
	goto L10;
L12:;
	goto L10;
L10:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V6);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V5=ecl_stack_push_values(cl_env_copy);
	if((V3)==Cnil){
	goto L16;}
	cl_close(3,V3,ECL_SYM("ABORT",1192),Ct)   /*  CLOSE           */;
	goto L14;
L16:;
	goto L14;
L14:;
	ecl_stack_pop_values(cl_env_copy,V5);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V4);
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for PAYLOAD-TYPE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9payload_type(cl_object V1)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(MAKE_FIXNUM(0)))){
	goto L2;}
	value0=ECL_SYM("FILE",1234); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!((V1)==(MAKE_FIXNUM(48)))){
	goto L5;}
	value0=ECL_SYM("FILE",1234); cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!((V1)==(MAKE_FIXNUM(50)))){
	goto L8;}
	value0=VV[9]; cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!((V1)==(MAKE_FIXNUM(76)))){
	goto L11;}
	value0=VV[10]; cl_env_copy->nvalues=1;
	return value0;
L11:;
	if(!((V1)==(MAKE_FIXNUM(53)))){
	goto L14;}
	value0=ECL_SYM("DIRECTORY",1216); cl_env_copy->nvalues=1;
	return value0;
L14:;
	if(!((V1)==(MAKE_FIXNUM(103)))){
	goto L17;}
	value0=VV[11]; cl_env_copy->nvalues=1;
	return value0;
L17:;
	value0=VV[12]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for FULL-PATH                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10full_path(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET2487         */
	cl_object V3;                             /*  LET2488         */
	V2= L5prefix(V1)                          /*  PREFIX          */;
	V3= L6name(V1)                            /*  NAME            */;
	if((V2)==Cnil){
	goto L4;}
	value0=cl_format(4,Cnil,VV[14],V2,V3)     /*  FORMAT          */;
	return value0;
L4:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for SAVE-FILE                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11save_file(cl_object volatile V1, cl_object volatile V2, cl_object volatile V3)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=ecl_truncate2(V2,MAKE_FIXNUM(512));
	{
	volatile cl_object V5;                    /*  FULL-BLOCKS     */
	volatile cl_object V6;                    /*  PARTIAL         */
	V5= cl_env_copy->values[0];
	V6= cl_env_copy->values[1];
	cl_ensure_directories_exist(1,V1)         /*  ENSURE-DIRECTORIES-EXIST */;
	{volatile cl_object V7;                   /*  OUTSTREAM       */
	V7= cl_open(7,V1,ECL_SYM("DIRECTION",1215),ECL_SYM("OUTPUT",1279),ECL_SYM("IF-EXISTS",1242),ECL_SYM("SUPERSEDE",1311),ECL_SYM("ELEMENT-TYPE",1221),VV[7]) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V8=ECL_STACK_INDEX(cl_env_copy),V9;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V10;
	V10= _ecl_inner_frame;
	{cl_object V11;                           /*  BLOCK           */
	V11= L1make_block_buffer()                /*  MAKE-BLOCK-BUFFER */;
	{cl_object V12;                           /*  I               */
	V12= MAKE_FIXNUM(0);
	goto L14;
L13:;
	cl_read_sequence(2,V11,V3)                /*  READ-SEQUENCE   */;
	cl_write_sequence(2,V11,V7)               /*  WRITE-SEQUENCE  */;
	V12= ecl_one_plus(V12);
L14:;
	if(!(ecl_number_compare(V12,V5)<0)){
	goto L22;}
	goto L13;
L22:;
	goto L20;
L20:;
	goto L10;
	}
L10:;
	if(!(ecl_plusp(V6))){
	goto L25;}
	cl_read_sequence(2,V11,V3)                /*  READ-SEQUENCE   */;
	cl_env_copy->values[0]=cl_write_sequence(4,V11,V7,ECL_SYM("END",1222),V6) /*  WRITE-SEQUENCE */;
	goto L8;
L25:;
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	goto L8;
	}
L8:;
	ecl_stack_frame_push_values(V10);
	if((V7)==Cnil){
	goto L30;}
	cl_close(1,V7)                            /*  CLOSE           */;
	goto L28;
L30:;
	goto L28;
L28:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V10);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V9=ecl_stack_push_values(cl_env_copy);
	if((V7)==Cnil){
	goto L34;}
	cl_close(3,V7,ECL_SYM("ABORT",1192),Ct)   /*  CLOSE           */;
	goto L32;
L34:;
	goto L32;
L32:;
	ecl_stack_pop_values(cl_env_copy,V9);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V8);
	return cl_env_copy->values[0];}
	}}
}}
/*	function definition for UNPACK-TARBALL                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12unpack_tarball(volatile cl_narg narg, cl_object volatile V1, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,L12unpack_tarballkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[1]==Cnil){
	V2= ecl_symbol_value(ECL_SYM("*DEFAULT-PATHNAME-DEFAULTS*",30));
	}else{
	V2= keyvars[0];}
	}
	{volatile cl_object V3;                   /*  BLOCK           */
	V3= L1make_block_buffer()                 /*  MAKE-BLOCK-BUFFER */;
	{volatile cl_object V4;                   /*  STREAM          */
	V4= cl_open(3,V1,ECL_SYM("ELEMENT-TYPE",1221),VV[7]) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V5=ECL_STACK_INDEX(cl_env_copy),V6;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V7;
	V7= _ecl_inner_frame;
L10:;
	{cl_fixnum V8;                            /*  SIZE            */
	V8= ecl_to_fixnum(cl_read_sequence(2,V3,V4) /*  READ-SEQUENCE */);
	if(!((V8)==0)){
	goto L15;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	goto L8;
L15:;
	goto L13;
L13:;
	if((V8)==(512)){
	goto L19;}
	cl_error(1,VV[17])                        /*  ERROR           */;
	goto L17;
L19:;
	goto L17;
L17:;
	T0= (ECL_SYM("ZEROP",924)->symbol.gfdef);
	if((cl_every(2,T0,V3)                     /*  EVERY           */)==Cnil){
	goto L23;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	goto L8;
L23:;
	goto L21;
L21:;
	{cl_object V9;                            /*  PAYLOAD-CODE    */
	cl_object V10;                            /*  PAYLOAD-TYPE    */
	cl_object V11;                            /*  TAR-PATH        */
	cl_object V12;                            /*  FULL-PATH       */
	cl_object V13;                            /*  PAYLOAD-SIZE    */
	cl_object V14;                            /*  BLOCK-COUNT     */
	if (ecl_unlikely(!ECL_VECTORP(V3)))
           FEtype_error_vector(V3);
	if (ecl_unlikely((156)>=(V3)->vector.dim))
           FEwrong_index(Cnil,V3,-1,MAKE_FIXNUM(156),(V3)->vector.dim);
	V9= ecl_aref_unsafe(V3,156);
	V10= L9payload_type(V9)                   /*  PAYLOAD-TYPE    */;
	V11= L10full_path(V3)                     /*  FULL-PATH       */;
	V12= cl_merge_pathnames(2,V11,V2)         /*  MERGE-PATHNAMES */;
	V13= L7payload_size(V3)                   /*  PAYLOAD-SIZE    */;
	T0= L7payload_size(V3)                    /*  PAYLOAD-SIZE    */;
	V14= ecl_ceiling2(T0,MAKE_FIXNUM(512));
	if(!(ecl_eql(V10,ECL_SYM("FILE",1234)))){
	goto L35;}
	L11save_file(V12,V13,V4)                  /*  SAVE-FILE       */;
	goto L11;
L35:;
	if(!(ecl_eql(V10,ECL_SYM("DIRECTORY",1216)))){
	goto L38;}
	cl_ensure_directories_exist(1,V12)        /*  ENSURE-DIRECTORIES-EXIST */;
	goto L11;
L38:;
	if(!(ecl_eql(V10,VV[9]))){
	goto L46;}
	goto L43;
	goto L44;
L46:;
	goto L44;
L44:;
	if(!(ecl_eql(V10,VV[10]))){
	goto L50;}
	goto L43;
	goto L48;
L50:;
	goto L48;
L48:;
	if(!(ecl_eql(V10,VV[11]))){
	goto L41;}
	goto L42;
L43:;
L42:;
	L2skip_n_blocks(V14,V4)                   /*  SKIP-N-BLOCKS   */;
	goto L11;
L41:;
	(cl_env_copy->function=(ECL_SYM("WARN",901)->symbol.gfdef))->cfun.entry(2,VV[21],V9) /*  WARN */;
	L2skip_n_blocks(V14,V4)                   /*  SKIP-N-BLOCKS   */;
	goto L11;
	}
	}
L11:;
	goto L10;
L8:;
	ecl_stack_frame_push_values(V7);
	if((V4)==Cnil){
	goto L57;}
	cl_close(1,V4)                            /*  CLOSE           */;
	goto L55;
L57:;
	goto L55;
L55:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V7);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V6=ecl_stack_push_values(cl_env_copy);
	if((V4)==Cnil){
	goto L61;}
	cl_close(3,V4,ECL_SYM("ABORT",1192),Ct)   /*  CLOSE           */;
	goto L59;
L61:;
	goto L59;
L59:;
	ecl_stack_pop_values(cl_env_copy,V6);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V5);
	return cl_env_copy->values[0];}
	}
	}
}}
/*	function definition for CONTENTS                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13contents(cl_object volatile V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{volatile cl_object V2;                   /*  LET2489         */
	volatile cl_object V3;                    /*  RESULT          */
	V2= L1make_block_buffer()                 /*  MAKE-BLOCK-BUFFER */;
	V3= Cnil;
	{volatile cl_object V4;                   /*  STREAM          */
	V4= cl_open(3,V1,ECL_SYM("ELEMENT-TYPE",1221),VV[7]) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V5=ECL_STACK_INDEX(cl_env_copy),V6;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V7;
	V7= _ecl_inner_frame;
L10:;
	{cl_fixnum V8;                            /*  SIZE            */
	V8= ecl_to_fixnum(cl_read_sequence(2,V2,V4) /*  READ-SEQUENCE */);
	if(!((V8)==0)){
	goto L15;}
	cl_env_copy->values[0]=cl_nreverse(V3)    /*  NREVERSE        */;
	goto L8;
L15:;
	goto L13;
L13:;
	if((V8)==(512)){
	goto L19;}
	cl_error(1,VV[17])                        /*  ERROR           */;
	goto L17;
L19:;
	goto L17;
L17:;
	T0= (ECL_SYM("ZEROP",924)->symbol.gfdef);
	if((cl_every(2,T0,V2)                     /*  EVERY           */)==Cnil){
	goto L23;}
	cl_env_copy->values[0]=cl_nreverse(V3)    /*  NREVERSE        */;
	goto L8;
L23:;
	goto L21;
L21:;
	{cl_object V9;                            /*  PAYLOAD-TYPE    */
	cl_object V10;                            /*  TAR-PATH        */
	cl_object V11;                            /*  PAYLOAD-SIZE    */
	if (ecl_unlikely(!ECL_VECTORP(V2)))
           FEtype_error_vector(V2);
	if (ecl_unlikely((156)>=(V2)->vector.dim))
           FEwrong_index(Cnil,V2,-1,MAKE_FIXNUM(156),(V2)->vector.dim);
	T0= ecl_aref_unsafe(V2,156);
	V9= L9payload_type(T0)                    /*  PAYLOAD-TYPE    */;
	V10= L10full_path(V2)                     /*  FULL-PATH       */;
	V11= L7payload_size(V2)                   /*  PAYLOAD-SIZE    */;
	T0= ecl_ceiling2(V11,MAKE_FIXNUM(512));
	L2skip_n_blocks(T0,V4)                    /*  SKIP-N-BLOCKS   */;
	if(!(ecl_eql(V9,ECL_SYM("FILE",1234)))){
	goto L34;}
	V3= CONS(V10,V3);
	goto L11;
L34:;
	if(!(ecl_eql(V9,ECL_SYM("DIRECTORY",1216)))){
	goto L38;}
	V3= CONS(V10,V3);
	goto L11;
L38:;
	goto L11;
	}
	}
L11:;
	goto L10;
L8:;
	ecl_stack_frame_push_values(V7);
	if((V4)==Cnil){
	goto L44;}
	cl_close(1,V4)                            /*  CLOSE           */;
	goto L42;
L44:;
	goto L42;
L42:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V7);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V6=ecl_stack_push_values(cl_env_copy);
	if((V4)==Cnil){
	goto L48;}
	cl_close(3,V4,ECL_SYM("ABORT",1192),Ct)   /*  CLOSE           */;
	goto L46;
L48:;
	goto L46;
L46:;
	ecl_stack_pop_values(cl_env_copy,V6);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V5);
	return cl_env_copy->values[0];}
	}
	}
}}
	
#include "ext/minitar.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclhJvnQYZ7_lbZzDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:QUICKLISP;MINITAR.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclhJvnQYZ7_lbZzDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	ecl_function_dispatch(cl_env_copy,VV[24])(10,VVtemp[0],Cnil,VVtemp[1],VVtemp[2],Cnil,Cnil,VVtemp[3],Cnil,Cnil,Cnil) /*  DODEFPACKAGE */;
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[25]);                    /*  MAKE-BLOCK-BUFFER */
	ecl_cmp_defun(VV[26]);                    /*  SKIP-N-BLOCKS   */
	ecl_cmp_defun(VV[27]);                    /*  ASCII-SUBSEQ    */
	ecl_cmp_defun(VV[28]);                    /*  BLOCK-ASCIIZ-STRING */
	ecl_cmp_defun(VV[29]);                    /*  PREFIX          */
	ecl_cmp_defun(VV[30]);                    /*  NAME            */
	ecl_cmp_defun(VV[31]);                    /*  PAYLOAD-SIZE    */
	ecl_cmp_defun(VV[32]);                    /*  NTH-BLOCK       */
	ecl_cmp_defun(VV[33]);                    /*  PAYLOAD-TYPE    */
	ecl_cmp_defun(VV[34]);                    /*  FULL-PATH       */
	ecl_cmp_defun(VV[35]);                    /*  SAVE-FILE       */
	ecl_cmp_defun(VV[36]);                    /*  UNPACK-TARBALL  */
	ecl_cmp_defun(VV[38]);                    /*  CONTENTS        */
}
