/*	Compiler: ECL 12.2.1                                          */
/*	Source: EXT:RT;RT.LISP                                        */
#include <ecl/ecl-cmp.h>
#include "ext/rt.eclh"
/*	function definition for MAKE-ENTRY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1make_entry(cl_narg narg, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	cl_object V1;
	cl_object V2;
	cl_object V3;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	{ cl_object keyvars[6];
	cl_parse_key(args,3,L1make_entrykeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V1= keyvars[0];
	V2= keyvars[1];
	V3= keyvars[2];
	}
	value0=cl_list(3,V1,V2,V3)                /*  LIST            */;
	return value0;
}}
/*	local function VALS                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2vals(cl_object V1, cl_object V2)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ENTRY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	if((V3)==Cnil){
	goto L12;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L10;
L12:;
	goto L10;
L10:;
	value0=cl_list(2,ECL_SYM("CDDDR",194),V4) /*  LIST            */;
	return value0;
	}
}}
/*	local function DEFN                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3defn(cl_object V1, cl_object V2)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  ENTRY           */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V5;
	V5= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V5;
	}
	if((V3)==Cnil){
	goto L12;}
	si_dm_too_many_arguments(1,V3)            /*  DM-TOO-MANY-ARGUMENTS */;
	goto L10;
L12:;
	goto L10;
L10:;
	value0=cl_list(2,ECL_SYM("CDR",196),V4)   /*  LIST            */;
	return value0;
	}
}}
/*	function definition for PENDING-TESTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4pending_tests()
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V1;                            /*  LET2537         */
	cl_object V2;                             /*  L               */
	cl_object V3;                             /*  R               */
	V1= ecl_cdr(ecl_symbol_value(VV[2]));
	V2= V1;
	V3= Cnil;
	goto L7;
L6:;
	T0= ecl_car(V2);
	if((ecl_function_dispatch(cl_env_copy,VV[51])(1,T0) /*  PEND  */)==Cnil){
	goto L11;}
	T0= ecl_car(V2);
	T1= ecl_function_dispatch(cl_env_copy,VV[52])(1,T0) /*  NAME  */;
	V3= CONS(T1,V3);
	goto L9;
L11:;
	goto L9;
L9:;
	V2= ecl_cdr(V2);
L7:;
	if(V2==Cnil){
	goto L18;}
	goto L6;
L18:;
	goto L16;
L16:;
	goto L4;
L4:;
	value0=cl_nreverse(V3)                    /*  NREVERSE        */;
	return value0;
	}
}}
/*	function definition for REM-ALL-TESTS                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5rem_all_tests()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_set(VV[2],ecl_list1(Cnil));
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REM-TEST                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6rem_test(cl_narg narg, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[0]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;                            /*  L               */
	V2= ecl_symbol_value(VV[2]);
	goto L6;
L5:;
	T0= ecl_cadr(V2);
	T1= ecl_function_dispatch(cl_env_copy,VV[52])(1,T0) /*  NAME  */;
	if(!(ecl_equal(T1,V1))){
	goto L10;}
	{cl_object V3;
	V3= ecl_cddr(V2);
	if (ecl_unlikely(ATOM(V2))) FEtype_error_cons(V2);
	T0= V2;
	(ECL_CONS_CDR(T0)=V3,T0);
	}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L10:;
	goto L8;
L8:;
	V2= ecl_cdr(V2);
L6:;
	T0= ecl_cdr(V2);
	if(T0==Cnil){
	goto L21;}
	goto L5;
L21:;
	goto L19;
L19:;
	goto L3;
L3:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for GET-TEST                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7get_test(cl_narg narg, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[0]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= L8get_entry(V1)                       /*  GET-ENTRY       */;
	value0=ecl_cdr(T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for GET-ENTRY                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8get_entry(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  ENTRY           */
	{cl_object V3;
	cl_object V4;
	V3= ecl_cdr(ecl_symbol_value(VV[2]));
	V4= si_make_seq_iterator(2,V3,MAKE_FIXNUM(0)) /*  MAKE-SEQ-ITERATOR */;
L5:;
	if((V4)!=Cnil){
	goto L9;}
	V2= Cnil;
	goto L1;
L9:;
	goto L7;
L7:;
	{cl_object V5;
	V5= si_seq_iterator_ref(V3,V4)            /*  SEQ-ITERATOR-REF */;
	T0= ecl_function_dispatch(cl_env_copy,VV[52])(1,V5) /*  NAME  */;
	if(!(ecl_equal(V1,T0))){
	goto L14;}
	V2= V5;
	goto L1;
L14:;
	goto L11;
	}
L11:;
	V4= si_seq_iterator_next(V3,V4)           /*  SEQ-ITERATOR-NEXT */;
	goto L5;
	}
L1:;
	if(!(V2==Cnil)){
	goto L20;}
	L11report_error(3,Ct,VV[19],V1)           /*  REPORT-ERROR    */;
	goto L18;
L20:;
	goto L18;
L18:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	local function DEFTEST                                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9deftest(cl_object V1, cl_object V2)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  NAME            */
	cl_object V5;                             /*  FORM            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	T0= cl_listX(4,Ct,V4,V5,V3)               /*  LIST*           */;
	T1= cl_list(2,ECL_SYM("QUOTE",677),T0)    /*  LIST            */;
	value0=cl_list(2,VV[21],T1)               /*  LIST            */;
	return value0;
	}
}}
/*	function definition for ADD-ENTRY                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10add_entry(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	V1= cl_copy_list(V1)                      /*  COPY-LIST       */;
	{cl_object V2;                            /*  L               */
	V2= ecl_symbol_value(VV[2]);
	goto L8;
L7:;
	T0= ecl_cdr(V2);
	if(!(T0==Cnil)){
	goto L12;}
	{cl_object V3;
	V3= ecl_list1(V1);
	if (ecl_unlikely(ATOM(V2))) FEtype_error_cons(V2);
	T0= V2;
	(ECL_CONS_CDR(T0)=V3,T0);
	}
	goto L3;
L12:;
	goto L10;
L10:;
	T0= ecl_cadr(V2);
	T1= ecl_function_dispatch(cl_env_copy,VV[52])(1,T0) /*  NAME  */;
	T2= ecl_function_dispatch(cl_env_copy,VV[52])(1,V1) /*  NAME  */;
	if(!(ecl_equal(T1,T2))){
	goto L21;}
	{cl_object V3;
	V3= ecl_cdr(V2);
	if (ecl_unlikely(ATOM(V3))) FEtype_error_cons(V3);
	T0= V3;
	}
	(ECL_CONS_CAR(T0)=V1,T0);
	T0= ecl_function_dispatch(cl_env_copy,VV[52])(1,V1) /*  NAME  */;
	L11report_error(3,Cnil,VV[23],T0)         /*  REPORT-ERROR    */;
	goto L3;
L21:;
	goto L19;
L19:;
	V2= ecl_cdr(V2);
L8:;
	goto L7;
	}
L3:;
	if((ecl_symbol_value(VV[1]))==Cnil){
	goto L34;}
	L16do_entry(1,V1)                         /*  DO-ENTRY        */;
	goto L32;
L34:;
	goto L32;
L32:;
	cl_set(VV[0],ecl_function_dispatch(cl_env_copy,VV[52])(1,V1) /*  NAME */);
	value0=ecl_symbol_value(VV[0]); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REPORT-ERROR                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11report_error(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	V2=cl_grab_rest_args(args);
	cl_va_end(args);
	if((ecl_symbol_value(VV[4]))==Cnil){
	goto L2;}
	T0= (ECL_SYM("FORMAT",385)->symbol.gfdef);
	cl_apply(3,T0,Ct,V2)                      /*  APPLY           */;
	if((V1)==Cnil){
	goto L7;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[4]);
L7:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((V1)==Cnil){
	goto L11;}
	T0= (ECL_SYM("ERROR",335)->symbol.gfdef);
	value0=cl_apply(2,T0,V2)                  /*  APPLY           */;
	return value0;
L11:;
	T0= (ECL_SYM("WARN",901)->symbol.gfdef);
	value0=cl_apply(2,T0,V2)                  /*  APPLY           */;
	return value0;
}}
/*	function definition for DO-TEST                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12do_test(cl_narg narg, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(VV[0]);
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	T0= L8get_entry(V1)                       /*  GET-ENTRY       */;
	value0=L16do_entry(1,T0)                  /*  DO-ENTRY        */;
	return value0;
}}
/*	function definition for EQUALP-WITH-CASE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13equalp_with_case(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!((V1)==(V2))){
	goto L2;}
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(ECL_CONSP(V1))){
	goto L5;}
	if(!(ECL_CONSP(V2))){
	goto L8;}
	T0= ecl_car(V1);
	T1= ecl_car(V2);
	if((L13equalp_with_case(T0,T1)            /*  EQUALP-WITH-CASE */)==Cnil){
	goto L8;}
	V1= ecl_cdr(V1);
	V2= ecl_cdr(V2);
	goto TTL;
L8:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_ARRAYP(V1))){
	goto L15;}
	T0= cl_array_rank(V1)                     /*  ARRAY-RANK      */;
	if(!((ecl_to_fixnum(T0))==(0))){
	goto L15;}
	V1= ecl_aref_unsafe(V1,0);
	V2= ecl_aref_unsafe(V2,0);
	goto TTL;
L15:;
	if(!(ECL_VECTORP(V1))){
	goto L22;}
	if(!(ECL_VECTORP(V2))){
	goto L25;}
	{cl_fixnum V3;                            /*  LET2539         */
	cl_fixnum V4;                             /*  LET2540         */
	V3= ecl_length(V1);
	V4= ecl_length(V2);
	if(!((V3)==(V4))){
	goto L30;}
	{cl_object V5;                            /*  E1              */
	cl_object V6;
	cl_fixnum V7;
	cl_fixnum V8;
	V5= Cnil;
	{bool V9;
	V9= ECL_VECTORP(V1);
	if (ecl_unlikely(!(V9)))
         FEwrong_type_argument(ECL_SYM("VECTOR",896),V1);}
	V6= V1;
	V7= 0;
	V8= 0;
	{cl_object V9;                            /*  E2              */
	cl_object V10;
	cl_fixnum V11;
	cl_fixnum V12;
	V9= Cnil;
	{bool V13;
	V13= ECL_VECTORP(V2);
	if (ecl_unlikely(!(V13)))
         FEwrong_type_argument(ECL_SYM("VECTOR",896),V2);}
	V10= V2;
	V11= 0;
	V12= 0;
	V8= ecl_length(V6);
	V12= ecl_length(V10);
L43:;
	if(!((V7)>=(V8))){
	goto L51;}
	goto L44;
L51:;
	goto L49;
L49:;
	{cl_fixnum V13;
	if (ecl_unlikely(!ECL_VECTORP(V6)))
           FEtype_error_vector(V6);
	if (ecl_unlikely((V7)>=(V6)->vector.dim))
           FEwrong_index(Cnil,V6,-1,MAKE_FIXNUM(V7),(V6)->vector.dim);
	V13= V7;
	V5= ecl_aref_unsafe(V6,V13);}
	{cl_object V13;
	V13= ecl_make_integer((V7)+1);
	{bool V14;
	V14= FIXNUMP(V13);
	if (ecl_unlikely(!(V14)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V13);}
	V7= ecl_fix(V13);
	}
	if(!((V11)>=(V12))){
	goto L64;}
	goto L44;
L64:;
	goto L62;
L62:;
	{cl_fixnum V13;
	if (ecl_unlikely(!ECL_VECTORP(V10)))
           FEtype_error_vector(V10);
	if (ecl_unlikely((V11)>=(V10)->vector.dim))
           FEwrong_index(Cnil,V10,-1,MAKE_FIXNUM(V11),(V10)->vector.dim);
	V13= V11;
	V9= ecl_aref_unsafe(V10,V13);}
	{cl_object V13;
	V13= ecl_make_integer((V11)+1);
	{bool V14;
	V14= FIXNUMP(V13);
	if (ecl_unlikely(!(V14)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V13);}
	V11= ecl_fix(V13);
	}
	if((L13equalp_with_case(V5,V9)            /*  EQUALP-WITH-CASE */)!=Cnil){
	goto L77;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L77:;
	goto L75;
L75:;
	goto L43;
L44:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L30:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
L25:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L22:;
	if(!(ECL_ARRAYP(V1))){
	goto L82;}
	if(!(ECL_ARRAYP(V2))){
	goto L82;}
	T0= cl_array_dimensions(V1)               /*  ARRAY-DIMENSIONS */;
	T1= cl_array_dimensions(V2)               /*  ARRAY-DIMENSIONS */;
	if(ecl_equal(T0,T1)){
	goto L82;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L82:;
	if(!(ECL_ARRAYP(V1))){
	goto L87;}
	if(!(ECL_ARRAYP(V2))){
	goto L90;}
	{cl_fixnum V13;                           /*  SIZE            */
	V13= ecl_to_fixnum(cl_array_total_size(V1) /*  ARRAY-TOTAL-SIZE */);
	{cl_object V14;                           /*  I               */
	cl_object V15;
	V14= MAKE_FIXNUM(0);
	V15= MAKE_FIXNUM(V13);
L96:;
	if(!(ecl_number_compare(V14,V15)>=0)){
	goto L100;}
	goto L97;
L100:;
	goto L98;
L98:;
	T0= ecl_aref(V1,ecl_to_size(V14));
	T1= ecl_aref(V2,ecl_to_size(V14));
	if((L13equalp_with_case(T0,T1)            /*  EQUALP-WITH-CASE */)!=Cnil){
	goto L104;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L104:;
	goto L102;
L102:;
	V14= ecl_one_plus(V14);
	goto L96;
L97:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
	}
	}
L90:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L87:;
	value0=ecl_make_bool(ecl_eql(V1,V2)); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DO-ENTRY                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16do_entry(volatile cl_narg narg, cl_object volatile V1, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V2;
	va_list args; va_start(args,V1);
	lex0[0]= V1;                              /*  ENTRY           */
	{int i=1;
	if (i >= narg) {
	V2= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65));
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	value0=VV[3];
	if (ecl_frs_push(cl_env_copy,value0)==0) { /*  BEGIN CATCH 4  */
	cl_set(VV[0],ecl_function_dispatch(cl_env_copy,VV[52])(1,lex0[0]) /*  NAME */);
	ecl_elt_set(lex0[0],0,Ct);
	{volatile cl_object env1 = env0;
	ecl_bds_bind(cl_env_copy,VV[3],Ct);       /*  *IN-TEST*       */
	env1 = Cnil;
	CLV0=env1=CONS(Cnil,env1);                /*  ABORTED         */
	CLV1=env1=CONS(Cnil,env1);                /*  R               */{
	volatile cl_object env2 = env1;
	CLV2=env2=CONS(ECL_NEW_FRAME_ID(cl_env_copy),env2); /*  ABORTED */
	if (ecl_frs_push(cl_env_copy,ECL_CONS_CAR(CLV2))!=0) {
	ecl_frs_pop(cl_env_copy);
	} else {
	if((ecl_symbol_value(VV[5]))==Cnil){
	goto L12;}
	T0= (ECL_SYM("MUFFLE-WARNING",569)->symbol.gfdef);
	T1= CONS(ECL_SYM("STYLE-WARNING",825),T0);
	T2= ecl_make_cclosure_va((cl_objectfn)LC15__g57,env2,Cblock);
	T3= CONS(ECL_SYM("ERROR",335),T2);
	T4= cl_list(2,T1,T3)                      /*  LIST            */;
	T5= CONS(T4,ecl_symbol_value(VV[28]));
	ecl_bds_bind(cl_env_copy,VV[28],T5);      /*  *HANDLER-CLUSTERS* */
	ECL_CONS_CAR(CLV1)= LC14_do(lex0)         /*  %DO             */;
	ecl_bds_unwind1(cl_env_copy);
	goto L10;
L12:;
	ECL_CONS_CAR(CLV1)= LC14_do(lex0)         /*  %DO             */;
	goto L10;
L10:;
	ecl_frs_pop(cl_env_copy);}
	}
	{cl_object V3;
	value0=ECL_CONS_CAR(CLV0);
	if((value0)!=Cnil){
	goto L19;}
	T0= ECL_CONS_CAR(CLV1);
	T1= ecl_cdddr(lex0[0]);
	T2= L13equalp_with_case(T0,T1)            /*  EQUALP-WITH-CASE */;
	V3= Null(T2)?Ct:Cnil;
	goto L17;
L19:;
	V3= value0;
	goto L17;
L17:;
	ecl_elt_set(lex0[0],0,V3);
	}
	if((ecl_function_dispatch(cl_env_copy,VV[51])(1,lex0[0]) /*  PEND */)==Cnil){
	goto L22;}
	ecl_bds_bind(cl_env_copy,ECL_SYM("*PRINT-CIRCLE*",45),ecl_symbol_value(VV[6])); /*  *PRINT-CIRCLE* */
	T0= ecl_symbol_value(VV[0]);
	T1= ecl_function_dispatch(cl_env_copy,VV[63])(1,lex0[0]) /*  FORM */;
	T2= ecl_cdddr(lex0[0]);
	{cl_fixnum V3;
	V3= ecl_length(T2);
	T3= ecl_cdddr(lex0[0]);
	cl_format(6,V2,VV[29],T0,T1,MAKE_FIXNUM(V3),T3) /*  FORMAT    */;}
	{cl_fixnum V3;
	V3= ecl_length(ECL_CONS_CAR(CLV1));
	cl_format(4,V2,VV[30],MAKE_FIXNUM(V3),ECL_CONS_CAR(CLV1)) /*  FORMAT */;}
	{cl_object V3;                            /*  X               */
	V3= ecl_car(ECL_CONS_CAR(CLV1));
	if((si_of_class_p(2,V3,ECL_SYM("CONDITION",246)) /*  OF-CLASS-P */)==Cnil){
	goto L28;}
	cl_format(3,V2,VV[31],V3)                 /*  FORMAT          */;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L5;
L28:;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	goto L5;
	}
L22:;
	ecl_bds_unwind1(cl_env_copy);
	goto L5;
	}
	}
L5:;
	ecl_frs_pop(cl_env_copy);                 /*  END CATCH 4     */
	if((ecl_function_dispatch(cl_env_copy,VV[51])(1,lex0[0]) /*  PEND */)!=Cnil){
	goto L31;}
	value0=ecl_symbol_value(VV[0]); cl_env_copy->nvalues=1;
	return value0;
L31:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function %DO                                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC14_do(volatile cl_object *lex0)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[7]))==Cnil){
	goto L2;}
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V1;
	V1= _ecl_inner_frame;
	T1= CONS(ECL_SYM("OPTIMIZE",611),ecl_symbol_value(VV[8]));
	T2= cl_list(2,ECL_SYM("DECLARE",272),T1)  /*  LIST            */;
	T3= ecl_function_dispatch(cl_env_copy,VV[63])(1,lex0[0]) /*  FORM */;
	T4= cl_list(4,ECL_SYM("LAMBDA",450),Cnil,T2,T3) /*  LIST      */;
	T0= (cl_env_copy->function=(ECL_SYM("COMPILE",231)->symbol.gfdef))->cfun.entry(2,Cnil,T4) /*  COMPILE */;
	cl_env_copy->values[0]=ecl_function_dispatch(cl_env_copy,T0)(0);
	ecl_stack_frame_push_values(V1);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V1,ECL_SYM("LIST",479));
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	return value0;
L2:;
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V1;
	V1= _ecl_inner_frame;
	T0= ecl_function_dispatch(cl_env_copy,VV[63])(1,lex0[0]) /*  FORM */;
	cl_env_copy->values[0]=cl_eval(T0)        /*  EVAL            */;
	ecl_stack_frame_push_values(V1);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V1,ECL_SYM("LIST",479));
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	return value0;
}}
/*	closure G57                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC15__g57(cl_narg narg, cl_object V1, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV2=env0;                                /*  ABORTED         */
	CLV1=_ecl_cdr(CLV2);
	CLV0=_ecl_cdr(CLV1);
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	ECL_CONS_CAR(CLV0)= Ct;
	ECL_CONS_CAR(CLV1)= ecl_list1(V1);
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_return_from(ECL_CONS_CAR(CLV2),VV[64]);
}}}
/*	function definition for CONTINUE-TESTING                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17continue_testing()
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_symbol_value(VV[3]))==Cnil){
	goto L2;}
	cl_env_copy->values[0]=Cnil; cl_env_copy->nvalues=1;
	cl_throw(VV[3]);
L2:;
	value0=L19do_entries(ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65))) /*  DO-ENTRIES */;
	return value0;
}}
/*	function definition for DO-TESTS                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18do_tests(volatile cl_narg narg, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	volatile cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
	{
	volatile cl_object V1;
	va_list args; va_start(args,narg);
	{int i=0;
	if (i >= narg) {
	V1= ecl_symbol_value(ECL_SYM("*STANDARD-OUTPUT*",65));
	} else {
	i++;
	V1= va_arg(args,cl_object);
	}}
	va_end(args);
	{cl_object V2;
	V2= ecl_cdr(ecl_symbol_value(VV[2]));
	goto L7;
L6:;
	{cl_object V3;                            /*  ENTRY           */
	V3= ecl_car(V2);
	ecl_elt_set(V3,0,Ct);
	}
	V2= ecl_cdr(V2);
L7:;
	if((V2)==Cnil){
	goto L16;}
	goto L6;
L16:;
	goto L14;
L14:;
	goto L4;
L4:;
	}
	if((cl_streamp(V1)                        /*  STREAMP         */)==Cnil){
	goto L19;}
	value0=L19do_entries(V1)                  /*  DO-ENTRIES      */;
	return value0;
L19:;
	{volatile cl_object V2;                   /*  STREAM          */
	V2= cl_open(3,V1,ECL_SYM("DIRECTION",1215),ECL_SYM("OUTPUT",1279)) /*  OPEN */;
	{
	volatile bool unwinding = FALSE;
	cl_index V3=ECL_STACK_INDEX(cl_env_copy),V4;
	ecl_frame_ptr next_fr;
	if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
	  unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
	} else {
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V5;
	V5= _ecl_inner_frame;
	cl_env_copy->values[0]=L19do_entries(V2)  /*  DO-ENTRIES      */;
	ecl_stack_frame_push_values(V5);
	if((V2)==Cnil){
	goto L29;}
	cl_close(1,V2)                            /*  CLOSE           */;
	goto L27;
L29:;
	goto L27;
L27:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(V5);
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	}
	ecl_frs_pop(cl_env_copy);
	V4=ecl_stack_push_values(cl_env_copy);
	if((V2)==Cnil){
	goto L33;}
	cl_close(3,V2,ECL_SYM("ABORT",1192),Ct)   /*  CLOSE           */;
	goto L31;
L33:;
	goto L31;
L31:;
	ecl_stack_pop_values(cl_env_copy,V4);
	if (unwinding) ecl_unwind(cl_env_copy,next_fr);
	ECL_STACK_SET_INDEX(cl_env_copy,V3);
	return cl_env_copy->values[0];}
	}
}}
/*	function definition for DO-ENTRIES                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19do_entries(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= ecl_cdr(ecl_symbol_value(VV[2]));
	T1= ecl_fdefinition(VV[51]);
	T2= cl_count(4,Ct,T0,ECL_SYM("KEY",1259),T1) /*  COUNT        */;
	T3= ecl_cdr(ecl_symbol_value(VV[2]));
	{cl_fixnum V2;
	V2= ecl_length(T3);
	cl_format(4,V1,VV[35],T2,MAKE_FIXNUM(V2)) /*  FORMAT          */;}
	{cl_object V2;
	V2= ecl_cdr(ecl_symbol_value(VV[2]));
	goto L8;
L7:;
	{cl_object V3;                            /*  ENTRY           */
	V3= ecl_car(V2);
	if((ecl_function_dispatch(cl_env_copy,VV[51])(1,V3) /*  PEND  */)==Cnil){
	goto L14;}
	T0= L16do_entry(2,V3,V1)                  /*  DO-ENTRY        */;
	cl_format(3,V1,VV[36],T0)                 /*  FORMAT          */;
	goto L12;
L14:;
	goto L12;
L12:;
	}
	V2= ecl_cdr(V2);
L8:;
	if((V2)==Cnil){
	goto L20;}
	goto L7;
L20:;
	goto L18;
L18:;
	goto L5;
L5:;
	}
	{cl_object V2;                            /*  LET2551         */
	cl_object V3;                             /*  LET2552         */
	V2= L4pending_tests()                     /*  PENDING-TESTS   */;
	T0= (ECL_SYM("EQUAL",333)->symbol.gfdef);
	V3= cl_make_hash_table(2,ECL_SYM("TEST",1313),T0) /*  MAKE-HASH-TABLE */;
	{cl_object V4;
	V4= ecl_symbol_value(VV[9]);
	goto L30;
L29:;
	{cl_object V5;                            /*  EX              */
	V5= ecl_car(V4);
	si_hash_set(V5,V3,Ct)                     /*  HASH-SET        */;
	}
	V4= ecl_cdr(V4);
L30:;
	if((V4)==Cnil){
	goto L39;}
	goto L29;
L39:;
	goto L37;
L37:;
	goto L27;
L27:;
	}
	{cl_object V4;                            /*  NEW-FAILURES    */
	{cl_object V5;                            /*  PEND            */
	cl_object V6;
	V5= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V2))) FEtype_error_list(V2);
	V6= V2;
	{cl_object V7;
	cl_object V8;
	V7= ecl_list1(Cnil);
	V8= V7;
L48:;
	if(!(ecl_endp(V6))){
	goto L52;}
	goto L49;
L52:;
	goto L50;
L50:;
	V5= _ecl_car(V6);
	{cl_object V9;
	V9= _ecl_cdr(V6);
	if (ecl_unlikely(!ECL_LISTP(V9))) FEtype_error_list(V9);
	V6= V9;
	}
	if((ecl_gethash_safe(V5,V3,Cnil))!=Cnil){
	goto L62;}
	if (ecl_unlikely(ATOM(V8))) FEtype_error_cons(V8);
	T0= V8;
	V8= ecl_list1(V5);
	(ECL_CONS_CDR(T0)=V8,T0);
	goto L60;
L62:;
	goto L60;
L60:;
	goto L48;
L49:;
	V4= ecl_cdr(V7);
	goto L41;
	}
	}
L41:;
	if(!(V2==Cnil)){
	goto L71;}
	cl_format(2,V1,VV[37])                    /*  FORMAT          */;
	goto L69;
L71:;
	{cl_fixnum V5;
	V5= ecl_length(V2);
	T0= ecl_cdr(ecl_symbol_value(VV[2]));
	{cl_fixnum V6;
	V6= ecl_length(T0);
	cl_format(5,V1,VV[38],MAKE_FIXNUM(V5),MAKE_FIXNUM(V6),V2) /*  FORMAT */;}}
	if(!(V4==Cnil)){
	goto L75;}
	cl_format(2,V1,VV[39])                    /*  FORMAT          */;
	goto L69;
L75:;
	if((ecl_symbol_value(VV[9]))==Cnil){
	goto L78;}
	{cl_fixnum V5;
	V5= ecl_length(V4);
	cl_format(4,V1,VV[40],MAKE_FIXNUM(V5),V4) /*  FORMAT          */;
	goto L69;}
L78:;
	goto L69;
L69:;
	cl_finish_output(1,V1)                    /*  FINISH-OUTPUT   */;
	value0=ecl_make_bool(V2==Cnil); cl_env_copy->nvalues=1;
	return value0;
	}
	}
}}
	
#include "ext/rt.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclXHDJSAb7_YzuzDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("EXT:RT;RT.LISP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclXHDJSAb7_YzuzDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	ecl_function_dispatch(cl_env_copy,VV[43])(10,VVtemp[0],VVtemp[1],VVtemp[2],VVtemp[3],Cnil,Cnil,VVtemp[4],Cnil,Cnil,Cnil) /*  DODEFPACKAGE */;
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	si_Xmake_special(VV[0])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[0])){
	goto L6;}
	cl_set(VV[0],Cnil);
	goto L4;
L6:;
	goto L4;
L4:;
	si_Xmake_special(VV[1])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[1])){
	goto L15;}
	cl_set(VV[1],Cnil);
	goto L13;
L15:;
	goto L13;
L13:;
	si_Xmake_special(VV[2])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[2])){
	goto L24;}
	cl_set(VV[2],VVtemp[5]);
	goto L22;
L24:;
	goto L22;
L22:;
	si_Xmake_special(VV[3])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[3])){
	goto L33;}
	cl_set(VV[3],Cnil);
	goto L31;
L33:;
	goto L31;
L31:;
	si_Xmake_special(VV[4])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[4])){
	goto L42;}
	cl_set(VV[4],Cnil);
	goto L40;
L42:;
	goto L40;
L40:;
	si_Xmake_special(VV[5])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[5])){
	goto L51;}
	cl_set(VV[5],Ct);
	goto L49;
L51:;
	goto L49;
L49:;
	si_Xmake_special(VV[6])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[6])){
	goto L60;}
	cl_set(VV[6],Cnil);
	goto L58;
L60:;
	goto L58;
L58:;
	si_Xmake_special(VV[7])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[7])){
	goto L69;}
	cl_set(VV[7],Cnil);
	goto L67;
L69:;
	goto L67;
L67:;
	si_Xmake_special(VV[8])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[8])){
	goto L78;}
	cl_set(VV[8],VVtemp[6]);
	goto L76;
L78:;
	goto L76;
L76:;
	si_Xmake_special(VV[9])                   /*  *MAKE-SPECIAL   */;
	if(ecl_boundp(cl_env_copy,VV[9])){
	goto L87;}
	cl_set(VV[9],Cnil);
	goto L85;
L87:;
	goto L85;
L85:;
	si_define_structure(15,VV[10],Cnil,ECL_SYM("LIST",479),Cnil,VVtemp[7],VVtemp[8],VV[11],Cnil,Cnil,Cnil,VVtemp[9],MAKE_FIXNUM(3),Cnil,Cnil,Cnil) /*  DEFINE-STRUCTURE */;
	ecl_cmp_defun(VV[44]);                    /*  MAKE-ENTRY      */
	ecl_cmp_defmacro(VV[48]);                 /*  VALS            */
	ecl_cmp_defmacro(VV[49]);                 /*  DEFN            */
	ecl_cmp_defun(VV[50]);                    /*  PENDING-TESTS   */
	ecl_cmp_defun(VV[53]);                    /*  REM-ALL-TESTS   */
	ecl_cmp_defun(VV[54]);                    /*  REM-TEST        */
	ecl_cmp_defun(VV[55]);                    /*  GET-TEST        */
	ecl_cmp_defun(VV[56]);                    /*  GET-ENTRY       */
	ecl_cmp_defmacro(VV[57]);                 /*  DEFTEST         */
	ecl_cmp_defun(VV[58]);                    /*  ADD-ENTRY       */
	ecl_cmp_defun(VV[59]);                    /*  REPORT-ERROR    */
	ecl_cmp_defun(VV[60]);                    /*  DO-TEST         */
	ecl_cmp_defun(VV[61]);                    /*  EQUALP-WITH-CASE */
	ecl_cmp_defun(VV[62]);                    /*  DO-ENTRY        */
	ecl_cmp_defun(VV[65]);                    /*  CONTINUE-TESTING */
	ecl_cmp_defun(VV[66]);                    /*  DO-TESTS        */
	ecl_cmp_defun(VV[67]);                    /*  DO-ENTRIES      */
	cl_provide(VV[42])                        /*  PROVIDE         */;
}
