/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:LSP;CDR-5.LSP                                     */
#include <ecl/ecl-cmp.h>
#include "lsp/cdr-5.eclh"
/*	local function NEGATIVE-FIXNUM                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1negative_fixnum()
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(-536870912),MAKE_FIXNUM(-1)) /*  LIST */;
	return value0;
}}
/*	local function NON-POSITIVE-FIXNUM                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2non_positive_fixnum()
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(-536870912),MAKE_FIXNUM(0)) /*  LIST */;
	return value0;
}}
/*	local function NON-NEGATIVE-FIXNUM                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3non_negative_fixnum()
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(0),MAKE_FIXNUM(536870911)) /*  LIST */;
	return value0;
}}
/*	local function POSITIVE-FIXNUM                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC4positive_fixnum()
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_list(3,ECL_SYM("INTEGER",435),MAKE_FIXNUM(1),MAKE_FIXNUM(536870911)) /*  LIST */;
	return value0;
}}
/*	function definition for NEGATIVE-FIXNUM-P                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_fixnum_p(cl_object V1)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(FIXNUMP(V1))){
	goto L2;}
	value0=ecl_make_bool((ecl_to_fixnum(V1))<0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-FIXNUM-P                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_fixnum_p(cl_object V1)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(FIXNUMP(V1))){
	goto L2;}
	value0=ecl_make_bool((ecl_to_fixnum(V1))>0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-FIXNUM-P                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_fixnum_p(cl_object V1)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(FIXNUMP(V1))){
	goto L2;}
	{bool V2;
	V2= (ecl_to_fixnum(V1))<0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-FIXNUM-P                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_fixnum_p(cl_object V1)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(FIXNUMP(V1))){
	goto L2;}
	{bool V2;
	V2= (ecl_to_fixnum(V1))>0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for ARRAY-INDEX-P                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_array_index_p(cl_object V1)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(FIXNUMP(V1))){
	goto L2;}
	value0=ecl_make_bool(((0)<=(ecl_to_fixnum(V1)) && (ecl_to_fixnum(V1))<=(536870911))); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEGATIVE-INTEGER-P                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_integer_p(cl_object V1)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L2;}
	value0=ecl_make_bool(ecl_minusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-INTEGER-P                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_integer_p(cl_object V1)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L2;}
	value0=ecl_make_bool(ecl_plusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-INTEGER-P                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_integer_p(cl_object V1)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L2;}
	{bool V2;
	V2= ecl_minusp(V1);
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-INTEGER-P                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_integer_p(cl_object V1)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L2;}
	{bool V2;
	V2= ecl_plusp(V1);
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEGATIVE-RATIONAL-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_rational_p(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_rationalp(V1)                      /*  RATIONALP       */)==Cnil){
	goto L2;}
	value0=ecl_make_bool(ecl_minusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-RATIONAL-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_rational_p(cl_object V1)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_rationalp(V1)                      /*  RATIONALP       */)==Cnil){
	goto L2;}
	value0=ecl_make_bool(ecl_plusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-RATIONAL-P               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_rational_p(cl_object V1)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_rationalp(V1)                      /*  RATIONALP       */)==Cnil){
	goto L2;}
	{bool V2;
	V2= ecl_minusp(V1);
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-RATIONAL-P               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_rational_p(cl_object V1)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_rationalp(V1)                      /*  RATIONALP       */)==Cnil){
	goto L2;}
	{bool V2;
	V2= ecl_plusp(V1);
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for RATIOP                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5ratiop(cl_object V1)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= cl_type_of(V1)                        /*  TYPE-OF         */;
	value0=ecl_make_bool((T0)==(ECL_SYM("RATIO",684))); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-RATIO-P                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_ratio_p(cl_object V1)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L5ratiop(V1)                          /*  RATIOP          */)==Cnil){
	goto L2;}
	value0=ecl_make_bool(ecl_plusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEGATIVE-RATIO-P                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_ratio_p(cl_object V1)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((L5ratiop(V1)                          /*  RATIOP          */)==Cnil){
	goto L2;}
	value0=ecl_make_bool(ecl_minusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-RATIO-P                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_ratio_p(cl_object V1)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=si_positive_ratio_p(V1)            /*  POSITIVE-RATIO-P */;
	return value0;
}}
/*	function definition for NON-POSITIVE-RATIO-P                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_ratio_p(cl_object V1)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=si_negative_ratio_p(V1)            /*  NEGATIVE-RATIO-P */;
	return value0;
}}
/*	function definition for NEGATIVE-REAL-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_real_p(cl_object V1)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_realp(V1)                          /*  REALP           */)==Cnil){
	goto L2;}
	value0=ecl_make_bool(ecl_minusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-REAL-P                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_real_p(cl_object V1)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_realp(V1)                          /*  REALP           */)==Cnil){
	goto L2;}
	value0=ecl_make_bool(ecl_plusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-REAL-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_real_p(cl_object V1)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_realp(V1)                          /*  REALP           */)==Cnil){
	goto L2;}
	{bool V2;
	V2= ecl_minusp(V1);
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-REAL-P                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_real_p(cl_object V1)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((cl_realp(V1)                          /*  REALP           */)==Cnil){
	goto L2;}
	{bool V2;
	V2= ecl_plusp(V1);
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEGATIVE-FLOAT-P                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_float_p(cl_object V1)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(floatp(V1))){
	goto L2;}
	value0=ecl_make_bool(ecl_minusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-FLOAT-P                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_float_p(cl_object V1)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(floatp(V1))){
	goto L2;}
	value0=ecl_make_bool(ecl_plusp(V1)); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-FLOAT-P                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_float_p(cl_object V1)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(floatp(V1))){
	goto L2;}
	{bool V2;
	V2= ecl_minusp(V1);
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-FLOAT-P                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_float_p(cl_object V1)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(floatp(V1))){
	goto L2;}
	{bool V2;
	V2= ecl_plusp(V1);
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEGATIVE-SHORT-FLOAT-P                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_short_float_p(cl_object V1)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[2])(1,V1) /*  SHORT-FLOATP */)==Cnil){
	goto L2;}
	value0=ecl_make_bool((ecl_to_float(V1))<0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-SHORT-FLOAT-P                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_short_float_p(cl_object V1)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[2])(1,V1) /*  SHORT-FLOATP */)==Cnil){
	goto L2;}
	value0=ecl_make_bool((ecl_to_float(V1))>0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-SHORT-FLOAT-P            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_short_float_p(cl_object V1)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[2])(1,V1) /*  SHORT-FLOATP */)==Cnil){
	goto L2;}
	{bool V2;
	V2= (ecl_to_float(V1))<0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-SHORT-FLOAT-P            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_short_float_p(cl_object V1)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[2])(1,V1) /*  SHORT-FLOATP */)==Cnil){
	goto L2;}
	{bool V2;
	V2= (ecl_to_float(V1))>0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEGATIVE-SINGLE-FLOAT-P               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_single_float_p(cl_object V1)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[3])(1,V1) /*  SINGLE-FLOATP */)==Cnil){
	goto L2;}
	value0=ecl_make_bool((ecl_to_float(V1))<0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-SINGLE-FLOAT-P               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_single_float_p(cl_object V1)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[3])(1,V1) /*  SINGLE-FLOATP */)==Cnil){
	goto L2;}
	value0=ecl_make_bool((ecl_to_float(V1))>0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-SINGLE-FLOAT-P           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_single_float_p(cl_object V1)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[3])(1,V1) /*  SINGLE-FLOATP */)==Cnil){
	goto L2;}
	{bool V2;
	V2= (ecl_to_float(V1))<0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-SINGLE-FLOAT-P           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_single_float_p(cl_object V1)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[3])(1,V1) /*  SINGLE-FLOATP */)==Cnil){
	goto L2;}
	{bool V2;
	V2= (ecl_to_float(V1))>0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEGATIVE-DOUBLE-FLOAT-P               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_double_float_p(cl_object V1)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[4])(1,V1) /*  DOUBLE-FLOATP */)==Cnil){
	goto L2;}
	value0=ecl_make_bool((ecl_to_double(V1))<0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-DOUBLE-FLOAT-P               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_double_float_p(cl_object V1)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[4])(1,V1) /*  DOUBLE-FLOATP */)==Cnil){
	goto L2;}
	value0=ecl_make_bool((ecl_to_double(V1))>0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-DOUBLE-FLOAT-P           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_double_float_p(cl_object V1)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[4])(1,V1) /*  DOUBLE-FLOATP */)==Cnil){
	goto L2;}
	{bool V2;
	V2= (ecl_to_double(V1))<0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-DOUBLE-FLOAT-P           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_double_float_p(cl_object V1)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[4])(1,V1) /*  DOUBLE-FLOATP */)==Cnil){
	goto L2;}
	{bool V2;
	V2= (ecl_to_double(V1))>0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NEGATIVE-LONG-FLOAT-P                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_negative_long_float_p(cl_object V1)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[5])(1,V1) /*  LONG-FLOATP */)==Cnil){
	goto L2;}
	value0=ecl_make_bool((ecl_to_long_double(V1))<0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for POSITIVE-LONG-FLOAT-P                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_positive_long_float_p(cl_object V1)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[5])(1,V1) /*  LONG-FLOATP */)==Cnil){
	goto L2;}
	value0=ecl_make_bool((ecl_to_long_double(V1))>0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-NEGATIVE-LONG-FLOAT-P             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_negative_long_float_p(cl_object V1)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[5])(1,V1) /*  LONG-FLOATP */)==Cnil){
	goto L2;}
	{bool V2;
	V2= (ecl_to_long_double(V1))<0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for NON-POSITIVE-LONG-FLOAT-P             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_non_positive_long_float_p(cl_object V1)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((ecl_function_dispatch(cl_env_copy,VV[5])(1,V1) /*  LONG-FLOATP */)==Cnil){
	goto L2;}
	{bool V2;
	V2= (ecl_to_long_double(V1))>0;
	value0=(V2)?Cnil:Ct; cl_env_copy->nvalues=1;
	return value0;}
L2:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "lsp/cdr-5.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclzUToeBa7_WjAtDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;CDR-5.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclzUToeBa7_WjAtDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC1negative_fixnum,Cnil,Cblock,0);
	si_do_deftype(3,ECL_SYM("NEGATIVE-FIXNUM",1823),VVtemp[1],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC2non_positive_fixnum,Cnil,Cblock,0);
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-FIXNUM",1825),VVtemp[2],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC3non_negative_fixnum,Cnil,Cblock,0);
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-FIXNUM",1824),VVtemp[3],T0) /*  DO-DEFTYPE */;
	T0= ecl_make_cfun((cl_objectfn_fixed)LC4positive_fixnum,Cnil,Cblock,0);
	si_do_deftype(3,ECL_SYM("POSITIVE-FIXNUM",1826),VVtemp[4],T0) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-FIXNUM-P */
	(void)0; /* No entry created for POSITIVE-FIXNUM-P */
	(void)0; /* No entry created for NON-NEGATIVE-FIXNUM-P */
	(void)0; /* No entry created for NON-POSITIVE-FIXNUM-P */
	(void)0; /* No entry created for ARRAY-INDEX-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-INTEGER",1831),VVtemp[5],VVtemp[6]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-INTEGER",1833),VVtemp[7],VVtemp[8]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-INTEGER",1832),VVtemp[9],VVtemp[10]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-INTEGER",1834),VVtemp[11],VVtemp[12]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-INTEGER-P */
	(void)0; /* No entry created for POSITIVE-INTEGER-P */
	(void)0; /* No entry created for NON-NEGATIVE-INTEGER-P */
	(void)0; /* No entry created for NON-POSITIVE-INTEGER-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-RATIONAL",1839),VVtemp[13],VVtemp[14]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-RATIONAL",1841),VVtemp[15],VVtemp[16]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-RATIONAL",1840),VVtemp[17],VVtemp[18]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-RATIONAL",1842),VVtemp[19],VVtemp[20]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-RATIONAL-P */
	(void)0; /* No entry created for POSITIVE-RATIONAL-P */
	(void)0; /* No entry created for NON-NEGATIVE-RATIONAL-P */
	(void)0; /* No entry created for NON-POSITIVE-RATIONAL-P */
	ecl_cmp_defun(VV[1]);                     /*  RATIOP          */
	(void)0; /* No entry created for POSITIVE-RATIO-P */
	(void)0; /* No entry created for NEGATIVE-RATIO-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-RATIO",1847),VVtemp[21],VVtemp[22]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-RATIO",1849),VVtemp[23],ECL_SYM("NEGATIVE-RATIO",1847)) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-RATIO",1848),VVtemp[24],ECL_SYM("POSITIVE-RATIO",1850)) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-RATIO",1850),VVtemp[25],VVtemp[26]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NON-NEGATIVE-RATIO-P */
	(void)0; /* No entry created for NON-POSITIVE-RATIO-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-REAL",1855),VVtemp[27],VVtemp[28]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-REAL",1857),VVtemp[29],VVtemp[30]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-REAL",1856),VVtemp[31],VVtemp[32]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-REAL",1858),VVtemp[33],VVtemp[34]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-REAL-P */
	(void)0; /* No entry created for POSITIVE-REAL-P */
	(void)0; /* No entry created for NON-NEGATIVE-REAL-P */
	(void)0; /* No entry created for NON-POSITIVE-REAL-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-FLOAT",1863),VVtemp[35],VVtemp[36]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-FLOAT",1865),VVtemp[37],VVtemp[38]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-FLOAT",1864),VVtemp[39],VVtemp[40]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-FLOAT",1866),VVtemp[41],VVtemp[42]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-FLOAT-P */
	(void)0; /* No entry created for POSITIVE-FLOAT-P */
	(void)0; /* No entry created for NON-NEGATIVE-FLOAT-P */
	(void)0; /* No entry created for NON-POSITIVE-FLOAT-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-SHORT-FLOAT",1871),VVtemp[43],VVtemp[44]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-SHORT-FLOAT",1873),VVtemp[45],VVtemp[46]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-SHORT-FLOAT",1872),VVtemp[47],VVtemp[48]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-SHORT-FLOAT",1874),VVtemp[49],VVtemp[50]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-SHORT-FLOAT-P */
	(void)0; /* No entry created for POSITIVE-SHORT-FLOAT-P */
	(void)0; /* No entry created for NON-NEGATIVE-SHORT-FLOAT-P */
	(void)0; /* No entry created for NON-POSITIVE-SHORT-FLOAT-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-SINGLE-FLOAT",1879),VVtemp[51],VVtemp[52]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-SINGLE-FLOAT",1881),VVtemp[53],VVtemp[54]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-SINGLE-FLOAT",1880),VVtemp[55],VVtemp[56]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-SINGLE-FLOAT",1882),VVtemp[57],VVtemp[58]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-SINGLE-FLOAT-P */
	(void)0; /* No entry created for POSITIVE-SINGLE-FLOAT-P */
	(void)0; /* No entry created for NON-NEGATIVE-SINGLE-FLOAT-P */
	(void)0; /* No entry created for NON-POSITIVE-SINGLE-FLOAT-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-DOUBLE-FLOAT",1887),VVtemp[59],VVtemp[60]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-DOUBLE-FLOAT",1889),VVtemp[61],VVtemp[62]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-DOUBLE-FLOAT",1888),VVtemp[63],VVtemp[64]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-DOUBLE-FLOAT",1890),VVtemp[65],VVtemp[66]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-DOUBLE-FLOAT-P */
	(void)0; /* No entry created for POSITIVE-DOUBLE-FLOAT-P */
	(void)0; /* No entry created for NON-NEGATIVE-DOUBLE-FLOAT-P */
	(void)0; /* No entry created for NON-POSITIVE-DOUBLE-FLOAT-P */
	si_do_deftype(3,ECL_SYM("NEGATIVE-LONG-FLOAT",1895),VVtemp[67],VVtemp[68]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-POSITIVE-LONG-FLOAT",1897),VVtemp[69],VVtemp[70]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("NON-NEGATIVE-LONG-FLOAT",1896),VVtemp[71],VVtemp[72]) /*  DO-DEFTYPE */;
	si_do_deftype(3,ECL_SYM("POSITIVE-LONG-FLOAT",1898),VVtemp[73],VVtemp[74]) /*  DO-DEFTYPE */;
	(void)0; /* No entry created for NEGATIVE-LONG-FLOAT-P */
	(void)0; /* No entry created for POSITIVE-LONG-FLOAT-P */
	(void)0; /* No entry created for NON-NEGATIVE-LONG-FLOAT-P */
	(void)0; /* No entry created for NON-POSITIVE-LONG-FLOAT-P */
}
