/*	Compiler: ECL 12.2.1                                          */
/*	Source: BUILD:LSP;CONFIG.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "lsp/config.eclh"
/*	function definition for UNAME                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1uname()
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{
	cl_object V1;
	{
	cl_object output;
	struct utsname aux;
	if (uname(&aux) < 0)
		output = Cnil;
	else
		output = cl_list(5, make_base_string_copy(aux.sysname),
			    make_base_string_copy(aux.nodename),
			    make_base_string_copy(aux.release),
			    make_base_string_copy(aux.version),
			    make_base_string_copy(aux.machine));
	V1= output;
}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;}
}}
/*	function definition for SHORT-SITE-NAME                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2short_site_name()
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LONG-SITE-NAME                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3long_site_name()
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LISP-IMPLEMENTATION-VERSION           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4lisp_implementation_version()
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[3]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for LISP-IMPLEMENTATION-VCS-ID            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5ext_lisp_implementation_vcs_id()
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=VV[5]; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MACHINE-TYPE                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6machine_type()
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=si_getenv(VV[7])                   /*  GETENV          */;
	if((value0)!=Cnil){
	goto L2;}
	T0= L1uname()                             /*  UNAME           */;
	T1= ecl_cddddr(T0);
	value0=ecl_car(T1);
	if((value0)!=Cnil){
	goto L2;}
	value0=VV[8]; cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MACHINE-INSTANCE                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7machine_instance()
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=si_getenv(VV[10])                  /*  GETENV          */;
	if((value0)!=Cnil){
	goto L2;}
	T0= L1uname()                             /*  UNAME           */;
	value0=ecl_cadr(T0); cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for MACHINE-VERSION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8machine_version()
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SOFTWARE-TYPE                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L9software_type()
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L1uname()                             /*  UNAME           */;
	value0=ecl_car(T0);
	if((value0)!=Cnil){
	goto L2;}
	value0=VV[14]; cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for SOFTWARE-VERSION                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10software_version()
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	T0= L1uname()                             /*  UNAME           */;
	value0=ecl_caddr(T0);
	if((value0)!=Cnil){
	goto L2;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L2:;
	cl_env_copy->nvalues=1;
	return value0;
}}
	
#include "lsp/config.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclhzRMKAb7_WN6tDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("BUILD:LSP;CONFIG.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclhzRMKAb7_WN6tDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[17]);                    /*  UNAME           */
	ecl_cmp_defun(VV[18]);                    /*  SHORT-SITE-NAME */
	ecl_cmp_defun(VV[19]);                    /*  LONG-SITE-NAME  */
	ecl_cmp_defun(VV[20]);                    /*  LISP-IMPLEMENTATION-VERSION */
	ecl_cmp_defun(VV[21]);                    /*  LISP-IMPLEMENTATION-VCS-ID */
	ecl_cmp_defun(VV[22]);                    /*  MACHINE-TYPE    */
	ecl_cmp_defun(VV[23]);                    /*  MACHINE-INSTANCE */
	ecl_cmp_defun(VV[24]);                    /*  MACHINE-VERSION */
	cl_set(ECL_SYM("*FEATURES*",32),cl_adjoin(2,VV[13],ecl_symbol_value(ECL_SYM("*FEATURES*",32))) /*  ADJOIN */);
	ecl_cmp_defun(VV[25]);                    /*  SOFTWARE-TYPE   */
	ecl_cmp_defun(VV[26]);                    /*  SOFTWARE-VERSION */
	si_pathname_translations(2,VVtemp[1],VVtemp[2]) /*  PATHNAME-TRANSLATIONS */;
	{cl_object V1;                            /*  X               */
	V1= Cnil;
	{cl_object V2;
	V1= si_getenv(VVtemp[3])                  /*  GETENV          */;
	if((V1)==Cnil){
	goto L51;}
	V2= cl_probe_file(V1)                     /*  PROBE-FILE      */;
	goto L49;
L51:;
	V2= Cnil;
	goto L49;
L49:;
	if((V2)==Cnil){
	goto L55;}
	goto L48;
L55:;
	{cl_object V3;
	V1= si_getenv(VVtemp[4])                  /*  GETENV          */;
	if((V1)==Cnil){
	goto L59;}
	V3= cl_probe_file(V1)                     /*  PROBE-FILE      */;
	goto L57;
L59:;
	V3= Cnil;
	goto L57;
L57:;
	if((V3)==Cnil){
	goto L63;}
	goto L48;
L63:;
	{cl_object V4;
	V1= si_getenv(VVtemp[5])                  /*  GETENV          */;
	if((V1)==Cnil){
	goto L67;}
	V4= cl_probe_file(V1)                     /*  PROBE-FILE      */;
	goto L65;
L67:;
	V4= Cnil;
	goto L65;
L65:;
	if((V4)==Cnil){
	goto L71;}
	goto L48;
L71:;
	V1= VVtemp[6];
	goto L48;
	}
	}
	}
L48:;
	T0= cl_format(3,Cnil,VVtemp[8],V1)        /*  FORMAT          */;
	T1= cl_list(2,VVtemp[7],T0)               /*  LIST            */;
	T2= ecl_list1(T1);
	si_pathname_translations(2,VVtemp[5],T2)  /*  PATHNAME-TRANSLATIONS */;
	}
	{cl_object V2;                            /*  PATH            */
	V2= si_get_library_pathname()             /*  GET-LIBRARY-PATHNAME */;
	if((V2)==Cnil){
	goto L77;}
	T0= cl_merge_pathnames(2,VVtemp[10],V2)   /*  MERGE-PATHNAMES */;
	T1= cl_list(2,VVtemp[7],T0)               /*  LIST            */;
	T2= ecl_list1(T1);
	si_pathname_translations(2,VVtemp[9],T2)  /*  PATHNAME-TRANSLATIONS */;
	goto L74;
L77:;
	goto L74;
	}
L74:;
	{cl_object V3;                            /*  X               */
	V3= si_getenv(VVtemp[11])                 /*  GETENV          */;
	if((V3)==Cnil){
	goto L86;}
	V3= cl_probe_file(V3)                     /*  PROBE-FILE      */;
	if((V3)!=Cnil){
	goto L83;}
	goto L84;
L86:;
	goto L84;
L84:;
	V3= VVtemp[12];
	goto L81;
L83:;
	goto L81;
L81:;
	if((V3)==Cnil){
	goto L92;}
	T0= cl_merge_pathnames(2,VVtemp[10],V3)   /*  MERGE-PATHNAMES */;
	T1= cl_list(2,VVtemp[7],T0)               /*  LIST            */;
	T2= ecl_list1(T1);
	si_pathname_translations(2,VVtemp[13],T2) /*  PATHNAME-TRANSLATIONS */;
	goto L90;
L92:;
	goto L90;
L90:;
	{cl_object V4;                            /*  PATH            */
	V4= cl_merge_pathnames(2,VVtemp[14],V3)   /*  MERGE-PATHNAMES */;
	if((V4)==Cnil){
	goto L96;}
	T0= cl_merge_pathnames(2,VVtemp[10],V4)   /*  MERGE-PATHNAMES */;
	T1= cl_list(2,VVtemp[7],T0)               /*  LIST            */;
	T2= ecl_list1(T1);
	si_pathname_translations(2,VVtemp[15],T2) /*  PATHNAME-TRANSLATIONS */;
	goto L79;
L96:;
	goto L79;
	}
	}
L79:;
}
