/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:LSP;DEFMACRO.LSP                                  */
#include <ecl/ecl-cmp.h>
#include "lsp/defmacro.eclh"
/*	function definition for SEARCH-KEYWORD                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_search_keyword(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	if(!(ECL_ATOM(V1))){
	goto L2;}
	value0=ECL_SYM("MISSING-KEYWORD",1908); cl_env_copy->nvalues=1;
	return value0;
L2:;
	T0= ecl_cdr(V1);
	if(!(ECL_ATOM(T0))){
	goto L5;}
	value0=ECL_SYM("MISSING-KEYWORD",1908); cl_env_copy->nvalues=1;
	return value0;
L5:;
	T0= ecl_car(V1);
	if(!((T0)==(V2))){
	goto L8;}
	value0=ecl_cadr(V1); cl_env_copy->nvalues=1;
	return value0;
L8:;
	V1= ecl_cddr(V1);
	goto TTL;
}}
/*	function definition for CHECK-KEYWORD                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_check_keyword(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>3)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	va_list args; va_start(args,V2);
	{int i=2;
	if (i >= narg) {
	V3= Cnil;
	V4= Cnil;
	} else {
	i++;
	V3= va_arg(args,cl_object);
	V4= Ct;
	}}
	va_end(args);
	{cl_object V5;                            /*  HEAD            */
	cl_object V6;                             /*  ARG             */
	cl_object V7;                             /*  ERR             */
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	goto L8;
L7:;
	if(!(ECL_ATOM(V1))){
	goto L12;}
	cl_error(1,VV[1])                         /*  ERROR           */;
	goto L10;
L12:;
	V5= ecl_car(V1);
	V1= ecl_cdr(V1);
	goto L10;
L10:;
	if(!(ECL_ATOM(V1))){
	goto L19;}
	cl_error(1,VV[1])                         /*  ERROR           */;
	goto L17;
L19:;
	V6= ecl_car(V1);
	V1= ecl_cdr(V1);
	goto L17;
L17:;
	if(!((V5)==(ECL_SYM("ALLOW-OTHER-KEYS",1194)))){
	goto L26;}
	if((V4)!=Cnil){
	goto L29;}
	V3= V1;
	V4= Ct;
	goto L24;
L29:;
	goto L24;
L26:;
	if((ecl_memql(V5,V2))!=Cnil){
	goto L35;}
	V7= V5;
	goto L24;
L35:;
	goto L24;
L24:;
L8:;
	if(V1==Cnil){
	goto L40;}
	goto L7;
L40:;
	goto L38;
L38:;
	goto L5;
L5:;
	if((V7)==Cnil){
	goto L43;}
	if((V3)!=Cnil){
	goto L43;}
	value0=cl_error(2,VV[2],V7)               /*  ERROR           */;
	return value0;
L43:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for DM-TOO-MANY-ARGUMENTS                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_dm_too_many_arguments(cl_narg narg, cl_object V1, ...)
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(2,VV[4],V1)               /*  ERROR           */;
	return value0;
}}
/*	function definition for DM-BAD-KEY                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_dm_bad_key(cl_narg narg, cl_object V1, ...)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(2,VV[6],V1)               /*  ERROR           */;
	return value0;
}}
/*	function definition for DM-TOO-FEW-ARGUMENTS                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_dm_too_few_arguments(cl_narg narg, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=0)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(1,VV[8])                  /*  ERROR           */;
	return value0;
}}
/*	function definition for DESTRUCTURE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L3destructure(cl_object V1, cl_object V2)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  WHOLE           */
	V3= cl_gensym(0)                          /*  GENSYM          */;
	ecl_bds_bind(cl_env_copy,VV[10],Cnil);    /*  *DL*            */
	ecl_bds_bind(cl_env_copy,VV[11],Cnil);    /*  *ARG-CHECK*     */
	if(!(ECL_LISTP(V1))){
	goto L4;}
	T0= ecl_car(V1);
	if(!((T0)==(ECL_SYM("&WHOLE",11)))){
	goto L7;}
	{cl_object V4;                            /*  NAMED-WHOLE     */
	V4= ecl_cadr(V1);
	V1= ecl_cddr(V1);
	if(!(ECL_LISTP(V4))){
	goto L13;}
	LC1dm_vl(V4,V3,Cnil)                      /*  DM-VL           */;
	goto L2;
L13:;
	T0= cl_list(2,V4,V3)                      /*  LIST            */;
	cl_set(VV[10],ecl_list1(T0));
	goto L2;
	}
L7:;
	goto L2;
L4:;
	if(!(ECL_SYMBOLP(V1))){
	goto L17;}
	V1= cl_list(2,ECL_SYM("&REST",10),V1)     /*  LIST            */;
	goto L2;
L17:;
	cl_error(2,VV[16],V1)                     /*  ERROR           */;
	goto L2;
L2:;
	T0= LC1dm_vl(V1,V3,V2)                    /*  DM-VL           */;
	T1= cl_nreverse(ecl_symbol_value(VV[10])) /*  NREVERSE        */;
	cl_env_copy->nvalues=4;
	cl_env_copy->values[3]=ecl_symbol_value(VV[11]);
	cl_env_copy->values[2]=T1;
	cl_env_copy->values[1]=V3;
	cl_env_copy->values[0]=T0;
	ecl_bds_unwind1(cl_env_copy);
	ecl_bds_unwind1(cl_env_copy);
	return cl_env_copy->values[0];
	}
}}
/*	local function DM-V                                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2dm_v(cl_object V1, cl_object V2)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V1)==Cnil){
	goto L2;}
	if(!(ECL_SYMBOLP(V1))){
	goto L2;}
	if((V2)==Cnil){
	goto L8;}
	T0= cl_list(2,V1,V2)                      /*  LIST            */;
	goto L6;
L8:;
	T0= V1;
	goto L6;
L6:;
	cl_set(VV[10],CONS(T0,ecl_symbol_value(VV[10])));
	value0=ecl_symbol_value(VV[10]); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((V1)==Cnil){
	goto L11;}
	if(!(ECL_ATOM(V1))){
	goto L11;}
	value0=cl_error(2,VV[15],V1)              /*  ERROR           */;
	return value0;
L11:;
	T0= ecl_car(V1);
	if(!((T0)==(ECL_SYM("&WHOLE",11)))){
	goto L15;}
	{cl_object V3;                            /*  WHOLE-VAR       */
	V3= ecl_cadr(V1);
	if(!(ECL_LISTP(V3))){
	goto L20;}
	{cl_object V4;                            /*  NEW-WHOLE       */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	LC2dm_v(V4,V2)                            /*  DM-V            */;
	LC1dm_vl(V3,V4,Cnil)                      /*  DM-VL           */;
	V3= V4;
	goto L18;
	}
L20:;
	LC2dm_v(V3,V2)                            /*  DM-V            */;
	goto L18;
L18:;
	T0= ecl_cddr(V1);
	value0=LC1dm_vl(T0,V3,Cnil)               /*  DM-VL           */;
	return value0;
	}
L15:;
	{cl_object V4;                            /*  TEMP            */
	V4= cl_gensym(0)                          /*  GENSYM          */;
	if((V2)==Cnil){
	goto L31;}
	T0= cl_list(2,V4,V2)                      /*  LIST            */;
	goto L29;
L31:;
	T0= V4;
	goto L29;
L29:;
	cl_set(VV[10],CONS(T0,ecl_symbol_value(VV[10])));
	value0=LC1dm_vl(V1,V4,Cnil)               /*  DM-VL           */;
	return value0;
	}
}}
/*	local function DM-VL                                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1dm_vl(cl_object V1, cl_object V2, cl_object V3)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if((V3)==Cnil){
	goto L4;}
	T0= ECL_SYM("MACRO",1099);
	goto L2;
L4:;
	T0= ECL_SYM("DESTRUCTURING-BIND",298);
	goto L2;
L2:;
	cl_env_copy->values[0]=si_process_lambda_list(V1,T0) /*  PROCESS-LAMBDA-LIST */;
	{
	cl_object V5;                             /*  REQS            */
	cl_object V6;                             /*  OPTS            */
	cl_object V7;                             /*  REST            */
	cl_object V8;                             /*  KEY-FLAG        */
	cl_object V9;                             /*  KEYS            */
	cl_object V10;                            /*  ALLOW-OTHER-KEYS */
	cl_object V11;                            /*  AUXS            */
	{int V12=cl_env_copy->nvalues-0;
	if (V12--<=0) goto L6;
	V5= cl_env_copy->values[0];
	if (V12--<=0) goto L7;
	V6= cl_env_copy->values[1];
	if (V12--<=0) goto L8;
	V7= cl_env_copy->values[2];
	if (V12--<=0) goto L9;
	V8= cl_env_copy->values[3];
	if (V12--<=0) goto L10;
	V9= cl_env_copy->values[4];
	if (V12--<=0) goto L11;
	V10= cl_env_copy->values[5];
	if (V12--<=0) goto L12;
	V11= cl_env_copy->values[6];
	goto L13;}
L6:;
	V5= Cnil;
L7:;
	V6= Cnil;
L8:;
	V7= Cnil;
L9:;
	V8= Cnil;
L10:;
	V9= Cnil;
L11:;
	V10= Cnil;
L12:;
	V11= Cnil;
L13:;
	{cl_object V12;                           /*  POINTER         */
	cl_object V13;                            /*  CONS-POINTER    */
	cl_object V14;                            /*  UNSAFE-CAR      */
	cl_object V15;                            /*  UNSAFE-CDR      */
	cl_object V16;                            /*  UNSAFE-POP      */
	cl_object V17;                            /*  NO-CHECK        */
	cl_object V18;                            /*  PPN             */
	cl_object V19;                            /*  ALL-KEYWORDS    */
	V12= cl_gensym(0)                         /*  GENSYM          */;
	V13= cl_list(3,ECL_SYM("TRULY-THE",1928),ECL_SYM("CONS",249),V12) /*  LIST */;
	V14= cl_list(2,ECL_SYM("CAR",178),V13)    /*  LIST            */;
	V15= cl_list(2,ECL_SYM("CDR",196),V13)    /*  LIST            */;
	V16= cl_list(3,ECL_SYM("SETQ",749),V12,V15) /*  LIST          */;
	V17= Cnil;
	{cl_fixnum V20;
	V20= ecl_length(V5);
	T0= ecl_car(V6);
	V18= ecl_plus(MAKE_FIXNUM(V20),T0);}
	V19= Cnil;
	if((V3)==Cnil){
	goto L25;}
	T1= cl_list(3,ECL_SYM("TRULY-THE",1928),ECL_SYM("CONS",249),V2) /*  LIST */;
	T0= cl_list(2,ECL_SYM("CDR",196),T1)      /*  LIST            */;
	goto L23;
L25:;
	T0= V2;
	goto L23;
L23:;
	LC2dm_v(V12,T0)                           /*  DM-V            */;
	{cl_object V20;
	V20= ecl_cdr(V5);
	goto L32;
L31:;
	{cl_object V21;                           /*  V               */
	V21= ecl_car(V20);
	T0= cl_list(2,ECL_SYM("NULL",603),V12)    /*  LIST            */;
	T1= cl_list(3,ECL_SYM("IF",944),T0,VV[12]) /*  LIST           */;
	T2= cl_list(3,ECL_SYM("PROG1",667),V14,V16) /*  LIST          */;
	T3= cl_list(3,ECL_SYM("PROGN",669),T1,T2) /*  LIST            */;
	LC2dm_v(V21,T3)                           /*  DM-V            */;
	}
	V20= ecl_cdr(V20);
L32:;
	if((V20)==Cnil){
	goto L41;}
	goto L31;
L41:;
	goto L39;
L39:;
	goto L29;
L29:;
	}
	{cl_object V20;
	{cl_object V21;
	V21= V6;
	if (ecl_unlikely(!ECL_LISTP(V21))) FEtype_error_list(V21);
	if((V21)==Cnil){
	goto L50;}
	{cl_object V22;
	V22= ECL_CONS_CDR(V21);
	V6= V22;
	V21= ECL_CONS_CAR(V21);
	goto L48;
	}
L50:;
	goto L48;
L48:;
	V20= V21;
	}
	{cl_object V21;                           /*  I               */
	V21= MAKE_FIXNUM(0);
	goto L59;
L58:;
	{cl_object V22;                           /*  X               */
	cl_object V23;                            /*  INIT            */
	cl_object V24;                            /*  SV              */
	V22= ecl_car(V6);
	V23= ecl_cadr(V6);
	V24= ecl_caddr(V6);
	V6= ecl_cdddr(V6);
	if((V24)==Cnil){
	goto L68;}
	T0= cl_list(4,ECL_SYM("IF",944),V12,V14,V23) /*  LIST         */;
	LC2dm_v(V22,T0)                           /*  DM-V            */;
	T0= cl_list(3,ECL_SYM("PROGN",669),V16,Ct) /*  LIST           */;
	T1= cl_list(3,ECL_SYM("AND",85),V12,T0)   /*  LIST            */;
	LC2dm_v(V24,T1)                           /*  DM-V            */;
	goto L61;
L68:;
	T0= cl_list(3,ECL_SYM("PROG1",667),V14,V16) /*  LIST          */;
	T1= cl_list(4,ECL_SYM("IF",944),V12,T0,V23) /*  LIST          */;
	LC2dm_v(V22,T1)                           /*  DM-V            */;
	goto L61;
	}
L61:;
	V21= ecl_one_plus(V21);
L59:;
	if(!(ecl_number_compare(V21,V20)<0)){
	goto L75;}
	goto L58;
L75:;
	goto L73;
L73:;
	goto L43;
	}
	}
L43:;
	if((V7)==Cnil){
	goto L79;}
	LC2dm_v(V7,V12)                           /*  DM-V            */;
	V17= Ct;
	goto L77;
L79:;
	goto L77;
L77:;
	{cl_object V20;
	{cl_object V21;
	V21= V9;
	if (ecl_unlikely(!ECL_LISTP(V21))) FEtype_error_list(V21);
	if((V21)==Cnil){
	goto L90;}
	{cl_object V22;
	V22= ECL_CONS_CDR(V21);
	V9= V22;
	V21= ECL_CONS_CAR(V21);
	goto L88;
	}
L90:;
	goto L88;
L88:;
	V20= V21;
	}
	{cl_object V21;                           /*  I               */
	V21= MAKE_FIXNUM(0);
	goto L99;
L98:;
	{cl_object V22;                           /*  TEMP            */
	cl_object V23;                            /*  K               */
	cl_object V24;                            /*  V               */
	cl_object V25;                            /*  INIT            */
	cl_object V26;                            /*  SV              */
	V22= cl_gensym(0)                         /*  GENSYM          */;
	V23= ecl_car(V9);
	V24= ecl_cadr(V9);
	V25= ecl_caddr(V9);
	V26= ecl_cadddr(V9);
	V17= Ct;
	V9= ecl_cddddr(V9);
	T0= cl_list(2,ECL_SYM("QUOTE",677),V23)   /*  LIST            */;
	T1= cl_list(3,VV[0],V12,T0)               /*  LIST            */;
	LC2dm_v(V22,T1)                           /*  DM-V            */;
	T0= cl_list(3,ECL_SYM("EQ",331),V22,VV[13]) /*  LIST          */;
	T1= cl_list(4,ECL_SYM("IF",944),T0,V25,V22) /*  LIST          */;
	LC2dm_v(V24,T1)                           /*  DM-V            */;
	if((V26)==Cnil){
	goto L115;}
	T0= cl_list(3,ECL_SYM("EQ",331),V22,VV[13]) /*  LIST          */;
	T1= cl_list(2,ECL_SYM("NOT",582),T0)      /*  LIST            */;
	LC2dm_v(V26,T1)                           /*  DM-V            */;
	goto L113;
L115:;
	goto L113;
L113:;
	V19= CONS(V23,V19);
	}
	V21= ecl_one_plus(V21);
L99:;
	if(!(ecl_number_compare(V21,V20)<0)){
	goto L122;}
	goto L98;
L122:;
	goto L120;
L120:;
	goto L83;
	}
	}
L83:;
	{cl_object V20;                           /*  L               */
	V20= V11;
	goto L129;
L128:;
	{cl_object V21;                           /*  V               */
	cl_object V22;                            /*  INIT            */
	V21= ecl_car(V20);
	V22= ecl_cadr(V20);
	LC2dm_v(V21,V22)                          /*  DM-V            */;
	}
	V20= ecl_cddr(V20);
L129:;
	if(ecl_endp(V20)){
	goto L138;}
	goto L128;
L138:;
	goto L136;
L136:;
	goto L126;
L126:;
	}
	if((V8)==Cnil){
	goto L142;}
	T0= cl_list(2,ECL_SYM("QUOTE",677),V19)   /*  LIST            */;
	if((V10)==Cnil){
	goto L147;}
	T1= VV[14];
	goto L145;
L147:;
	T1= Cnil;
	goto L145;
L145:;
	T2= cl_listX(4,VV[3],V12,T0,T1)           /*  LIST*           */;
	cl_set(VV[11],CONS(T2,ecl_symbol_value(VV[11])));
	goto L140;
L142:;
	if((V17)!=Cnil){
	goto L150;}
	T0= cl_list(2,VV[5],V12)                  /*  LIST            */;
	T1= cl_list(3,ECL_SYM("IF",944),V12,T0)   /*  LIST            */;
	cl_set(VV[11],CONS(T1,ecl_symbol_value(VV[11])));
	goto L140;
L150:;
	goto L140;
L140:;
	value0=V18; cl_env_copy->nvalues=1;
	return value0;
	}}
}}
/*	function definition for FIND-DOCUMENTATION                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_find_documentation(cl_narg narg, cl_object V1, ...)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	{ struct ecl_stack_frame _ecl_inner_frame_aux;
	cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
	{cl_object V2;
	V2= _ecl_inner_frame;
	cl_env_copy->values[0]=si_process_declarations(2,V1,Ct) /*  PROCESS-DECLARATIONS */;
	ecl_stack_frame_push_values(V2);cl_env_copy->values[0]=ecl_apply_from_stack_frame(V2,ECL_SYM("LIST",479));
	value0=cl_env_copy->values[0];
	}
	ecl_stack_frame_close(_ecl_inner_frame);}
	T0= value0;
	value0=ecl_cadddr(T0); cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REMOVE-DOCUMENTATION                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_remove_documentation(cl_narg narg, cl_object V1, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg!=1)) FEwrong_num_arguments_anonym();
	{
TTL:
	cl_env_copy->values[0]=si_process_declarations(2,V1,Ct) /*  PROCESS-DECLARATIONS */;
	{
	cl_object V3;                             /*  DECLS           */
	cl_object V4;                             /*  BODY            */
	cl_object V5;                             /*  DOC             */
	{int V6=cl_env_copy->nvalues-0;
	if (V6--<=0) goto L2;
	V3= cl_env_copy->values[0];
	if (V6--<=0) goto L3;
	V4= cl_env_copy->values[1];
	if (V6--<=0) goto L4;
	V5= cl_env_copy->values[2];
	goto L5;}
L2:;
	V3= Cnil;
L3:;
	V4= Cnil;
L4:;
	V5= Cnil;
L5:;
	if((V3)==Cnil){
	goto L8;}
	T0= CONS(ECL_SYM("DECLARE",272),V3);
	V4= CONS(T0,V4);
	goto L6;
L8:;
	goto L6;
L6:;
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=V4;
	return cl_env_copy->values[0];}
}}
/*	function definition for FIND-DECLARATIONS                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_find_declarations(cl_narg narg, cl_object V1, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	va_list args; va_start(args,V1);
	{int i=1;
	if (i >= narg) {
	V2= Ct;
	} else {
	i++;
	V2= va_arg(args,cl_object);
	}}
	va_end(args);
	cl_env_copy->values[0]=si_process_declarations(2,V1,V2) /*  PROCESS-DECLARATIONS */;
	{
	cl_object V4;                             /*  DECLS           */
	cl_object V5;                             /*  BODY            */
	cl_object V6;                             /*  DOC             */
	{int V7=cl_env_copy->nvalues-0;
	if (V7--<=0) goto L3;
	V4= cl_env_copy->values[0];
	if (V7--<=0) goto L4;
	V5= cl_env_copy->values[1];
	if (V7--<=0) goto L5;
	V6= cl_env_copy->values[2];
	goto L6;}
L3:;
	V4= Cnil;
L4:;
	V5= Cnil;
L5:;
	V6= Cnil;
L6:;
	if((V4)==Cnil){
	goto L9;}
	T1= CONS(ECL_SYM("DECLARE",272),V4);
	T0= ecl_list1(T1);
	goto L7;
L9:;
	T0= Cnil;
	goto L7;
L7:;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V6;
	cl_env_copy->values[1]=V5;
	cl_env_copy->values[0]=T0;
	return cl_env_copy->values[0];}
}}
/*	function definition for EXPAND-DEFMACRO                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4expand_defmacro(cl_object V1, cl_object V2, cl_object V3)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	cl_env_copy->values[0]=si_find_declarations(1,V3) /*  FIND-DECLARATIONS */;
	{
	cl_object V5;                             /*  DECLS           */
	cl_object V6;                             /*  BODY            */
	cl_object V7;                             /*  DOC             */
	{int V8=cl_env_copy->nvalues-0;
	if (V8--<=0) goto L2;
	V5= cl_env_copy->values[0];
	if (V8--<=0) goto L3;
	V6= cl_env_copy->values[1];
	if (V8--<=0) goto L4;
	V7= cl_env_copy->values[2];
	goto L5;}
L2:;
	V5= Cnil;
L3:;
	V6= Cnil;
L4:;
	V7= Cnil;
L5:;
	{cl_object V8;                            /*  CELL            */
	V8= ecl_last(V2,1);
	if((ecl_cdr(V8))==Cnil){
	goto L9;}
	T0= cl_butlast(2,V2,MAKE_FIXNUM(0))       /*  BUTLAST         */;
	T1= ecl_cdr(V8);
	T2= cl_list(2,ECL_SYM("&REST",10),T1)     /*  LIST            */;
	V2= ecl_nconc(T0,T2);
	goto L6;
L9:;
	goto L6;
	}
L6:;
	{cl_object V8;                            /*  ENV             */
	V8= si_memq(ECL_SYM("&ENVIRONMENT",7),V2);
	if((V8)==Cnil){
	goto L15;}
	T0= cl_ldiff(V2,V8)                       /*  LDIFF           */;
	T1= ecl_cddr(V8);
	V2= ecl_nconc(T0,T1);
	V8= ecl_cadr(V8);
	goto L13;
L15:;
	V8= cl_gensym(0)                          /*  GENSYM          */;
	T0= cl_list(2,ECL_SYM("IGNORE",426),V8)   /*  LIST            */;
	T1= cl_list(2,ECL_SYM("DECLARE",272),T0)  /*  LIST            */;
	V5= CONS(T1,V5);
	goto L13;
L13:;
	cl_env_copy->values[0]=L3destructure(V2,Ct) /*  DESTRUCTURE   */;
	{
	cl_object V10;                            /*  PPN             */
	cl_object V11;                            /*  WHOLE           */
	cl_object V12;                            /*  DL              */
	cl_object V13;                            /*  ARG-CHECK       */
	{int V14=cl_env_copy->nvalues-0;
	if (V14--<=0) goto L24;
	V10= cl_env_copy->values[0];
	if (V14--<=0) goto L25;
	V11= cl_env_copy->values[1];
	if (V14--<=0) goto L26;
	V12= cl_env_copy->values[2];
	if (V14--<=0) goto L27;
	V13= cl_env_copy->values[3];
	goto L28;}
L24:;
	V10= Cnil;
L25:;
	V11= Cnil;
L26:;
	V12= Cnil;
L27:;
	V13= Cnil;
L28:;
	T0= cl_listX(4,V11,V8,ECL_SYM("&AUX",5),V12) /*  LIST*        */;
	T1= cl_append(3,V5,V13,V6)                /*  APPEND          */;
	T2= cl_listX(4,ECL_SYM("LAMBDA-BLOCK",1336),V1,T0,T1) /*  LIST* */;
	cl_env_copy->nvalues=3;
	cl_env_copy->values[2]=V7;
	cl_env_copy->values[1]=V10;
	cl_env_copy->values[0]=T2;
	return cl_env_copy->values[0];}
	}}
}}
/*	local function DESTRUCTURING-BIND                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC5destructuring_bind(cl_object V1, cl_object V2)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;
	cl_object V4;                             /*  VL              */
	cl_object V5;                             /*  LIST            */
	V3= ecl_cdr(V1);
	if(!(V3==Cnil)){
	goto L5;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L3;
L5:;
	goto L3;
L3:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V4= V6;
	}
	if(!(V3==Cnil)){
	goto L13;}
	si_dm_too_few_arguments(0)                /*  DM-TOO-FEW-ARGUMENTS */;
	goto L11;
L13:;
	goto L11;
L11:;
	{cl_object V6;
	V6= ecl_car(V3);
	V3= ecl_cdr(V3);
	V5= V6;
	}
	cl_env_copy->values[0]=si_find_declarations(1,V3) /*  FIND-DECLARATIONS */;
	{
	cl_object V7;                             /*  DECLS           */
	cl_object V8;                             /*  BODY            */
	{int V9=cl_env_copy->nvalues-0;
	if (V9--<=0) goto L19;
	V7= cl_env_copy->values[0];
	if (V9--<=0) goto L20;
	V8= cl_env_copy->values[1];
	goto L21;}
L19:;
	V7= Cnil;
L20:;
	V8= Cnil;
L21:;
	cl_env_copy->values[0]=L3destructure(V4,Cnil) /*  DESTRUCTURE */;
	{
	cl_object V10;                            /*  PPN             */
	cl_object V11;                            /*  WHOLE           */
	cl_object V12;                            /*  DL              */
	cl_object V13;                            /*  ARG-CHECK       */
	{int V14=cl_env_copy->nvalues-0;
	if (V14--<=0) goto L23;
	V10= cl_env_copy->values[0];
	if (V14--<=0) goto L24;
	V11= cl_env_copy->values[1];
	if (V14--<=0) goto L25;
	V12= cl_env_copy->values[2];
	if (V14--<=0) goto L26;
	V13= cl_env_copy->values[3];
	goto L27;}
L23:;
	V10= Cnil;
L24:;
	V11= Cnil;
L25:;
	V12= Cnil;
L26:;
	V13= Cnil;
L27:;
	T0= cl_list(2,V11,V5)                     /*  LIST            */;
	T1= CONS(T0,V12);
	T2= cl_append(3,V7,V13,V8)                /*  APPEND          */;
	value0=cl_listX(3,ECL_SYM("LET*",476),T1,T2) /*  LIST*        */;
	return value0;}}
	}
}}
/*	function definition for CMP-ENV-FOR-BYTECODES                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10cmp_env_for_bytecodes(cl_object V1)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V2;                            /*  LET3            */
	cl_object V3;                             /*  ENV             */
	cl_object V4;                             /*  VARIABLES       */
	V2= ecl_car(V1);
	V3= V2;
	V4= Cnil;
	goto L8;
L7:;
	{cl_object V5;                            /*  I               */
	V5= ecl_car(V3);
	if(!(ECL_CONSP(V5))){
	goto L13;}
	{cl_object V6;                            /*  NAME            */
	V6= ecl_car(V5);
	if((cl_keywordp(V6)                       /*  KEYWORDP        */)!=Cnil){
	goto L17;}
	if((ecl_cadr(V5))==Cnil){
	goto L22;}
	T1= V5;
	goto L20;
L22:;
	T2= LC7local_var_error_function(V6)       /*  LOCAL-VAR-ERROR-FUNCTION */;
	T1= cl_list(3,V6,ECL_SYM("SYMBOL-MACRO",1157),T2) /*  LIST    */;
	goto L20;
L20:;
	V4= CONS(T1,V4);
	goto L10;
L17:;
	goto L10;
	}
L13:;
	goto L10;
	}
L10:;
	V3= ecl_cdr(V3);
L8:;
	if(ecl_endp(V3)){
	goto L29;}
	goto L7;
L29:;
	goto L27;
L27:;
	goto L5;
L5:;
	T0= cl_nreverse(V4)                       /*  NREVERSE        */;
	}
	{cl_object V2;                            /*  LET5            */
	cl_object V3;                             /*  ENV             */
	cl_object V4;                             /*  MACROS          */
	V2= ecl_cdr(V1);
	V3= V2;
	V4= Cnil;
	goto L38;
L37:;
	{cl_object V5;                            /*  I               */
	V5= ecl_car(V3);
	if(!(ECL_CONSP(V5))){
	goto L43;}
	T3= ecl_cadr(V5);
	if(!((T3)==(ECL_SYM("MACRO",1099)))){
	goto L48;}
	T2= V5;
	goto L46;
L48:;
	T3= ecl_car(V5);
	T5= ecl_car(V5);
	T4= LC9local_fun_error_function(T5)       /*  LOCAL-FUN-ERROR-FUNCTION */;
	T2= cl_list(3,T3,ECL_SYM("MACRO",1099),T4) /*  LIST           */;
	goto L46;
L46:;
	V4= CONS(T2,V4);
	goto L40;
L43:;
	goto L40;
	}
L40:;
	V3= ecl_cdr(V3);
L38:;
	if(ecl_endp(V3)){
	goto L55;}
	goto L37;
L55:;
	goto L53;
L53:;
	goto L35;
L35:;
	T1= cl_nreverse(V4)                       /*  NREVERSE        */;
	}
	value0=CONS(T0,T1); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOCAL-FUN-ERROR-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9local_fun_error_function(cl_object V1)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  NAME            */
	value0=ecl_make_cclosure_va((cl_objectfn)LC8__g39,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	local function LOCAL-VAR-ERROR-FUNCTION                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC7local_var_error_function(cl_object V1)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  NAME            */
	value0=ecl_make_cclosure_va((cl_objectfn)LC6__g38,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G39                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC8__g39(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  NAME            */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(2,VV[23],ECL_CONS_CAR(CLV0)) /*  ERROR        */;
	return value0;
}}}
/*	closure G38                                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6__g38(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  NAME            */
	{ /* ... closure scanning finished */
	if (ecl_unlikely(narg!=2)) FEwrong_num_arguments_anonym();
	{
TTL:
	value0=cl_error(2,VV[22],ECL_CONS_CAR(CLV0)) /*  ERROR        */;
	return value0;
}}}
/*	function definition for MACROLET-FUNCTIONS                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11macrolet_functions(cl_object V1, cl_object V2)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  ENV             */
	V3= L10cmp_env_for_bytecodes(V2)          /*  CMP-ENV-FOR-BYTECODES */;
	{cl_object V4;
	cl_object V5;
	V4= Cnil;
	if (ecl_unlikely(!ECL_LISTP(V1))) FEtype_error_list(V1);
	V5= V1;
	{cl_object V6;
	cl_object V7;
	V6= ecl_list1(Cnil);
	V7= V6;
L9:;
	if(!(ecl_endp(V5))){
	goto L13;}
	goto L10;
L13:;
	goto L11;
L11:;
	V4= _ecl_car(V5);
	{cl_object V8;
	V8= _ecl_cdr(V5);
	if (ecl_unlikely(!ECL_LISTP(V8))) FEtype_error_list(V8);
	V5= V8;
	}
	if (ecl_unlikely(ATOM(V7))) FEtype_error_cons(V7);
	T1= V7;
	{cl_object V8;                            /*  NAME            */
	cl_object V9;                             /*  LLIST           */
	cl_object V10;                            /*  DEF             */
	V8= ecl_car(V4);
	V9= ecl_cadr(V4);
	V10= ecl_cddr(V4);
	T3= cl_list(2,ECL_SYM("QUOTE",677),V8)    /*  LIST            */;
	T4= L4expand_defmacro(V8,V9,V10)          /*  EXPAND-DEFMACRO */;
	T2= cl_list(3,ECL_SYM("LIST",479),T3,T4)  /*  LIST            */;
	}
	V7= ecl_list1(T2);
	(ECL_CONS_CDR(T1)=V7,T1);
	goto L9;
L10:;
	T0= ecl_cdr(V6);
	goto L2;
	}
	}
L2:;
	T1= CONS(ECL_SYM("LIST",479),T0);
	value0=si_eval_with_env(4,T1,V3,Cnil,Ct)  /*  EVAL-WITH-ENV   */;
	return value0;
	}
}}
/*	function definition for CMP-ENV-REGISTER-MACROLET             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12cmp_env_register_macrolet(cl_object V1, cl_object V2)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V3;                            /*  MACROS          */
	V3= ecl_cdr(V2);
	{cl_object V4;
	V4= L11macrolet_functions(V1,V2)          /*  MACROLET-FUNCTIONS */;
	goto L7;
L6:;
	{cl_object V5;                            /*  RECORD          */
	V5= ecl_car(V4);
	T0= ecl_car(V5);
	T1= ecl_cadr(V5);
	T2= cl_list(3,T0,ECL_SYM("MACRO",1099),T1) /*  LIST           */;
	V3= CONS(T2,V3);
	}
	V4= ecl_cdr(V4);
L7:;
	if((V4)==Cnil){
	goto L17;}
	goto L6;
L17:;
	goto L15;
L15:;
	goto L4;
L4:;
	}
	value0=(ECL_CONS_CDR(V2)=V3,V2); cl_env_copy->nvalues=1;
	return value0;
	}
}}
	
#include "lsp/defmacro.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclLgMDhSZ7_nwwqDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;DEFMACRO.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_eclLgMDhSZ7_nwwqDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	ecl_cmp_defun(VV[25]);                    /*  SEARCH-KEYWORD  */
	ecl_cmp_defun(VV[26]);                    /*  CHECK-KEYWORD   */
	ecl_cmp_defun(VV[27]);                    /*  DM-TOO-MANY-ARGUMENTS */
	ecl_cmp_defun(VV[28]);                    /*  DM-BAD-KEY      */
	ecl_cmp_defun(VV[29]);                    /*  DM-TOO-FEW-ARGUMENTS */
	(void)0; /* No entry created for DESTRUCTURE */
	ecl_cmp_defun(VV[30]);                    /*  FIND-DOCUMENTATION */
	ecl_cmp_defun(VV[31]);                    /*  REMOVE-DOCUMENTATION */
	ecl_cmp_defun(VV[32]);                    /*  FIND-DECLARATIONS */
	ecl_cmp_defun(VV[33]);                    /*  EXPAND-DEFMACRO */
	ecl_cmp_defmacro(VV[34]);                 /*  DESTRUCTURING-BIND */
	(void)0; /* No entry created for CMP-ENV-FOR-BYTECODES */
	(void)0; /* No entry created for MACROLET-FUNCTIONS */
	ecl_cmp_defun(VV[35]);                    /*  CMP-ENV-REGISTER-MACROLET */
}
