/*	Compiler: ECL 12.2.1                                          */
/*	Source: SRC:LSP;SEQLIB.LSP                                    */
#include <ecl/ecl-cmp.h>
#include "lsp/seqlib.eclh"
/*	function definition for SEQTYPE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L1seqtype(cl_object V1)
{ VT2 VLEX2 CLSR2 STCK2
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(ECL_LISTP(V1))){
	goto L2;}
	value0=ECL_SYM("LIST",479); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if((si_base_string_p(V1)                  /*  BASE-STRING-P   */)==Cnil){
	goto L5;}
	value0=ECL_SYM("BASE-STRING",119); cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_STRINGP(V1))){
	goto L8;}
	value0=ECL_SYM("STRING",803); cl_env_copy->nvalues=1;
	return value0;
L8:;
	if(!(ECL_BIT_VECTOR_P(V1))){
	goto L11;}
	value0=ECL_SYM("BIT-VECTOR",132); cl_env_copy->nvalues=1;
	return value0;
L11:;
	if(!(ECL_VECTORP(V1))){
	goto L14;}
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	value0=cl_list(2,ECL_SYM("VECTOR",896),T0) /*  LIST           */;
	return value0;
L14:;
	value0=cl_error(2,VV[0],V1)               /*  ERROR           */;
	return value0;
}}
/*	function definition for SEQUENCE-COUNT                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object si_sequence_count(cl_object V1)
{ VT3 VLEX3 CLSR3 STCK3
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	if(!(V1==Cnil)){
	goto L2;}
	value0=MAKE_FIXNUM(536870911); cl_env_copy->nvalues=1;
	return value0;
L2:;
	if(!(FIXNUMP(V1))){
	goto L5;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L5:;
	if(!(ECL_FIXNUMP(V1)||ECL_BIGNUMP(V1))){
	goto L8;}
	if(!(ecl_minusp(V1))){
	goto L11;}
	value0=MAKE_FIXNUM(-1); cl_env_copy->nvalues=1;
	return value0;
L11:;
	value0=MAKE_FIXNUM(536870911); cl_env_copy->nvalues=1;
	return value0;
L8:;
	T0= ecl_list1(V1);
	value0=cl_error(9,ECL_SYM("SIMPLE-TYPE-ERROR",771),ECL_SYM("DATUM",1211),V1,ECL_SYM("EXPECTED-TYPE",1229),ECL_SYM("INTEGER",435),ECL_SYM("FORMAT-CONTROL",1237),VV[1],ECL_SYM("FORMAT-ARGUMENTS",1236),T0) /*  ERROR */;
	return value0;
}}
/*	function definition for TEST-ERROR                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L2test_error()
{ VT4 VLEX4 CLSR4 STCK4
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	value0=cl_error(1,VV[3])                  /*  ERROR           */;
	return value0;
}}
/*	function definition for UNSAFE-FUNCALL1                       */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L3unsafe_funcall1(cl_object V1, cl_object V2)
{ VT5 VLEX5 CLSR5 STCK5
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	value0=(cl_env_copy->function=V1)->cfun.entry(1,V2);
	return value0;
}
/*	function definition for REDUCE                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_reduce(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT6 VLEX6 CLSR6 STCK6
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_reducekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	if(keyvars[6]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[1];}
	V5= keyvars[2];
	V6= keyvars[3];
	V7= keyvars[4];
	V8= keyvars[9];
	}
	{cl_object V9;                            /*  FUNCTION        */
	V9= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V4,V5) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V11;                            /*  START           */
	cl_fixnum V12;                            /*  END             */
	cl_object V13;                            /*  LENGTH          */
	V11= ecl_fix(cl_env_copy->values[0]);
	V12= ecl_fix(cl_env_copy->values[1]);
	V13= cl_env_copy->values[2];
	{cl_object V14;                           /*  KEY             */
	if((V6)==Cnil){
	goto L6;}
	V14= si_coerce_to_function(V6)            /*  COERCE-TO-FUNCTION */;
	goto L4;
L6:;
	V14= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L4;
L4:;
	if(!((V11)>=(V12))){
	goto L9;}
	if((V8)==Cnil){
	goto L12;}
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
L12:;
	value0=(cl_env_copy->function=V9)->cfun.entry(0);
	return value0;
L9:;
	if(!(ECL_LISTP(V2))){
	goto L15;}
	if((V3)==Cnil){
	goto L19;}
	{cl_object V15;                           /*  OUTPUT          */
	V15= Cnil;
	{cl_fixnum V16;
	cl_object V17;
	cl_fixnum V18;
	V16= V11;
	V17= ecl_nthcdr(V16,V2);
	V18= (V12)-(V16);
	goto L29;
L28:;
	{cl_object V19;                           /*  ELT             */
	V19= ECL_CONS_CAR(V17);
	V15= CONS(V19,V15);
	}
	V16= (V16)+1;
	V17= ECL_CONS_CDR(V17);
	V18= (V18)-1;
L29:;
	if((V18)<=(0)){
	goto L42;}
	goto L28;
L42:;
	goto L40;
L40:;
	goto L26;
L26:;
	}
	V2= V15;
	V12= (V12)-(V11);
	V11= 0;
	goto L17;
	}
L19:;
	goto L17;
L17:;
	goto L52;
L51:;
	V2= ECL_CONS_CDR(V2);
	V11= (V11)-1;
	V12= (V12)-1;
L52:;
	if(!((V11)>0)){
	goto L62;}
	goto L51;
L62:;
	goto L60;
L60:;
	goto L49;
L49:;
	if((V8)!=Cnil){
	goto L66;}
	T0= ECL_CONS_CAR(V2);
	V7= (cl_env_copy->function=V14)->cfun.entry(1,T0);
	V2= ECL_CONS_CDR(V2);
	V12= (V12)-1;
	goto L64;
L66:;
	goto L64;
L64:;
	{cl_fixnum V15;
	cl_object V16;
	cl_fixnum V17;
	V15= 0;
	V16= ecl_nthcdr(V15,V2);
	V17= (V12)-(V15);
	goto L79;
L78:;
	{cl_object V18;                           /*  ELT             */
	V18= ECL_CONS_CAR(V16);
	if((V3)==Cnil){
	goto L85;}
	T0= (cl_env_copy->function=V14)->cfun.entry(1,V18);
	V7= (cl_env_copy->function=V9)->cfun.entry(2,T0,V7);
	goto L83;
L85:;
	T0= (cl_env_copy->function=V14)->cfun.entry(1,V18);
	V7= (cl_env_copy->function=V9)->cfun.entry(2,V7,T0);
	goto L83;
L83:;
	}
	V15= (V15)+1;
	V16= ECL_CONS_CDR(V16);
	V17= (V17)-1;
L79:;
	if((V17)<=(0)){
	goto L97;}
	goto L78;
L97:;
	goto L95;
L95:;
	goto L76;
L76:;
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}
L15:;
	if((V3)==Cnil){
	goto L100;}
	if((V8)!=Cnil){
	goto L104;}
	{cl_fixnum V18;
	V18= (V12)-1;
	T0= ecl_aref_unsafe(V2,V18);}
	V7= (cl_env_copy->function=V14)->cfun.entry(1,T0);
	V12= (V12)-1;
	goto L102;
L104:;
	goto L102;
L102:;
	{cl_fixnum V18;
	V18= V12;
	goto L114;
L113:;
	{cl_object V19;                           /*  ELT             */
	V18= (V18)-1;
	V19= ecl_aref_unsafe(V2,V18);
	T0= (cl_env_copy->function=V14)->cfun.entry(1,V19);
	V7= (cl_env_copy->function=V9)->cfun.entry(2,T0,V7);
	}
L114:;
	if((V18)==(V11)){
	goto L123;}
	goto L113;
L123:;
	goto L121;
L121:;
	goto L111;
L111:;
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}
L100:;
	if((V8)!=Cnil){
	goto L127;}
	T0= ecl_aref_unsafe(V2,V11);
	V7= (cl_env_copy->function=V14)->cfun.entry(1,T0);
	V11= (V11)+1;
	goto L125;
L127:;
	goto L125;
L125:;
	{cl_fixnum V19;
	V19= V11;
	goto L137;
L136:;
	{cl_object V20;                           /*  ELT             */
	V20= ecl_aref_unsafe(V2,V19);
	T0= (cl_env_copy->function=V14)->cfun.entry(1,V20);
	V7= (cl_env_copy->function=V9)->cfun.entry(2,V7,T0);
	}
	V19= (V19)+1;
L137:;
	if((V19)==(V12)){
	goto L147;}
	goto L136;
L147:;
	goto L145;
L145:;
	goto L134;
L134:;
	value0=V7; cl_env_copy->nvalues=1;
	return value0;
	}
	}}
	}
}}
/*	function definition for FILL                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_fill(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT7 VLEX7 CLSR7 STCK7
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[4];
	cl_parse_key(args,2,cl_fillkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[2]==Cnil){
	V3= MAKE_FIXNUM(0);
	}else{
	V3= keyvars[0];}
	V4= keyvars[1];
	}
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V1,V3,V4) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V6;                             /*  START           */
	cl_fixnum V7;                             /*  END             */
	cl_object V8;
	V6= ecl_fix(cl_env_copy->values[0]);
	V7= ecl_fix(cl_env_copy->values[1]);
	V8= cl_env_copy->values[2];
	if(!(ECL_LISTP(V1))){
	goto L4;}
	{cl_object V9;                            /*  X               */
	cl_fixnum V10;                            /*  I               */
	V9= ecl_nthcdr(V6,V1);
	V10= (V7)-(V6);
	goto L11;
L10:;
	(ECL_CONS_CAR(V9)=V2,V9);
	V9= ECL_CONS_CDR(V9);
	V10= (V10)-1;
L11:;
	if((V10)==0){
	goto L21;}
	goto L10;
L21:;
	goto L19;
L19:;
	goto L8;
L8:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
L4:;
	value0=si_fill_array_with_elt(V1,V2,MAKE_FIXNUM(V6),MAKE_FIXNUM(V7)) /*  FILL-ARRAY-WITH-ELT */;
	return value0;}
}}
/*	function definition for REPLACE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_replace(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT8 VLEX8 CLSR8 STCK8
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,cl_replacekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[4]==Cnil){
	V3= MAKE_FIXNUM(0);
	}else{
	V3= keyvars[0];}
	V4= keyvars[1];
	if(keyvars[6]==Cnil){
	V5= MAKE_FIXNUM(0);
	}else{
	V5= keyvars[2];}
	V6= keyvars[3];
	}
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V1,V3,V4) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V8;                             /*  START1          */
	cl_fixnum V9;                             /*  END1            */
	cl_object V10;
	V8= ecl_to_fixnum(cl_env_copy->values[0]);
	V9= ecl_to_fixnum(cl_env_copy->values[1]);
	V10= cl_env_copy->values[2];
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V5,V6) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V12;                            /*  START2          */
	cl_fixnum V13;                            /*  END2            */
	cl_object V14;
	V12= ecl_to_fixnum(cl_env_copy->values[0]);
	V13= ecl_to_fixnum(cl_env_copy->values[1]);
	V14= cl_env_copy->values[2];
	{cl_fixnum V15;                           /*  LENGTH          */
	T0= ecl_minus(MAKE_FIXNUM(V13),MAKE_FIXNUM(V12));
	T1= ecl_minus(MAKE_FIXNUM(V9),MAKE_FIXNUM(V8));
	V15= ecl_fix((ecl_number_compare(T0,T1)<=0?T0:T1));
	if(!(ECL_VECTORP(V1))){
	goto L8;}
	if(!(ECL_VECTORP(V2))){
	goto L8;}
	ecl_copy_subarray(V1,V8,V2,V12,V15);
	goto L3;
L8:;
	{cl_object V16;                           /*  DATA            */
	cl_object V17;                            /*  IT2             */
	cl_object V18;                            /*  IT1             */
	if(!((V1)==(V2))){
	goto L13;}
	if(!((V8)>(V12))){
	goto L13;}
	V16= cl_subseq(3,V2,MAKE_FIXNUM(V12),MAKE_FIXNUM(V13)) /*  SUBSEQ */;
	goto L11;
L13:;
	V16= V2;
	goto L11;
L11:;
	V17= si_make_seq_iterator(2,V16,MAKE_FIXNUM(V12)) /*  MAKE-SEQ-ITERATOR */;
	V18= si_make_seq_iterator(2,V1,MAKE_FIXNUM(V8)) /*  MAKE-SEQ-ITERATOR */;
	goto L21;
L20:;
	T0= si_seq_iterator_ref(V2,V17)           /*  SEQ-ITERATOR-REF */;
	si_seq_iterator_set(V1,V18,T0)            /*  SEQ-ITERATOR-SET */;
	V15= (V15)-(1);
	V17= si_seq_iterator_next(V16,V17)        /*  SEQ-ITERATOR-NEXT */;
	V18= si_seq_iterator_next(V1,V18)         /*  SEQ-ITERATOR-NEXT */;
L21:;
	if((V15)<=(0)){
	goto L32;}
	if(V18==Cnil){
	goto L32;}
	if(V17==Cnil){
	goto L32;}
	goto L20;
L32:;
	goto L30;
L30:;
	goto L18;
L18:;
	goto L3;
	}
	}}}
L3:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for FILTER-VECTOR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4filter_vector(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{ VT9 VLEX9 CLSR9 STCK9
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V11;
	if((V8)==Cnil){
	goto L3;}
	if((V9)==Cnil){
	goto L7;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L5;
L7:;
	goto L5;
L5:;
	V11= si_coerce_to_function(V8)            /*  COERCE-TO-FUNCTION */;
	goto L1;
L3:;
	if((V9)==Cnil){
	goto L10;}
	V11= si_coerce_to_function(V9)            /*  COERCE-TO-FUNCTION */;
	goto L1;
L10:;
	V11= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L1;
L1:;
	{cl_object V12;                           /*  KEY             */
	if((V10)==Cnil){
	goto L14;}
	V12= si_coerce_to_function(V10)           /*  COERCE-TO-FUNCTION */;
	goto L12;
L14:;
	V12= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L12;
L12:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V3,V4,V5) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V14;                            /*  START           */
	cl_fixnum V15;                            /*  END             */
	cl_fixnum V16;                            /*  L               */
	V14= ecl_fix(cl_env_copy->values[0]);
	V15= ecl_fix(cl_env_copy->values[1]);
	V16= ecl_fix(cl_env_copy->values[2]);
	{cl_fixnum V17;                           /*  %COUNT          */
	V17= ecl_fix(si_sequence_count(V7)        /*  SEQUENCE-COUNT  */);
	if(!((V17)>0)){
	goto L19;}
	{cl_fixnum V18;                           /*  EXISTING        */
	V18= 0;
	if((V2)==(V3)){
	goto L24;}
	V18= ecl_fix(cl_count(12,V1,V3,ECL_SYM("START",1307),MAKE_FIXNUM(V14),ECL_SYM("END",1222),MAKE_FIXNUM(V15),ECL_SYM("TEST",1313),V8,ECL_SYM("TEST-NOT",1314),V9,ECL_SYM("KEY",1259),V12) /*  COUNT */);
	if(!((V18)==0)){
	goto L30;}
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=MAKE_FIXNUM(V16);
	cl_env_copy->values[0]=V3;
	return cl_env_copy->values[0];
L30:;
	goto L28;
L28:;
	T0= cl_array_element_type(V3)             /*  ARRAY-ELEMENT-TYPE */;
	{cl_fixnum V19;
	V19= (V18)<=(V17)?V18:V17;
	T1= ecl_minus(MAKE_FIXNUM(V16),MAKE_FIXNUM(V19));
	V2= si_make_pure_array(T0,T1,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-PURE-ARRAY */;}
	goto L22;
L24:;
	goto L22;
L22:;
	if((V2)==(V3)){
	goto L35;}
	ecl_copy_subarray(V2,0,V3,0,V14);
	goto L33;
L35:;
	goto L33;
L33:;
	{cl_fixnum V19;                           /*  SKIP            */
	V19= 0;
	if((V6)==Cnil){
	goto L41;}
	if((V18)>0){
	goto L45;}
	V18= ecl_fix(cl_count(12,V1,V3,ECL_SYM("START",1307),MAKE_FIXNUM(V14),ECL_SYM("END",1222),MAKE_FIXNUM(V15),ECL_SYM("TEST",1313),V8,ECL_SYM("TEST-NOT",1314),V9,ECL_SYM("KEY",1259),V12) /*  COUNT */);
	goto L43;
L45:;
	goto L43;
L43:;
	if(!((V18)<(V17))){
	goto L50;}
	V19= 0;
	goto L48;
L50:;
	V19= (V18)-(V17);
	goto L48;
L48:;
	goto L39;
L41:;
	goto L39;
L39:;
	if(!((V2)==(V3))){
	goto L53;}
	{cl_fixnum V20;                           /*  INDEX           */
	V20= V14;
	goto L59;
L58:;
	{cl_object V21;                           /*  ELT             */
	V21= ecl_aref_unsafe(V3,V20);
	if((V9)==Cnil){
	goto L69;}
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V21);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V1,T0))!=Cnil){
	goto L65;}
	goto L67;
L69:;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V21);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V1,T0))==Cnil){
	goto L65;}
	goto L67;
L67:;
	{cl_fixnum V22;
	V19= (V19)-(1);
	V22= V19;
	if(!((V22)<0)){
	goto L65;}}
	goto L37;
L65:;
	goto L63;
L63:;
	V14= (V14)+(1);
	}
	V20= (V20)+1;
L59:;
	if((V20)==(V15)){
	goto L80;}
	goto L58;
L80:;
	goto L78;
L78:;
	goto L56;
L56:;
	goto L37;
	}
L53:;
	{cl_fixnum V21;                           /*  INDEX           */
	V21= V14;
	goto L86;
L85:;
	{cl_object V22;                           /*  ELT             */
	V22= ecl_aref_unsafe(V3,V21);
	if((V9)==Cnil){
	goto L96;}
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V22);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V1,T0))!=Cnil){
	goto L92;}
	goto L94;
L96:;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V22);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V1,T0))==Cnil){
	goto L92;}
	goto L94;
L94:;
	{cl_fixnum V23;
	V19= (V19)-(1);
	V23= V19;
	if(!((V23)<0)){
	goto L92;}}
	goto L37;
L92:;
	goto L90;
L90:;
	ecl_aset_unsafe(V2,V14,V22);
	V14= (V14)+1;
	}
	V21= (V21)+1;
L86:;
	if((V21)==(V15)){
	goto L108;}
	goto L85;
L108:;
	goto L106;
L106:;
	goto L83;
L83:;
	goto L37;
	}
	}
L37:;
	{cl_fixnum V19;                           /*  INDEX           */
	cl_fixnum V20;
	V19= V14;
	V20= V15;
	goto L116;
L115:;
	{cl_object V21;                           /*  ELT             */
	V21= ecl_aref_unsafe(V3,V19);
	if((V9)==Cnil){
	goto L124;}
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V21);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V1,T0))!=Cnil){
	goto L121;}
	goto L122;
L124:;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V21);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V1,T0))==Cnil){
	goto L121;}
	goto L122;
L122:;
	{cl_fixnum V22;
	V17= (V17)-(1);
	V22= V17;
	if(!((V22)==0)){
	goto L129;}}
	V15= (V19)+1;
	goto L110;
L129:;
	goto L118;
L121:;
	ecl_aset_unsafe(V2,V14,V21);
	V14= (V14)+1;
	goto L118;
	}
L118:;
	V19= (V19)+1;
L116:;
	if((V19)==(V20)){
	goto L141;}
	goto L115;
L141:;
	goto L139;
L139:;
	goto L113;
L113:;
	}
L110:;
	ecl_copy_subarray(V2,V14,V3,V15,V16);
	T0= ecl_minus(MAKE_FIXNUM(V16),MAKE_FIXNUM(V15));
	T1= ecl_plus(MAKE_FIXNUM(V14),T0);
	cl_env_copy->nvalues=2;
	cl_env_copy->values[1]=T1;
	cl_env_copy->values[0]=V2;
	return cl_env_copy->values[0];
	}
L19:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}}
	}
	}
}}
/*	function definition for REMOVE-LIST                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5remove_list(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT10 VLEX10 CLSR10 STCK10
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V9;
	if((V6)==Cnil){
	goto L3;}
	if((V7)==Cnil){
	goto L7;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L5;
L7:;
	goto L5;
L5:;
	V9= si_coerce_to_function(V6)             /*  COERCE-TO-FUNCTION */;
	goto L1;
L3:;
	if((V7)==Cnil){
	goto L10;}
	V9= si_coerce_to_function(V7)             /*  COERCE-TO-FUNCTION */;
	goto L1;
L10:;
	V9= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L1;
L1:;
	{cl_object V10;                           /*  KEY             */
	if((V8)==Cnil){
	goto L14;}
	V10= si_coerce_to_function(V8)            /*  COERCE-TO-FUNCTION */;
	goto L12;
L14:;
	V10= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L12;
L12:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V3,V4) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V12;                            /*  START           */
	cl_fixnum V13;                            /*  END             */
	cl_object V14;
	V12= ecl_fix(cl_env_copy->values[0]);
	V13= ecl_fix(cl_env_copy->values[1]);
	V14= cl_env_copy->values[2];
	{cl_fixnum V15;                           /*  %COUNT          */
	V15= ecl_fix(si_sequence_count(V5)        /*  SEQUENCE-COUNT  */);
	if(!((V15)>0)){
	goto L19;}
	{cl_object V16;                           /*  OUTPUT          */
	cl_fixnum V17;                            /*  INDEX           */
	V16= Cnil;
	V17= 0;
	goto L26;
L25:;
	T0= ECL_CONS_CAR(V2);
	V16= CONS(T0,V16);
	V2= ECL_CONS_CDR(V2);
	V17= (V17)+1;
L26:;
	if((V2)==Cnil){
	goto L36;}
	if(!((V17)<(V12))){
	goto L36;}
	goto L25;
L36:;
	goto L34;
L34:;
	goto L23;
L23:;
L41:;
	if((V17)<(V13)){
	goto L45;}
	goto L39;
L45:;
	goto L43;
L43:;
	{cl_object V18;                           /*  ELT             */
	V18= ECL_CONS_CAR(V2);
	V2= ECL_CONS_CDR(V2);
	if((V7)==Cnil){
	goto L55;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V18);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L52;}
	goto L53;
L55:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V18);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L52;}
	goto L53;
L53:;
	{cl_fixnum V19;
	V15= (V15)-(1);
	V19= V15;
	if(!((V19)==0)){
	goto L60;}}
	goto L39;
L60:;
	goto L50;
L52:;
	V16= CONS(V18,V16);
	goto L50;
L50:;
	V17= (V17)+(1);
	}
	goto L41;
L39:;
	value0=cl_nreconc(V16,V2)                 /*  NRECONC         */;
	return value0;
	}
L19:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}}
	}
	}
}}
/*	function definition for REMOVE                                */
/*	optimize speed 3, debug 0, space 1, safety 1                  */
cl_object cl_remove(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT11 VLEX11 CLSR11 STCK11
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[14];
	cl_parse_key(args,7,cl_removekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	if(keyvars[9]==Cnil){
	V5= MAKE_FIXNUM(0);
	}else{
	V5= keyvars[2];}
	V6= keyvars[3];
	V7= keyvars[4];
	V8= keyvars[5];
	V9= keyvars[6];
	}
	if (ecl_unlikely(!(ECL_LISTP(V2) || ECL_VECTORP(V2))))
           FEtype_error_sequence(V2);
	if(!(ECL_LISTP(V2))){
	goto L4;}
	if((V7)==Cnil){
	goto L7;}
	{cl_fixnum V10;                           /*  L               */
	V10= ecl_length(V2);
	T0= cl_reverse(V2)                        /*  REVERSE         */;
	if((V6)==Cnil){
	goto L12;}
	T1= ecl_minus(MAKE_FIXNUM(V10),V6);
	goto L10;
L12:;
	T1= MAKE_FIXNUM(0);
	goto L10;
L10:;
	T2= ecl_minus(MAKE_FIXNUM(V10),V5);
	T3= cl_delete(16,V1,T0,ECL_SYM("START",1307),T1,ECL_SYM("END",1222),T2,VV[7],Cnil,ECL_SYM("TEST",1313),V3,ECL_SYM("TEST-NOT",1314),V4,ECL_SYM("KEY",1259),V9,ECL_SYM("COUNT",1464),V8) /*  DELETE */;
	value0=cl_nreverse(T3)                    /*  NREVERSE        */;
	return value0;
	}
L7:;
	value0=L5remove_list(V1,V2,V5,V6,V8,V3,V4,V9) /*  REMOVE-LIST */;
	return value0;
L4:;
	value0=L4filter_vector(V1,Cnil,V2,V5,V6,V7,V8,V3,V4,V9) /*  FILTER-VECTOR */;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for REMOVE-IF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_remove_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT12 VLEX12 CLSR12 STCK12
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_remove_ifkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V3= MAKE_FIXNUM(0);
	}else{
	V3= keyvars[0];}
	V4= keyvars[1];
	V5= keyvars[2];
	V6= keyvars[3];
	V7= keyvars[4];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_remove(14,T0,V2,ECL_SYM("START",1307),V3,ECL_SYM("END",1222),V4,VV[7],V5,ECL_SYM("COUNT",1464),V6,ECL_SYM("TEST",1313),T1,ECL_SYM("KEY",1259),V7) /*  REMOVE */;
	return value0;
}}
/*	function definition for REMOVE-IF-NOT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_remove_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT13 VLEX13 CLSR13 STCK13
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_remove_if_notkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V3= MAKE_FIXNUM(0);
	}else{
	V3= keyvars[0];}
	V4= keyvars[1];
	V5= keyvars[2];
	V6= keyvars[3];
	V7= keyvars[4];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_remove(14,T0,V2,ECL_SYM("START",1307),V3,ECL_SYM("END",1222),V4,VV[7],V5,ECL_SYM("COUNT",1464),V6,ECL_SYM("TEST-NOT",1314),T1,ECL_SYM("KEY",1259),V7) /*  REMOVE */;
	return value0;
}}
/*	function definition for DELETE-LIST                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L6delete_list(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT14 VLEX14 CLSR14 STCK14
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V9;
	if((V6)==Cnil){
	goto L3;}
	if((V7)==Cnil){
	goto L7;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L5;
L7:;
	goto L5;
L5:;
	V9= si_coerce_to_function(V6)             /*  COERCE-TO-FUNCTION */;
	goto L1;
L3:;
	if((V7)==Cnil){
	goto L10;}
	V9= si_coerce_to_function(V7)             /*  COERCE-TO-FUNCTION */;
	goto L1;
L10:;
	V9= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L1;
L1:;
	{cl_object V10;                           /*  KEY             */
	if((V8)==Cnil){
	goto L14;}
	V10= si_coerce_to_function(V8)            /*  COERCE-TO-FUNCTION */;
	goto L12;
L14:;
	V10= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L12;
L12:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V3,V4) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V12;                            /*  START           */
	cl_fixnum V13;                            /*  END             */
	cl_object V14;
	V12= ecl_fix(cl_env_copy->values[0]);
	V13= ecl_fix(cl_env_copy->values[1]);
	V14= cl_env_copy->values[2];
	{cl_fixnum V15;                           /*  %COUNT          */
	V15= ecl_fix(si_sequence_count(V5)        /*  SEQUENCE-COUNT  */);
	if(!((V15)>0)){
	goto L19;}
	{cl_object V16;                           /*  SPLICE          */
	cl_object V17;                            /*  OUTPUT          */
	cl_fixnum V18;                            /*  INDEX           */
	V16= CONS(Cnil,V2);
	V17= V16;
	V18= 0;
	goto L27;
L26:;
	V2= ECL_CONS_CDR(V2);
	V16= ECL_CONS_CDR(V16);
	V18= (V18)+1;
L27:;
	if((V2)==Cnil){
	goto L37;}
	if(!((V18)<(V12))){
	goto L37;}
	goto L26;
L37:;
	goto L35;
L35:;
	goto L24;
L24:;
L42:;
	if((V18)<(V13)){
	goto L46;}
	goto L40;
L46:;
	goto L44;
L44:;
	{cl_object V19;                           /*  ELT             */
	V19= ECL_CONS_CAR(V2);
	V2= ECL_CONS_CDR(V2);
	if((V7)==Cnil){
	goto L56;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V19);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L53;}
	goto L54;
L56:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V19);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L53;}
	goto L54;
L54:;
	(ECL_CONS_CDR(V16)=V2,V16);
	{cl_fixnum V20;
	V15= (V15)-(1);
	V20= V15;
	if(!((V20)==0)){
	goto L63;}}
	goto L40;
L63:;
	goto L51;
L53:;
	V16= ECL_CONS_CDR(V16);
	goto L51;
L51:;
	V18= (V18)+(1);
	}
	goto L42;
L40:;
	value0=ECL_CONS_CDR(V17); cl_env_copy->nvalues=1;
	return value0;
	}
L19:;
	value0=V2; cl_env_copy->nvalues=1;
	return value0;
	}}
	}
	}
}}
/*	function definition for DELETE                                */
/*	optimize speed 3, debug 0, space 1, safety 1                  */
cl_object cl_delete(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT15 VLEX15 CLSR15 STCK15
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[14];
	cl_parse_key(args,7,cl_deletekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	if(keyvars[9]==Cnil){
	V5= MAKE_FIXNUM(0);
	}else{
	V5= keyvars[2];}
	V6= keyvars[3];
	V7= keyvars[4];
	V8= keyvars[5];
	V9= keyvars[6];
	}
	if(!(ECL_LISTP(V2))){
	goto L3;}
	if((V7)==Cnil){
	goto L6;}
	{cl_fixnum V10;                           /*  L               */
	V10= ecl_length(V2);
	T0= cl_nreverse(V2)                       /*  NREVERSE        */;
	if((V6)==Cnil){
	goto L11;}
	T1= ecl_minus(MAKE_FIXNUM(V10),V6);
	goto L9;
L11:;
	T1= MAKE_FIXNUM(0);
	goto L9;
L9:;
	T2= ecl_minus(MAKE_FIXNUM(V10),V5);
	T3= L6delete_list(V1,T0,T1,T2,V8,V3,V4,V9) /*  DELETE-LIST    */;
	value0=cl_nreverse(T3)                    /*  NREVERSE        */;
	return value0;
	}
L6:;
	value0=L6delete_list(V1,V2,V5,V6,V8,V3,V4,V9) /*  DELETE-LIST */;
	return value0;
L3:;
	if(ECL_VECTORP(V2)){
	goto L14;}
	value0=si_signal_type_error(V2,ECL_SYM("SEQUENCE",739)) /*  SIGNAL-TYPE-ERROR */;
	return value0;
L14:;
	if(!(ECL_ARRAY_HAS_FILL_POINTER_P(V2))){
	goto L17;}
	cl_env_copy->values[0]=L4filter_vector(V1,V2,V2,V5,V6,V7,V8,V3,V4,V9) /*  FILTER-VECTOR */;
	{
	cl_object V12;                            /*  SEQUENCE        */
	cl_object V13;                            /*  L               */
	{int V14=cl_env_copy->nvalues-0;
	if (V14--<=0) goto L20;
	V12= cl_env_copy->values[0];
	if (V14--<=0) goto L21;
	V13= cl_env_copy->values[1];
	goto L22;}
L20:;
	V12= Cnil;
L21:;
	V13= Cnil;
L22:;
	si_fill_pointer_set(V12,V13)              /*  FILL-POINTER-SET */;
	value0=V12; cl_env_copy->nvalues=1;
	return value0;}
L17:;
	value0=L4filter_vector(V1,Cnil,V2,V5,V6,V7,V8,V3,V4,V9) /*  FILTER-VECTOR */;
	cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DELETE-IF                             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_delete_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT16 VLEX16 CLSR16 STCK16
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_delete_ifkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V3= MAKE_FIXNUM(0);
	}else{
	V3= keyvars[0];}
	V4= keyvars[1];
	V5= keyvars[2];
	V6= keyvars[3];
	V7= keyvars[4];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_delete(14,T0,V2,ECL_SYM("START",1307),V3,ECL_SYM("END",1222),V4,VV[7],V5,ECL_SYM("COUNT",1464),V6,ECL_SYM("TEST",1313),T1,ECL_SYM("KEY",1259),V7) /*  DELETE */;
	return value0;
}}
/*	function definition for DELETE-IF-NOT                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_delete_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT17 VLEX17 CLSR17 STCK17
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_delete_if_notkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V3= MAKE_FIXNUM(0);
	}else{
	V3= keyvars[0];}
	V4= keyvars[1];
	V5= keyvars[2];
	V6= keyvars[3];
	V7= keyvars[4];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_delete(14,T0,V2,ECL_SYM("START",1307),V3,ECL_SYM("END",1222),V4,VV[7],V5,ECL_SYM("COUNT",1464),V6,ECL_SYM("TEST-NOT",1314),T1,ECL_SYM("KEY",1259),V7) /*  DELETE */;
	return value0;
}}
/*	function definition for COUNT                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_count(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT18 VLEX18 CLSR18 STCK18
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,cl_countkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	if(keyvars[9]==Cnil){
	V6= MAKE_FIXNUM(0);
	}else{
	V6= keyvars[3];}
	V7= keyvars[4];
	V8= keyvars[5];
	}
	{cl_object V9;
	if((V3)==Cnil){
	goto L4;}
	if((V4)==Cnil){
	goto L8;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L6;
L8:;
	goto L6;
L6:;
	V9= si_coerce_to_function(V3)             /*  COERCE-TO-FUNCTION */;
	goto L2;
L4:;
	if((V4)==Cnil){
	goto L11;}
	V9= si_coerce_to_function(V4)             /*  COERCE-TO-FUNCTION */;
	goto L2;
L11:;
	V9= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L2;
L2:;
	{cl_object V10;                           /*  KEY             */
	if((V8)==Cnil){
	goto L15;}
	V10= si_coerce_to_function(V8)            /*  COERCE-TO-FUNCTION */;
	goto L13;
L15:;
	V10= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L13;
L13:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V6,V7) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V12;                            /*  START           */
	cl_fixnum V13;                            /*  END             */
	cl_fixnum V14;                            /*  L               */
	V12= ecl_fix(cl_env_copy->values[0]);
	V13= ecl_fix(cl_env_copy->values[1]);
	V14= ecl_fix(cl_env_copy->values[2]);
	{cl_fixnum V15;                           /*  COUNTER         */
	V15= 0;
	if((V5)==Cnil){
	goto L20;}
	if(!(ECL_LISTP(V2))){
	goto L23;}
	T0= cl_reverse(V2)                        /*  REVERSE         */;
	T1= ecl_minus(MAKE_FIXNUM(V14),MAKE_FIXNUM(V13));
	T2= ecl_minus(MAKE_FIXNUM(V14),MAKE_FIXNUM(V12));
	value0=cl_count(12,V1,T0,ECL_SYM("START",1307),T1,ECL_SYM("END",1222),T2,ECL_SYM("TEST",1313),V3,ECL_SYM("TEST-NOT",1314),V4,ECL_SYM("KEY",1259),V10) /*  COUNT */;
	return value0;
L23:;
	{cl_fixnum V16;
	V16= V13;
	goto L29;
L28:;
	{cl_object V17;                           /*  ELT             */
	V16= (V16)-1;
	V17= ecl_aref_unsafe(V2,V16);
	if((V4)==Cnil){
	goto L38;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V17);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L35;}
	goto L36;
L38:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V17);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L35;}
	goto L36;
L36:;
	V15= (V15)+(1);
	goto L31;
L35:;
	goto L31;
	}
L31:;
L29:;
	if((V16)==(V12)){
	goto L45;}
	goto L28;
L45:;
	goto L43;
L43:;
	goto L26;
L26:;
	value0=MAKE_FIXNUM(V15); cl_env_copy->nvalues=1;
	return value0;
	}
L20:;
	if(!(ECL_LISTP(V2))){
	goto L48;}
	{cl_fixnum V17;
	cl_object V18;
	cl_fixnum V19;
	V17= V12;
	V18= ecl_nthcdr(V17,V2);
	V19= (V13)-(V17);
	goto L56;
L55:;
	{cl_object V20;                           /*  ELT             */
	V20= ECL_CONS_CAR(V18);
	if((V4)==Cnil){
	goto L64;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V20);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L61;}
	goto L62;
L64:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V20);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L61;}
	goto L62;
L62:;
	V15= (V15)+(1);
	goto L58;
L61:;
	goto L58;
	}
L58:;
	V17= (V17)+1;
	V18= ECL_CONS_CDR(V18);
	V19= (V19)-1;
L56:;
	if((V19)<=(0)){
	goto L77;}
	goto L55;
L77:;
	goto L75;
L75:;
	goto L53;
L53:;
	value0=MAKE_FIXNUM(V15); cl_env_copy->nvalues=1;
	return value0;
	}
L48:;
	{cl_fixnum V20;
	V20= V12;
	goto L83;
L82:;
	{cl_object V21;                           /*  ELT             */
	V21= ecl_aref_unsafe(V2,V20);
	if((V4)==Cnil){
	goto L91;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V21);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L88;}
	goto L89;
L91:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V21);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L88;}
	goto L89;
L89:;
	V15= (V15)+(1);
	goto L85;
L88:;
	goto L85;
	}
L85:;
	V20= (V20)+1;
L83:;
	if((V20)==(V13)){
	goto L100;}
	goto L82;
L100:;
	goto L98;
L98:;
	goto L80;
L80:;
	value0=MAKE_FIXNUM(V15); cl_env_copy->nvalues=1;
	return value0;
	}
	}}
	}
	}
}}
/*	function definition for COUNT-IF                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_count_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT19 VLEX19 CLSR19 STCK19
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,cl_count_ifkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[1];}
	V5= keyvars[2];
	V6= keyvars[3];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_count(12,T0,V2,VV[7],V3,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,ECL_SYM("TEST",1313),T1,ECL_SYM("KEY",1259),V6) /*  COUNT */;
	return value0;
}}
/*	function definition for COUNT-IF-NOT                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_count_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT20 VLEX20 CLSR20 STCK20
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,cl_count_if_notkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[1];}
	V5= keyvars[2];
	V6= keyvars[3];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_count(12,T0,V2,VV[7],V3,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,ECL_SYM("TEST-NOT",1314),T1,ECL_SYM("KEY",1259),V6) /*  COUNT */;
	return value0;
}}
/*	function definition for SUBSTITUTE                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_substitute(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT21 VLEX21 CLSR21 STCK21
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[14];
	cl_parse_key(args,7,cl_substitutekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V4= keyvars[0];
	V5= keyvars[1];
	if(keyvars[9]==Cnil){
	V6= MAKE_FIXNUM(0);
	}else{
	V6= keyvars[2];}
	V7= keyvars[3];
	V8= keyvars[4];
	V9= keyvars[5];
	V10= keyvars[6];
	}
	T0= ecl_copy_seq(V3);
	value0=cl_nsubstitute(17,V1,V2,T0,ECL_SYM("START",1307),V6,ECL_SYM("END",1222),V7,VV[7],V8,ECL_SYM("COUNT",1464),V9,ECL_SYM("KEY",1259),V10,ECL_SYM("TEST",1313),V4,ECL_SYM("TEST-NOT",1314),V5) /*  NSUBSTITUTE */;
	return value0;
}}
/*	function definition for SUBSTITUTE-IF                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_substitute_if(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT22 VLEX22 CLSR22 STCK22
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_substitute_ifkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[0];}
	V5= keyvars[1];
	V6= keyvars[2];
	V7= keyvars[3];
	V8= keyvars[4];
	}
	T0= si_coerce_to_function(V2)             /*  COERCE-TO-FUNCTION */;
	T1= ecl_copy_seq(V3);
	T2= (VV[4]->symbol.gfdef);
	value0=cl_nsubstitute(17,V1,T0,T1,ECL_SYM("KEY",1259),V8,ECL_SYM("TEST",1313),T2,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,VV[7],V6,ECL_SYM("COUNT",1464),V7,ECL_SYM("KEY",1259),V8) /*  NSUBSTITUTE */;
	return value0;
}}
/*	function definition for SUBSTITUTE-IF-NOT                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_substitute_if_not(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT23 VLEX23 CLSR23 STCK23
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_substitute_if_notkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[0];}
	V5= keyvars[1];
	V6= keyvars[2];
	V7= keyvars[3];
	V8= keyvars[4];
	}
	T0= si_coerce_to_function(V2)             /*  COERCE-TO-FUNCTION */;
	T1= ecl_copy_seq(V3);
	T2= (VV[4]->symbol.gfdef);
	value0=cl_nsubstitute(17,V1,T0,T1,ECL_SYM("KEY",1259),V8,ECL_SYM("TEST-NOT",1314),T2,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,VV[7],V6,ECL_SYM("COUNT",1464),V7,ECL_SYM("KEY",1259),V8) /*  NSUBSTITUTE */;
	return value0;
}}
/*	function definition for NSUBSTITUTE                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nsubstitute(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT24 VLEX24 CLSR24 STCK24
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[14];
	cl_parse_key(args,7,cl_nsubstitutekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V4= keyvars[0];
	V5= keyvars[1];
	if(keyvars[9]==Cnil){
	V6= MAKE_FIXNUM(0);
	}else{
	V6= keyvars[2];}
	V7= keyvars[3];
	V8= keyvars[4];
	V9= keyvars[5];
	V10= keyvars[6];
	}
	{cl_object V11;
	if((V4)==Cnil){
	goto L4;}
	if((V5)==Cnil){
	goto L8;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L6;
L8:;
	goto L6;
L6:;
	V11= si_coerce_to_function(V4)            /*  COERCE-TO-FUNCTION */;
	goto L2;
L4:;
	if((V5)==Cnil){
	goto L11;}
	V11= si_coerce_to_function(V5)            /*  COERCE-TO-FUNCTION */;
	goto L2;
L11:;
	V11= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L2;
L2:;
	{cl_object V12;                           /*  KEY             */
	if((V10)==Cnil){
	goto L15;}
	V12= si_coerce_to_function(V10)           /*  COERCE-TO-FUNCTION */;
	goto L13;
L15:;
	V12= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L13;
L13:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V3,V6,V7) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V14;                            /*  START           */
	cl_fixnum V15;                            /*  END             */
	cl_fixnum V16;                            /*  L               */
	V14= ecl_fix(cl_env_copy->values[0]);
	V15= ecl_fix(cl_env_copy->values[1]);
	V16= ecl_fix(cl_env_copy->values[2]);
	{cl_fixnum V17;                           /*  %COUNT          */
	V17= ecl_fix(si_sequence_count(V9)        /*  SEQUENCE-COUNT  */);
	if(!((V17)>0)){
	goto L20;}
	if((V8)==Cnil){
	goto L23;}
	if(!(ECL_LISTP(V3))){
	goto L26;}
	T0= cl_nreverse(V3)                       /*  NREVERSE        */;
	T1= ecl_minus(MAKE_FIXNUM(V16),MAKE_FIXNUM(V15));
	T2= ecl_minus(MAKE_FIXNUM(V16),MAKE_FIXNUM(V14));
	T3= cl_nsubstitute(15,V1,V2,T0,ECL_SYM("START",1307),T1,ECL_SYM("END",1222),T2,ECL_SYM("KEY",1259),V12,ECL_SYM("TEST",1313),V4,ECL_SYM("TEST-NOT",1314),V5,ECL_SYM("COUNT",1464),V9) /*  NSUBSTITUTE */;
	value0=cl_nreverse(T3)                    /*  NREVERSE        */;
	return value0;
L26:;
	{cl_fixnum V18;
	V18= V15;
	goto L32;
L31:;
	{cl_object V19;                           /*  ELT             */
	V18= (V18)-1;
	V19= ecl_aref_unsafe(V3,V18);
	if((V5)==Cnil){
	goto L41;}
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V19);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V2,T0))!=Cnil){
	goto L38;}
	goto L39;
L41:;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V19);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V2,T0))==Cnil){
	goto L38;}
	goto L39;
L39:;
	ecl_aset_unsafe(V3,V18,V1);
	{cl_fixnum V20;
	V17= (V17)-(1);
	V20= V17;
	if(!((V20)==0)){
	goto L47;}}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L47:;
	goto L34;
L38:;
	goto L34;
	}
L34:;
L32:;
	if((V18)==(V14)){
	goto L53;}
	goto L31;
L53:;
	goto L51;
L51:;
	goto L29;
L29:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
L23:;
	if(!(ECL_LISTP(V3))){
	goto L56;}
	{cl_fixnum V19;
	cl_object V20;
	cl_fixnum V21;
	V19= V14;
	V20= ecl_nthcdr(V19,V3);
	V21= (V15)-(V19);
	goto L64;
L63:;
	{cl_object V22;                           /*  ELT             */
	V22= ECL_CONS_CAR(V20);
	if((V5)==Cnil){
	goto L72;}
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V22);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V2,T0))!=Cnil){
	goto L69;}
	goto L70;
L72:;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V22);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V2,T0))==Cnil){
	goto L69;}
	goto L70;
L70:;
	(ECL_CONS_CAR(V20)=V1,V20);
	{cl_fixnum V23;
	V17= (V17)-(1);
	V23= V17;
	if(!((V23)==0)){
	goto L78;}}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L78:;
	goto L66;
L69:;
	goto L66;
	}
L66:;
	V19= (V19)+1;
	V20= ECL_CONS_CDR(V20);
	V21= (V21)-1;
L64:;
	if((V21)<=(0)){
	goto L90;}
	goto L63;
L90:;
	goto L88;
L88:;
	goto L61;
L61:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
L56:;
	{cl_fixnum V22;
	V22= V14;
	goto L96;
L95:;
	{cl_object V23;                           /*  ELT             */
	V23= ecl_aref_unsafe(V3,V22);
	if((V5)==Cnil){
	goto L104;}
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V23);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V2,T0))!=Cnil){
	goto L101;}
	goto L102;
L104:;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,V23);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V2,T0))==Cnil){
	goto L101;}
	goto L102;
L102:;
	ecl_aset_unsafe(V3,V22,V1);
	{cl_fixnum V24;
	V17= (V17)-(1);
	V24= V17;
	if(!((V24)==0)){
	goto L110;}}
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
L110:;
	goto L98;
L101:;
	goto L98;
	}
L98:;
	V22= (V22)+1;
L96:;
	if((V22)==(V15)){
	goto L118;}
	goto L95;
L118:;
	goto L116;
L116:;
	goto L93;
L93:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}
L20:;
	value0=V3; cl_env_copy->nvalues=1;
	return value0;
	}}
	}
	}
}}
/*	function definition for NSUBSTITUTE-IF                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nsubstitute_if(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT25 VLEX25 CLSR25 STCK25
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_nsubstitute_ifkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[0];}
	V5= keyvars[1];
	V6= keyvars[2];
	V7= keyvars[3];
	V8= keyvars[4];
	}
	T0= si_coerce_to_function(V2)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_nsubstitute(17,V1,T0,V3,ECL_SYM("KEY",1259),V8,ECL_SYM("TEST",1313),T1,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,VV[7],V6,ECL_SYM("COUNT",1464),V7,ECL_SYM("KEY",1259),V8) /*  NSUBSTITUTE */;
	return value0;
}}
/*	function definition for NSUBSTITUTE-IF-NOT                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_nsubstitute_if_not(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, ...)
{ VT26 VLEX26 CLSR26 STCK26
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<3)) FEwrong_num_arguments_anonym();
	{
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V3,narg,3);
	{ cl_object keyvars[10];
	cl_parse_key(args,5,cl_nsubstitute_if_notkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[0];}
	V5= keyvars[1];
	V6= keyvars[2];
	V7= keyvars[3];
	V8= keyvars[4];
	}
	T0= si_coerce_to_function(V2)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_nsubstitute(17,V1,T0,V3,ECL_SYM("KEY",1259),V8,ECL_SYM("TEST-NOT",1314),T1,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,VV[7],V6,ECL_SYM("COUNT",1464),V7,ECL_SYM("KEY",1259),V8) /*  NSUBSTITUTE */;
	return value0;
}}
/*	function definition for FIND                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_find(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT27 VLEX27 CLSR27 STCK27
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,cl_findkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	if(keyvars[8]==Cnil){
	V5= MAKE_FIXNUM(0);
	}else{
	V5= keyvars[2];}
	V6= keyvars[3];
	V7= keyvars[4];
	V8= keyvars[5];
	}
	{cl_object V9;
	if((V3)==Cnil){
	goto L4;}
	if((V4)==Cnil){
	goto L8;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L6;
L8:;
	goto L6;
L6:;
	V9= si_coerce_to_function(V3)             /*  COERCE-TO-FUNCTION */;
	goto L2;
L4:;
	if((V4)==Cnil){
	goto L11;}
	V9= si_coerce_to_function(V4)             /*  COERCE-TO-FUNCTION */;
	goto L2;
L11:;
	V9= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L2;
L2:;
	{cl_object V10;                           /*  KEY             */
	if((V8)==Cnil){
	goto L15;}
	V10= si_coerce_to_function(V8)            /*  COERCE-TO-FUNCTION */;
	goto L13;
L15:;
	V10= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L13;
L13:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V5,V6) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V12;                            /*  START           */
	cl_fixnum V13;                            /*  END             */
	cl_object V14;                            /*  LENGTH          */
	V12= ecl_fix(cl_env_copy->values[0]);
	V13= ecl_fix(cl_env_copy->values[1]);
	V14= cl_env_copy->values[2];
	{cl_object V15;                           /*  OUTPUT          */
	V15= Cnil;
	if(!(ECL_LISTP(V2))){
	goto L20;}
	{cl_fixnum V16;                           /*  INDEX           */
	cl_object V17;
	cl_fixnum V18;
	V16= V12;
	V17= ecl_nthcdr(V16,V2);
	V18= (V13)-(V16);
	goto L28;
L27:;
	{cl_object V19;                           /*  ELT             */
	V19= ECL_CONS_CAR(V17);
	if((V4)==Cnil){
	goto L36;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V19);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L33;}
	goto L34;
L36:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V19);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L33;}
	goto L34;
L34:;
	if((V7)!=Cnil){
	goto L42;}
	value0=V19; cl_env_copy->nvalues=1;
	return value0;
L42:;
	goto L40;
L40:;
	V15= V19;
	goto L30;
L33:;
	goto L30;
	}
L30:;
	V16= (V16)+1;
	V17= ECL_CONS_CDR(V17);
	V18= (V18)-1;
L28:;
	if((V18)<=(0)){
	goto L53;}
	goto L27;
L53:;
	goto L51;
L51:;
	goto L25;
L25:;
	value0=V15; cl_env_copy->nvalues=1;
	return value0;
	}
L20:;
	{cl_fixnum V19;                           /*  INDEX           */
	V19= V12;
	goto L59;
L58:;
	{cl_object V20;                           /*  ELT             */
	V20= ecl_aref_unsafe(V2,V19);
	if((V4)==Cnil){
	goto L67;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V20);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L64;}
	goto L65;
L67:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V20);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L64;}
	goto L65;
L65:;
	if((V7)!=Cnil){
	goto L73;}
	value0=V20; cl_env_copy->nvalues=1;
	return value0;
L73:;
	goto L71;
L71:;
	V15= V20;
	goto L61;
L64:;
	goto L61;
	}
L61:;
	V19= (V19)+1;
L59:;
	if((V19)==(V13)){
	goto L80;}
	goto L58;
L80:;
	goto L78;
L78:;
	goto L56;
L56:;
	value0=V15; cl_env_copy->nvalues=1;
	return value0;
	}
	}}
	}
	}
}}
/*	function definition for FIND-IF                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_find_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT28 VLEX28 CLSR28 STCK28
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,cl_find_ifkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[1];}
	V5= keyvars[2];
	V6= keyvars[3];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_find(12,T0,V2,VV[7],V3,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,ECL_SYM("TEST",1313),T1,ECL_SYM("KEY",1259),V6) /*  FIND */;
	return value0;
}}
/*	function definition for FIND-IF-NOT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_find_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT29 VLEX29 CLSR29 STCK29
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,cl_find_if_notkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[1];}
	V5= keyvars[2];
	V6= keyvars[3];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_find(12,T0,V2,VV[7],V3,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,ECL_SYM("TEST-NOT",1314),T1,ECL_SYM("KEY",1259),V6) /*  FIND */;
	return value0;
}}
/*	function definition for POSITION                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_position(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT30 VLEX30 CLSR30 STCK30
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,cl_positionkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	if(keyvars[9]==Cnil){
	V6= MAKE_FIXNUM(0);
	}else{
	V6= keyvars[3];}
	V7= keyvars[4];
	V8= keyvars[5];
	}
	{cl_object V9;
	if((V3)==Cnil){
	goto L4;}
	if((V4)==Cnil){
	goto L8;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L6;
L8:;
	goto L6;
L6:;
	V9= si_coerce_to_function(V3)             /*  COERCE-TO-FUNCTION */;
	goto L2;
L4:;
	if((V4)==Cnil){
	goto L11;}
	V9= si_coerce_to_function(V4)             /*  COERCE-TO-FUNCTION */;
	goto L2;
L11:;
	V9= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L2;
L2:;
	{cl_object V10;                           /*  KEY             */
	if((V8)==Cnil){
	goto L15;}
	V10= si_coerce_to_function(V8)            /*  COERCE-TO-FUNCTION */;
	goto L13;
L15:;
	V10= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L13;
L13:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V6,V7) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V12;                            /*  START           */
	cl_fixnum V13;                            /*  END             */
	cl_object V14;
	V12= ecl_fix(cl_env_copy->values[0]);
	V13= ecl_fix(cl_env_copy->values[1]);
	V14= cl_env_copy->values[2];
	{cl_object V15;                           /*  OUTPUT          */
	V15= Cnil;
	if(!(ECL_LISTP(V2))){
	goto L20;}
	{cl_fixnum V16;                           /*  INDEX           */
	cl_object V17;
	cl_fixnum V18;
	V16= V12;
	V17= ecl_nthcdr(V16,V2);
	V18= (V13)-(V16);
	goto L28;
L27:;
	{cl_object V19;                           /*  ELT             */
	V19= ECL_CONS_CAR(V17);
	if((V4)==Cnil){
	goto L36;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V19);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L33;}
	goto L34;
L36:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V19);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L33;}
	goto L34;
L34:;
	if((V5)!=Cnil){
	goto L42;}
	value0=MAKE_FIXNUM(V16); cl_env_copy->nvalues=1;
	return value0;
L42:;
	goto L40;
L40:;
	V15= MAKE_FIXNUM(V16);
	goto L30;
L33:;
	goto L30;
	}
L30:;
	V16= (V16)+1;
	V17= ECL_CONS_CDR(V17);
	V18= (V18)-1;
L28:;
	if((V18)<=(0)){
	goto L53;}
	goto L27;
L53:;
	goto L51;
L51:;
	goto L25;
L25:;
	value0=V15; cl_env_copy->nvalues=1;
	return value0;
	}
L20:;
	{cl_fixnum V19;                           /*  INDEX           */
	V19= V12;
	goto L59;
L58:;
	{cl_object V20;                           /*  ELT             */
	V20= ecl_aref_unsafe(V2,V19);
	if((V4)==Cnil){
	goto L67;}
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V20);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))!=Cnil){
	goto L64;}
	goto L65;
L67:;
	T0= (cl_env_copy->function=V10)->cfun.entry(1,V20);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V1,T0))==Cnil){
	goto L64;}
	goto L65;
L65:;
	if((V5)!=Cnil){
	goto L73;}
	value0=MAKE_FIXNUM(V19); cl_env_copy->nvalues=1;
	return value0;
L73:;
	goto L71;
L71:;
	V15= MAKE_FIXNUM(V19);
	goto L61;
L64:;
	goto L61;
	}
L61:;
	V19= (V19)+1;
L59:;
	if((V19)==(V13)){
	goto L80;}
	goto L58;
L80:;
	goto L78;
L78:;
	goto L56;
L56:;
	value0=V15; cl_env_copy->nvalues=1;
	return value0;
	}
	}}
	}
	}
}}
/*	function definition for POSITION-IF                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_position_if(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT31 VLEX31 CLSR31 STCK31
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,cl_position_ifkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[1];}
	V5= keyvars[2];
	V6= keyvars[3];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_position(12,T0,V2,VV[7],V3,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,ECL_SYM("TEST",1313),T1,ECL_SYM("KEY",1259),V6) /*  POSITION */;
	return value0;
}}
/*	function definition for POSITION-IF-NOT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_position_if_not(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT32 VLEX32 CLSR32 STCK32
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[8];
	cl_parse_key(args,4,cl_position_if_notkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	if(keyvars[5]==Cnil){
	V4= MAKE_FIXNUM(0);
	}else{
	V4= keyvars[1];}
	V5= keyvars[2];
	V6= keyvars[3];
	}
	T0= si_coerce_to_function(V1)             /*  COERCE-TO-FUNCTION */;
	T1= (VV[4]->symbol.gfdef);
	value0=cl_position(12,T0,V2,VV[7],V3,ECL_SYM("START",1307),V4,ECL_SYM("END",1222),V5,ECL_SYM("TEST-NOT",1314),T1,ECL_SYM("KEY",1259),V6) /*  POSITION */;
	return value0;
}}
/*	function definition for REMOVE-DUPLICATES-LIST                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8remove_duplicates_list(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7)
{ VT33 VLEX33 CLSR33 STCK33
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	lex0[0]= V6;
	if((V5)==Cnil){
	goto L3;}
	if((lex0[0])==Cnil){
	goto L7;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L5;
L7:;
	goto L5;
L5:;
	T0= si_coerce_to_function(V5)             /*  COERCE-TO-FUNCTION */;
	goto L1;
L3:;
	if((lex0[0])==Cnil){
	goto L10;}
	T0= si_coerce_to_function(lex0[0])        /*  COERCE-TO-FUNCTION */;
	goto L1;
L10:;
	T0= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L1;
L1:;
	lex0[1]= T0;
	if((V7)==Cnil){
	goto L14;}
	T0= si_coerce_to_function(V7)             /*  COERCE-TO-FUNCTION */;
	goto L12;
L14:;
	T0= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L12;
L12:;
	lex0[2]= T0;                              /*  KEY             */
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V1,V2,V3) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V9;                             /*  START           */
	cl_fixnum V10;                            /*  END             */
	cl_object V11;
	V9= ecl_fix(cl_env_copy->values[0]);
	V10= ecl_fix(cl_env_copy->values[1]);
	V11= cl_env_copy->values[2];
	{cl_object V12;                           /*  OUTPUT          */
	V12= Cnil;
	goto L21;
L20:;
	T0= ECL_CONS_CAR(V1);
	V12= CONS(T0,V12);
	V1= ECL_CONS_CDR(V1);
	V9= (V9)-1;
	V10= (V10)-1;
L21:;
	if((V1)==Cnil){
	goto L33;}
	if(!((V9)>0)){
	goto L33;}
	goto L20;
L33:;
	goto L31;
L31:;
	goto L18;
L18:;
	{cl_object V13;                           /*  LET179          */
	cl_object V14;                            /*  LET180          */
	V13= V1;
	{cl_fixnum V15;
	V15= (V10)-(V9);
	V14= ecl_nthcdr(V15,V1);}
L39:;
	if(!((V1)==(V14))){
	goto L43;}
	value0=cl_nreconc(V12,V1)                 /*  NRECONC         */;
	return value0;
L43:;
	goto L41;
L41:;
	if((LC7already_in_list_p(lex0,V13,V1,V14,V4) /*  ALREADY-IN-LIST-P */)!=Cnil){
	goto L47;}
	T0= ECL_CONS_CAR(V1);
	V12= CONS(T0,V12);
	goto L45;
L47:;
	goto L45;
L45:;
	V1= ECL_CONS_CDR(V1);
	goto L39;
	}
	}}
}}
/*	local function ALREADY-IN-LIST-P                              */
/*	optimize speed 3, debug 0, space 0, safety 0                  */
static cl_object LC7already_in_list_p(volatile cl_object *lex0, cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT34 VLEX34 CLSR34 STCK34
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_object V5;                            /*  ELT             */
	T0= ECL_CONS_CAR(V2);
	V5= (cl_env_copy->function=lex0[2])->cfun.entry(1,T0);
	if((V4)==Cnil){
	goto L3;}
L6:;
	if(!((V1)==(V2))){
	goto L10;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L10:;
	goto L8;
L8:;
	if((lex0[0])==Cnil){
	goto L17;}
	T1= ECL_CONS_CAR(V1);
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,T1);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V5,T0))!=Cnil){
	goto L14;}
	goto L15;
L17:;
	T1= ECL_CONS_CAR(V1);
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,T1);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V5,T0))==Cnil){
	goto L14;}
	goto L15;
L15:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L14:;
	goto L12;
L12:;
	V1= ECL_CONS_CDR(V1);
	goto L6;
L3:;
L24:;
	V2= ECL_CONS_CDR(V2);
	if(!((V2)==(V3))){
	goto L30;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L30:;
	goto L28;
L28:;
	if((lex0[0])==Cnil){
	goto L36;}
	T1= ECL_CONS_CAR(V2);
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,T1);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V5,T0))!=Cnil){
	goto L33;}
	goto L34;
L36:;
	T1= ECL_CONS_CAR(V2);
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,T1);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V5,T0))==Cnil){
	goto L33;}
	goto L34;
L34:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L33:;
	goto L25;
L25:;
	goto L24;
	}
}
/*	function definition for REMOVE-DUPLICATES                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_remove_duplicates(cl_narg narg, cl_object V1, ...)
{ VT35 VLEX35 CLSR35 STCK35
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,cl_remove_duplicateskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	V4= keyvars[2];
	if(keyvars[9]==Cnil){
	V5= MAKE_FIXNUM(0);
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	V7= keyvars[5];
	}
	if(!(ECL_LISTP(V1))){
	goto L3;}
	value0=L8remove_duplicates_list(V1,V5,V6,V4,V2,V3,V7) /*  REMOVE-DUPLICATES-LIST */;
	return value0;
L3:;
	if(!(ECL_VECTORP(V1))){
	goto L6;}
	{cl_object V8;                            /*  L               */
	cl_object V9;                             /*  V               */
	V8= L12filter_duplicates_vector(Cnil,V1,V5,V6,V4,V2,V3,V7) /*  FILTER-DUPLICATES-VECTOR */;
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	V9= si_make_pure_array(T0,V8,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-PURE-ARRAY */;
	L12filter_duplicates_vector(V9,V1,V5,V6,V4,V2,V3,V7) /*  FILTER-DUPLICATES-VECTOR */;
	value0=V9; cl_env_copy->nvalues=1;
	return value0;
	}
L6:;
	if(ECL_VECTORP(V1)){
	goto L12;}
	value0=si_signal_type_error(V1,ECL_SYM("SEQUENCE",739)) /*  SIGNAL-TYPE-ERROR */;
	return value0;
L12:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
}}
/*	function definition for DELETE-DUPLICATES-LIST                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L10delete_duplicates_list(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7)
{ VT36 VLEX36 CLSR36 STCK36
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	lex0[0]= V6;
	if((V5)==Cnil){
	goto L3;}
	if((lex0[0])==Cnil){
	goto L7;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L5;
L7:;
	goto L5;
L5:;
	T0= si_coerce_to_function(V5)             /*  COERCE-TO-FUNCTION */;
	goto L1;
L3:;
	if((lex0[0])==Cnil){
	goto L10;}
	T0= si_coerce_to_function(lex0[0])        /*  COERCE-TO-FUNCTION */;
	goto L1;
L10:;
	T0= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L1;
L1:;
	lex0[1]= T0;
	if((V7)==Cnil){
	goto L14;}
	T0= si_coerce_to_function(V7)             /*  COERCE-TO-FUNCTION */;
	goto L12;
L14:;
	T0= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L12;
L12:;
	lex0[2]= T0;                              /*  KEY             */
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V1,V2,V3) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V9;                             /*  START           */
	cl_fixnum V10;                            /*  END             */
	cl_object V11;
	V9= ecl_fix(cl_env_copy->values[0]);
	V10= ecl_fix(cl_env_copy->values[1]);
	V11= cl_env_copy->values[2];
	{cl_object V12;                           /*  SPLICE          */
	cl_object V13;                            /*  OUTPUT          */
	V12= CONS(Cnil,V1);
	V13= V12;
	goto L22;
L21:;
	V12= ECL_CONS_CDR(V12);
	V1= ECL_CONS_CDR(V1);
	V9= (V9)-1;
	V10= (V10)-1;
L22:;
	if((V1)==Cnil){
	goto L34;}
	if(!((V9)>0)){
	goto L34;}
	goto L21;
L34:;
	goto L32;
L32:;
	goto L19;
L19:;
	{cl_object V14;                           /*  LET181          */
	cl_object V15;                            /*  LET182          */
	V14= V12;
	{cl_fixnum V16;
	V16= (V10)-(V9);
	V15= ecl_nthcdr(V16,V1);}
L40:;
	if(!((V1)==(V15))){
	goto L44;}
	value0=ECL_CONS_CDR(V13); cl_env_copy->nvalues=1;
	return value0;
L44:;
	goto L42;
L42:;
	T0= ECL_CONS_CDR(V14);
	if((LC9already_in_list_p(lex0,T0,V1,V15,V4) /*  ALREADY-IN-LIST-P */)==Cnil){
	goto L47;}
	V1= ECL_CONS_CDR(V1);
	(ECL_CONS_CDR(V12)=V1,V12);
	goto L41;
L47:;
	V1= ECL_CONS_CDR(V1);
	V12= ECL_CONS_CDR(V12);
	goto L41;
L41:;
	goto L40;
	}
	}}
}}
/*	local function ALREADY-IN-LIST-P                              */
/*	optimize speed 3, debug 0, space 0, safety 0                  */
static cl_object LC9already_in_list_p(volatile cl_object *lex0, cl_object V1, cl_object V2, cl_object V3, cl_object V4)
{ VT37 VLEX37 CLSR37 STCK37
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_object V5;                            /*  ELT             */
	T0= ECL_CONS_CAR(V2);
	V5= (cl_env_copy->function=lex0[2])->cfun.entry(1,T0);
	if((V4)==Cnil){
	goto L3;}
L6:;
	if(!((V1)==(V2))){
	goto L10;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L10:;
	goto L8;
L8:;
	if((lex0[0])==Cnil){
	goto L17;}
	T1= ECL_CONS_CAR(V1);
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,T1);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V5,T0))!=Cnil){
	goto L14;}
	goto L15;
L17:;
	T1= ECL_CONS_CAR(V1);
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,T1);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V5,T0))==Cnil){
	goto L14;}
	goto L15;
L15:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L14:;
	goto L12;
L12:;
	V1= ECL_CONS_CDR(V1);
	goto L6;
L3:;
L24:;
	V2= ECL_CONS_CDR(V2);
	if(!((V2)==(V3))){
	goto L30;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L30:;
	goto L28;
L28:;
	if((lex0[0])==Cnil){
	goto L36;}
	T1= ECL_CONS_CAR(V2);
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,T1);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V5,T0))!=Cnil){
	goto L33;}
	goto L34;
L36:;
	T1= ECL_CONS_CAR(V2);
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,T1);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V5,T0))==Cnil){
	goto L33;}
	goto L34;
L34:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L33:;
	goto L25;
L25:;
	goto L24;
	}
}
/*	function definition for FILTER-DUPLICATES-VECTOR              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12filter_duplicates_vector(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8)
{ VT38 VLEX38 CLSR38 STCK38
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	lex0[0]= V7;
	if((V6)==Cnil){
	goto L3;}
	if((lex0[0])==Cnil){
	goto L7;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L5;
L7:;
	goto L5;
L5:;
	T0= si_coerce_to_function(V6)             /*  COERCE-TO-FUNCTION */;
	goto L1;
L3:;
	if((lex0[0])==Cnil){
	goto L10;}
	T0= si_coerce_to_function(lex0[0])        /*  COERCE-TO-FUNCTION */;
	goto L1;
L10:;
	T0= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L1;
L1:;
	lex0[1]= T0;
	if((V8)==Cnil){
	goto L14;}
	T0= si_coerce_to_function(V8)             /*  COERCE-TO-FUNCTION */;
	goto L12;
L14:;
	T0= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L12;
L12:;
	lex0[2]= T0;                              /*  KEY             */
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V3,V4) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V10;                            /*  START           */
	cl_fixnum V11;                            /*  END             */
	cl_fixnum V12;                            /*  LENGTH          */
	V10= ecl_fix(cl_env_copy->values[0]);
	V11= ecl_fix(cl_env_copy->values[1]);
	V12= ecl_fix(cl_env_copy->values[2]);
	if((V1)==Cnil){
	goto L19;}
	if((V1)==(V2)){
	goto L19;}
	ecl_copy_subarray(V1,0,V2,0,V10);
	goto L17;
L19:;
	goto L17;
L17:;
	{cl_fixnum V13;                           /*  INDEX           */
	cl_fixnum V14;                            /*  JNDEX           */
	V13= V10;
	V14= V10;
L25:;
	if(!((V13)==(V11))){
	goto L29;}
	if((V1)==Cnil){
	goto L33;}
	ecl_copy_subarray(V1,V14,V2,V11,V12);
	goto L31;
L33:;
	goto L31;
L31:;
	T0= ecl_minus(MAKE_FIXNUM(V12),MAKE_FIXNUM(V11));
	value0=ecl_plus(MAKE_FIXNUM(V14),T0); cl_env_copy->nvalues=1;
	return value0;
L29:;
	goto L27;
L27:;
	if((LC11already_in_vector_p(lex0,V2,MAKE_FIXNUM(V10),MAKE_FIXNUM(V13),MAKE_FIXNUM(V11),V5) /*  ALREADY-IN-VECTOR-P */)!=Cnil){
	goto L37;}
	if((V1)==Cnil){
	goto L41;}
	T0= ecl_aref_unsafe(V2,V13);
	ecl_aset_unsafe(V1,V14,T0);
	goto L39;
L41:;
	goto L39;
L39:;
	V14= (V14)+1;
	goto L35;
L37:;
	goto L35;
L35:;
	V13= (V13)+1;
	goto L25;
	}}
}}
/*	local function ALREADY-IN-VECTOR-P                            */
/*	optimize speed 3, debug 0, space 0, safety 0                  */
static cl_object LC11already_in_vector_p(volatile cl_object *lex0, cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{ VT39 VLEX39 CLSR39 STCK39
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_fixnum V6;
	cl_fixnum V7;
	cl_fixnum V8;
	V6= ecl_fix(V2);
	V7= ecl_fix(V3);
	V8= ecl_fix(V4);
TTL:
	if((V5)==Cnil){
	goto L3;}
	V8= V7;
	goto L1;
L3:;
	V6= (V7)+1;
	goto L1;
L1:;
	{cl_object V9;                            /*  BASE            */
	T0= ecl_aref_unsafe(V1,V7);
	V9= (cl_env_copy->function=lex0[2])->cfun.entry(1,T0);
	{cl_fixnum V10;
	V10= V6;
	goto L13;
L12:;
	{cl_object V11;                           /*  ELT             */
	V11= ecl_aref_unsafe(V1,V10);
	if((lex0[0])==Cnil){
	goto L21;}
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,V11);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V9,T0))!=Cnil){
	goto L18;}
	goto L19;
L21:;
	T0= (cl_env_copy->function=lex0[2])->cfun.entry(1,V11);
	if(((cl_env_copy->function=lex0[1])->cfun.entry(2,V9,T0))==Cnil){
	goto L18;}
	goto L19;
L19:;
	value0=Ct; cl_env_copy->nvalues=1;
	return value0;
L18:;
	goto L15;
	}
L15:;
	V10= (V10)+1;
L13:;
	if((V10)==(V8)){
	goto L29;}
	goto L12;
L29:;
	goto L27;
L27:;
	goto L10;
L10:;
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
	}
	}
}
/*	function definition for DELETE-DUPLICATES                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_delete_duplicates(cl_narg narg, cl_object V1, ...)
{ VT40 VLEX40 CLSR40 STCK40
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
	{
	cl_object V2;
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_va_list args; cl_va_start(args,V1,narg,1);
	{ cl_object keyvars[12];
	cl_parse_key(args,6,cl_delete_duplicateskeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V2= keyvars[0];
	V3= keyvars[1];
	V4= keyvars[2];
	if(keyvars[9]==Cnil){
	V5= MAKE_FIXNUM(0);
	}else{
	V5= keyvars[3];}
	V6= keyvars[4];
	V7= keyvars[5];
	}
	if(!(ECL_LISTP(V1))){
	goto L3;}
	value0=L10delete_duplicates_list(V1,V5,V6,V4,V2,V3,V7) /*  DELETE-DUPLICATES-LIST */;
	return value0;
L3:;
	if(ECL_VECTORP(V1)){
	goto L6;}
	value0=si_signal_type_error(V1,ECL_SYM("SEQUENCE",739)) /*  SIGNAL-TYPE-ERROR */;
	return value0;
L6:;
	if(!((ECL_ARRAYP(V1)?(void)0:FEtype_error_array(V1),ECL_ARRAY_HAS_FILL_POINTER_P(V1)))){
	goto L9;}
	{cl_object V8;                            /*  L               */
	V8= L12filter_duplicates_vector(V1,V1,V5,V6,V4,V2,V3,V7) /*  FILTER-DUPLICATES-VECTOR */;
	si_fill_pointer_set(V1,V8)                /*  FILL-POINTER-SET */;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
	}
L9:;
	{cl_object V9;                            /*  L               */
	cl_object V10;                            /*  V               */
	V9= L12filter_duplicates_vector(Cnil,V1,V5,V6,V4,V2,V3,V7) /*  FILTER-DUPLICATES-VECTOR */;
	T0= cl_array_element_type(V1)             /*  ARRAY-ELEMENT-TYPE */;
	V10= si_make_pure_array(T0,V9,Cnil,Cnil,Cnil,MAKE_FIXNUM(0)) /*  MAKE-PURE-ARRAY */;
	L12filter_duplicates_vector(V10,V1,V5,V6,V4,V2,V3,V7) /*  FILTER-DUPLICATES-VECTOR */;
	value0=V10; cl_env_copy->nvalues=1;
	return value0;
	}
}}
/*	function definition for MISMATCH                              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_mismatch(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT41 VLEX41 CLSR41 STCK41
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[16];
	cl_parse_key(args,8,cl_mismatchkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	V6= keyvars[3];
	if(keyvars[12]==Cnil){
	V7= MAKE_FIXNUM(0);
	}else{
	V7= keyvars[4];}
	if(keyvars[13]==Cnil){
	V8= MAKE_FIXNUM(0);
	}else{
	V8= keyvars[5];}
	V9= keyvars[6];
	V10= keyvars[7];
	}
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V1,V7,V9) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V12;                            /*  START1          */
	cl_fixnum V13;                            /*  END1            */
	cl_object V14;
	V12= ecl_to_fixnum(cl_env_copy->values[0]);
	V13= ecl_to_fixnum(cl_env_copy->values[1]);
	V14= cl_env_copy->values[2];
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V2,V8,V10) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V16;                            /*  START2          */
	cl_fixnum V17;                            /*  END2            */
	cl_object V18;
	V16= ecl_to_fixnum(cl_env_copy->values[0]);
	V17= ecl_to_fixnum(cl_env_copy->values[1]);
	V18= cl_env_copy->values[2];
	{cl_object V19;
	if((V4)==Cnil){
	goto L7;}
	if((V5)==Cnil){
	goto L11;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L9;
L11:;
	goto L9;
L9:;
	V19= si_coerce_to_function(V4)            /*  COERCE-TO-FUNCTION */;
	goto L5;
L7:;
	if((V5)==Cnil){
	goto L14;}
	V19= si_coerce_to_function(V5)            /*  COERCE-TO-FUNCTION */;
	goto L5;
L14:;
	V19= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L5;
L5:;
	{cl_object V20;                           /*  KEY             */
	if((V6)==Cnil){
	goto L18;}
	V20= si_coerce_to_function(V6)            /*  COERCE-TO-FUNCTION */;
	goto L16;
L18:;
	V20= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L16;
L16:;
	if((V3)!=Cnil){
	goto L21;}
	{cl_fixnum V21;                           /*  I1              */
	cl_fixnum V22;                            /*  I2              */
	V21= V12;
	V22= V16;
	goto L28;
L27:;
	if((V5)==Cnil){
	goto L35;}
	T1= ecl_elt(V1,V21);
	T0= (cl_env_copy->function=V20)->cfun.entry(1,T1);
	T2= ecl_elt(V2,V22);
	T1= (cl_env_copy->function=V20)->cfun.entry(1,T2);
	if(((cl_env_copy->function=V19)->cfun.entry(2,T0,T1))==Cnil){
	goto L32;}
	goto L33;
L35:;
	T1= ecl_elt(V1,V21);
	T0= (cl_env_copy->function=V20)->cfun.entry(1,T1);
	T2= ecl_elt(V2,V22);
	T1= (cl_env_copy->function=V20)->cfun.entry(1,T2);
	if(((cl_env_copy->function=V19)->cfun.entry(2,T0,T1))!=Cnil){
	goto L32;}
	goto L33;
L33:;
	value0=MAKE_FIXNUM(V21); cl_env_copy->nvalues=1;
	return value0;
L32:;
	goto L30;
L30:;
	{cl_object V23;
	V23= ecl_make_integer((V21)+1);
	{bool V24;
	V24= FIXNUMP(V23);
	if (ecl_unlikely(!(V24)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V23);}
	V21= ecl_fix(V23);
	}
	{cl_object V23;
	V23= ecl_make_integer((V22)+1);
	{bool V24;
	V24= FIXNUMP(V23);
	if (ecl_unlikely(!(V24)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V23);}
	V22= ecl_fix(V23);
	}
L28:;
	if((V21)>=(V13)){
	goto L50;}
	if((V22)>=(V17)){
	goto L50;}
	goto L27;
L50:;
	goto L48;
L48:;
	goto L25;
L25:;
	if(!((V21)>=(V13))){
	goto L54;}
	if(!((V22)>=(V17))){
	goto L54;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L54:;
	value0=MAKE_FIXNUM(V21); cl_env_copy->nvalues=1;
	return value0;
	}
L21:;
	{cl_object V23;                           /*  LET187          */
	cl_object V24;                            /*  LET188          */
	cl_fixnum V25;                            /*  I1              */
	cl_fixnum V26;                            /*  I2              */
	V23= ecl_make_integer((V13)-1);
	V24= ecl_make_integer((V17)-1);
	{bool V27;
	V27= FIXNUMP(V23);
	if (ecl_unlikely(!(V27)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V23);}
	V25= ecl_fix(V23);
	{bool V27;
	V27= FIXNUMP(V24);
	if (ecl_unlikely(!(V27)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V24);}
	V26= ecl_fix(V24);
	goto L66;
L65:;
	if((V5)==Cnil){
	goto L73;}
	T1= ecl_elt(V1,V25);
	T0= (cl_env_copy->function=V20)->cfun.entry(1,T1);
	T2= ecl_elt(V2,V26);
	T1= (cl_env_copy->function=V20)->cfun.entry(1,T2);
	if(((cl_env_copy->function=V19)->cfun.entry(2,T0,T1))==Cnil){
	goto L70;}
	goto L71;
L73:;
	T1= ecl_elt(V1,V25);
	T0= (cl_env_copy->function=V20)->cfun.entry(1,T1);
	T2= ecl_elt(V2,V26);
	T1= (cl_env_copy->function=V20)->cfun.entry(1,T2);
	if(((cl_env_copy->function=V19)->cfun.entry(2,T0,T1))!=Cnil){
	goto L70;}
	goto L71;
L71:;
	value0=ecl_make_integer((V25)+1); cl_env_copy->nvalues=1;
	return value0;
L70:;
	goto L68;
L68:;
	{cl_object V27;
	V27= ecl_make_integer((V25)-1);
	{bool V28;
	V28= FIXNUMP(V27);
	if (ecl_unlikely(!(V28)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V27);}
	V25= ecl_fix(V27);
	}
	{cl_object V27;
	V27= ecl_make_integer((V26)-1);
	{bool V28;
	V28= FIXNUMP(V27);
	if (ecl_unlikely(!(V28)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V27);}
	V26= ecl_fix(V27);
	}
L66:;
	if((V25)<(V12)){
	goto L88;}
	if((V26)<(V16)){
	goto L88;}
	goto L65;
L88:;
	goto L86;
L86:;
	goto L63;
L63:;
	if(!((V25)<(V12))){
	goto L92;}
	if(!((V26)<(V16))){
	goto L92;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L92:;
	value0=ecl_make_integer((V25)+1); cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}}}
}}
/*	function definition for SEARCH                                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_search(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT42 VLEX42 CLSR42 STCK42
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_object V4;
	cl_object V5;
	cl_object V6;
	cl_object V7;
	cl_object V8;
	cl_object V9;
	cl_object V10;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[16];
	cl_parse_key(args,8,cl_searchkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	V4= keyvars[1];
	V5= keyvars[2];
	V6= keyvars[3];
	if(keyvars[12]==Cnil){
	V7= MAKE_FIXNUM(0);
	}else{
	V7= keyvars[4];}
	if(keyvars[13]==Cnil){
	V8= MAKE_FIXNUM(0);
	}else{
	V8= keyvars[5];}
	V9= keyvars[6];
	V10= keyvars[7];
	}
	if(!(ECL_VECTORP(V1))){
	goto L4;}
	if(!(ECL_VECTORP(V2))){
	goto L4;}
	value0=L13search_vector(V1,V7,V9,V2,V8,V10,V4,V5,V6,V3) /*  SEARCH-VECTOR */;
	return value0;
L4:;
	value0=L14search_generic(V1,V7,V9,V2,V8,V10,V4,V5,V6,V3) /*  SEARCH-GENERIC */;
	return value0;
}}
/*	function definition for SEARCH-VECTOR                         */
/*	optimize speed 3, debug 0, space 0, safety 0                  */
static cl_object L13search_vector(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{ VT43 VLEX43 CLSR43 STCK43
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_object V11;
	if((V7)==Cnil){
	goto L3;}
	if((V8)==Cnil){
	goto L7;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L5;
L7:;
	goto L5;
L5:;
	V11= si_coerce_to_function(V7)            /*  COERCE-TO-FUNCTION */;
	goto L1;
L3:;
	if((V8)==Cnil){
	goto L10;}
	V11= si_coerce_to_function(V8)            /*  COERCE-TO-FUNCTION */;
	goto L1;
L10:;
	V11= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L1;
L1:;
	{cl_object V12;                           /*  KEY             */
	if((V9)==Cnil){
	goto L14;}
	V12= si_coerce_to_function(V9)            /*  COERCE-TO-FUNCTION */;
	goto L12;
L14:;
	V12= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L12;
L12:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V1,V2,V3) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V14;                            /*  START1          */
	cl_fixnum V15;                            /*  END1            */
	cl_object V16;
	V14= ecl_fix(cl_env_copy->values[0]);
	V15= ecl_fix(cl_env_copy->values[1]);
	V16= cl_env_copy->values[2];
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V4,V5,V6) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V18;                            /*  START2          */
	cl_fixnum V19;                            /*  END2            */
	cl_object V20;
	V18= ecl_fix(cl_env_copy->values[0]);
	V19= ecl_fix(cl_env_copy->values[1]);
	V20= cl_env_copy->values[2];
	{cl_fixnum V21;                           /*  LAST-INDEX      */
	cl_object V22;                            /*  LAST            */
	cl_fixnum V23;                            /*  START2          */
	cl_object V24;                            /*  BASE            */
	V21= -1;
	{cl_fixnum V25;                           /*  L               */
	cl_fixnum V26;                            /*  E               */
	V25= (V15)-(V14);
	V26= (V19)-(V25);
	if((V25)>0){
	goto L24;}
	if((V10)==Cnil){
	goto L27;}
	value0=MAKE_FIXNUM(V19); cl_env_copy->nvalues=1;
	return value0;
L27:;
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L24:;
	goto L22;
L22:;
	V22= ecl_make_integer((V26)+1);
	}
	V23= V18;
	T0= ecl_aref_unsafe(V1,V14);
	V24= (cl_env_copy->function=V12)->cfun.entry(1,T0);
	goto L35;
L34:;
	if((V8)==Cnil){
	goto L42;}
	T1= ecl_aref_unsafe(V4,V23);
	T0= (cl_env_copy->function=V12)->cfun.entry(1,T1);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V24,T0))!=Cnil){
	goto L39;}
	goto L40;
L42:;
	T1= ecl_aref_unsafe(V4,V23);
	T0= (cl_env_copy->function=V12)->cfun.entry(1,T1);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V24,T0))==Cnil){
	goto L39;}
	goto L40;
L40:;
	{cl_fixnum V25;                           /*  I1              */
	cl_fixnum V26;                            /*  I2              */
	V25= V14;
	V26= V23;
L51:;
	V25= (V25)+1;
	V26= (V26)+1;
	if((V25)>=(V15)){
	goto L61;}
	if(!((V26)>=(V19))){
	goto L59;}
	goto L60;
L61:;
L60:;
	if((V10)==Cnil){
	goto L65;}
	V21= V23;
	goto L37;
L65:;
	goto L63;
L63:;
	value0=MAKE_FIXNUM(V23); cl_env_copy->nvalues=1;
	return value0;
L59:;
	goto L57;
L57:;
	if((V8)==Cnil){
	goto L73;}
	T1= ecl_aref_unsafe(V1,V25);
	T0= (cl_env_copy->function=V12)->cfun.entry(1,T1);
	T2= ecl_aref_unsafe(V4,V26);
	T1= (cl_env_copy->function=V12)->cfun.entry(1,T2);
	if(((cl_env_copy->function=V11)->cfun.entry(2,T0,T1))==Cnil){
	goto L70;}
	goto L71;
L73:;
	T1= ecl_aref_unsafe(V1,V25);
	T0= (cl_env_copy->function=V12)->cfun.entry(1,T1);
	T2= ecl_aref_unsafe(V4,V26);
	T1= (cl_env_copy->function=V12)->cfun.entry(1,T2);
	if(((cl_env_copy->function=V11)->cfun.entry(2,T0,T1))!=Cnil){
	goto L70;}
	goto L71;
L71:;
	goto L37;
L70:;
	goto L52;
L52:;
	goto L51;
	}
L39:;
	goto L37;
L37:;
	V23= (V23)+1;
L35:;
	if(ecl_number_compare(MAKE_FIXNUM(V23),V22)>=0){
	goto L88;}
	goto L34;
L88:;
	goto L86;
L86:;
	goto L32;
L32:;
	if(!((V21)<0)){
	goto L91;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L91:;
	value0=MAKE_FIXNUM(V21); cl_env_copy->nvalues=1;
	return value0;
	}}}
	}
	}
}
/*	function definition for SEARCH-GENERIC                        */
/*	optimize speed 3, debug 0, space 0, safety 2                  */
static cl_object L14search_generic(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5, cl_object V6, cl_object V7, cl_object V8, cl_object V9, cl_object V10)
{ VT44 VLEX44 CLSR44 STCK44
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
TTL:
	{cl_object V11;
	if((V7)==Cnil){
	goto L3;}
	if((V8)==Cnil){
	goto L7;}
	L2test_error()                            /*  TEST-ERROR      */;
	goto L5;
L7:;
	goto L5;
L5:;
	V11= si_coerce_to_function(V7)            /*  COERCE-TO-FUNCTION */;
	goto L1;
L3:;
	if((V8)==Cnil){
	goto L10;}
	V11= si_coerce_to_function(V8)            /*  COERCE-TO-FUNCTION */;
	goto L1;
L10:;
	V11= (ECL_SYM("EQL",332)->symbol.gfdef);
	goto L1;
L1:;
	{cl_object V12;                           /*  KEY             */
	if((V9)==Cnil){
	goto L14;}
	V12= si_coerce_to_function(V9)            /*  COERCE-TO-FUNCTION */;
	goto L12;
L14:;
	V12= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L12;
L12:;
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V1,V2,V3) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V14;                            /*  START1          */
	cl_fixnum V15;                            /*  END1            */
	cl_object V16;
	V14= ecl_to_fixnum(cl_env_copy->values[0]);
	V15= ecl_to_fixnum(cl_env_copy->values[1]);
	V16= cl_env_copy->values[2];
	cl_env_copy->values[0]=si_sequence_start_end(ECL_SYM("SUBSEQ",827),V4,V5,V6) /*  SEQUENCE-START-END */;
	{
	cl_fixnum V18;                            /*  START2          */
	cl_fixnum V19;                            /*  END2            */
	cl_object V20;
	V18= ecl_to_fixnum(cl_env_copy->values[0]);
	V19= ecl_to_fixnum(cl_env_copy->values[1]);
	V20= cl_env_copy->values[2];
	{cl_fixnum V21;                           /*  LAST-INDEX      */
	cl_fixnum V22;                            /*  START2          */
	cl_fixnum V23;                            /*  LAST            */
	cl_object V24;                            /*  IT1             */
	cl_object V25;                            /*  BASE            */
	cl_object V26;                            /*  IT2             */
	V21= -1;
	V22= V18;
	{cl_object V27;
	{cl_fixnum V28;                           /*  L               */
	cl_fixnum V29;                            /*  E               */
	{cl_object V30;
	V30= ecl_minus(MAKE_FIXNUM(V15),MAKE_FIXNUM(V14));
	{bool V31;
	V31= FIXNUMP(V30);
	if (ecl_unlikely(!(V31)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V30);}
	V28= ecl_fix(V30);
	}
	{cl_object V30;
	V30= ecl_minus(MAKE_FIXNUM(V19),MAKE_FIXNUM(V28));
	{bool V31;
	V31= FIXNUMP(V30);
	if (ecl_unlikely(!(V31)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V30);}
	V29= ecl_fix(V30);
	}
	if((V28)>0){
	goto L30;}
	if((V10)==Cnil){
	goto L33;}
	value0=MAKE_FIXNUM(V19); cl_env_copy->nvalues=1;
	return value0;
L33:;
	value0=MAKE_FIXNUM(0); cl_env_copy->nvalues=1;
	return value0;
L30:;
	goto L28;
L28:;
	V27= ecl_make_integer((V29)+1);
	}
	{bool V28;
	V28= FIXNUMP(V27);
	if (ecl_unlikely(!(V28)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V27);}
	V23= ecl_fix(V27);
	}
	V24= si_make_seq_iterator(2,V1,MAKE_FIXNUM(V14)) /*  MAKE-SEQ-ITERATOR */;
	T0= si_seq_iterator_ref(V1,V24)           /*  SEQ-ITERATOR-REF */;
	V25= (cl_env_copy->function=V12)->cfun.entry(1,T0);
	V26= si_make_seq_iterator(2,V4,MAKE_FIXNUM(V22)) /*  MAKE-SEQ-ITERATOR */;
	goto L42;
L41:;
	if((V8)==Cnil){
	goto L49;}
	T1= si_seq_iterator_ref(V4,V26)           /*  SEQ-ITERATOR-REF */;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,T1);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V25,T0))!=Cnil){
	goto L46;}
	goto L47;
L49:;
	T1= si_seq_iterator_ref(V4,V26)           /*  SEQ-ITERATOR-REF */;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,T1);
	if(((cl_env_copy->function=V11)->cfun.entry(2,V25,T0))==Cnil){
	goto L46;}
	goto L47;
L47:;
	{cl_object V27;                           /*  IT1             */
	cl_object V28;                            /*  IT2             */
	cl_fixnum V29;                            /*  I1              */
	cl_fixnum V30;                            /*  I2              */
	V27= V24;
	V28= V26;
	V29= V14;
	V30= V22;
L58:;
	V27= si_seq_iterator_next(V1,V27)         /*  SEQ-ITERATOR-NEXT */;
	V28= si_seq_iterator_next(V4,V28)         /*  SEQ-ITERATOR-NEXT */;
	{cl_object V31;
	V31= ecl_make_integer((V29)+1);
	{bool V32;
	V32= FIXNUMP(V31);
	if (ecl_unlikely(!(V32)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V31);}
	V29= ecl_fix(V31);
	}
	{cl_object V31;
	V31= ecl_make_integer((V30)+1);
	{bool V32;
	V32= FIXNUMP(V31);
	if (ecl_unlikely(!(V32)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V31);}
	V30= ecl_fix(V31);
	}
	if((V29)>=(V15)){
	goto L76;}
	if((V30)>=(V19)){
	goto L76;}
	if(V27==Cnil){
	goto L76;}
	if(!(V28==Cnil)){
	goto L74;}
	goto L75;
L76:;
L75:;
	if((V10)==Cnil){
	goto L82;}
	V21= V22;
	goto L44;
L82:;
	goto L80;
L80:;
	value0=MAKE_FIXNUM(V22); cl_env_copy->nvalues=1;
	return value0;
L74:;
	goto L72;
L72:;
	if((V8)==Cnil){
	goto L90;}
	T1= si_seq_iterator_ref(V1,V27)           /*  SEQ-ITERATOR-REF */;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,T1);
	T2= si_seq_iterator_ref(V4,V28)           /*  SEQ-ITERATOR-REF */;
	T1= (cl_env_copy->function=V12)->cfun.entry(1,T2);
	if(((cl_env_copy->function=V11)->cfun.entry(2,T0,T1))==Cnil){
	goto L87;}
	goto L88;
L90:;
	T1= si_seq_iterator_ref(V1,V27)           /*  SEQ-ITERATOR-REF */;
	T0= (cl_env_copy->function=V12)->cfun.entry(1,T1);
	T2= si_seq_iterator_ref(V4,V28)           /*  SEQ-ITERATOR-REF */;
	T1= (cl_env_copy->function=V12)->cfun.entry(1,T2);
	if(((cl_env_copy->function=V11)->cfun.entry(2,T0,T1))!=Cnil){
	goto L87;}
	goto L88;
L88:;
	goto L44;
L87:;
	goto L59;
L59:;
	goto L58;
	}
L46:;
	goto L44;
L44:;
	{cl_object V27;
	V27= ecl_make_integer((V22)+1);
	{bool V28;
	V28= FIXNUMP(V27);
	if (ecl_unlikely(!(V28)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V27);}
	V22= ecl_fix(V27);
	}
	V26= si_seq_iterator_next(V4,V26)         /*  SEQ-ITERATOR-NEXT */;
L42:;
	if(V26==Cnil){
	goto L105;}
	if((V22)>=(V23)){
	goto L105;}
	goto L41;
L105:;
	goto L103;
L103:;
	goto L39;
L39:;
	if(!((V21)<0)){
	goto L109;}
	value0=Cnil; cl_env_copy->nvalues=1;
	return value0;
L109:;
	value0=MAKE_FIXNUM(V21); cl_env_copy->nvalues=1;
	return value0;
	}}}
	}
	}
}}
/*	function definition for SORT                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_sort(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT45 VLEX45 CLSR45 STCK45
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,cl_sortkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	}
	if((V3)==Cnil){
	goto L5;}
	V3= si_coerce_to_function(V3)             /*  COERCE-TO-FUNCTION */;
	goto L3;
L5:;
	V3= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L3;
L3:;
	V2= si_coerce_to_function(V2)             /*  COERCE-TO-FUNCTION */;
	if(!(ECL_LISTP(V1))){
	goto L9;}
	value0=L15list_merge_sort(V1,V2,V3)       /*  LIST-MERGE-SORT */;
	return value0;
L9:;
	{cl_fixnum V4;
	V4= ecl_length(V1);
	T0= ecl_make_integer((V4)-1);
	value0=L16quick_sort(V1,MAKE_FIXNUM(0),T0,V2,V3) /*  QUICK-SORT */;
	return value0;}
}}
/*	function definition for LIST-MERGE-SORT                       */
/*	optimize speed 3, debug 1, space 1, safety 0                  */
static cl_object L15list_merge_sort(cl_object V1, cl_object V2, cl_object V3)
{ VT46 VLEX46 CLSR46 STCK46
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
TTL:
	{cl_fixnum V4;                            /*  I               */
	cl_object V5;                             /*  LEFT            */
	cl_object V6;                             /*  RIGHT           */
	cl_object V7;                             /*  L0              */
	cl_object V8;                             /*  L1              */
	cl_object V9;                             /*  KEY-LEFT        */
	cl_object V10;                            /*  KEY-RIGHT       */
	V4= 0;
	V5= Cnil;
	V6= Cnil;
	V7= Cnil;
	V8= Cnil;
	V9= Cnil;
	V10= Cnil;
	V4= ecl_length(V1);
	if(!((V4)<(2))){
	goto L16;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L16:;
	if(!((V4)==(2))){
	goto L19;}
	T0= _ecl_car(V1);
	V9= (cl_env_copy->function=V3)->cfun.entry(1,T0);
	T0= _ecl_cadr(V1);
	V10= (cl_env_copy->function=V3)->cfun.entry(1,T0);
	if(((cl_env_copy->function=V2)->cfun.entry(2,V9,V10))==Cnil){
	goto L26;}
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L26:;
	if(((cl_env_copy->function=V2)->cfun.entry(2,V10,V9))==Cnil){
	goto L29;}
	value0=cl_nreverse(V1)                    /*  NREVERSE        */;
	return value0;
L29:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
L19:;
	goto L14;
L14:;
	V4= ecl_fix(ecl_floor2(MAKE_FIXNUM(V4),MAKE_FIXNUM(2)));
	{cl_fixnum V11;                           /*  J               */
	cl_object V12;                            /*  L1              */
	V11= 1;
	V12= V1;
	goto L39;
L38:;
	V11= (V11)+1;
	V12= _ecl_cdr(V12);
L39:;
	if((V11)>=(V4)){
	goto L46;}
	goto L38;
L46:;
	goto L44;
L44:;
	goto L36;
L36:;
	V5= V1;
	V6= _ecl_cdr(V12);
	(ECL_CONS_CDR(V12)=Cnil,V12);
	}
	V5= L15list_merge_sort(V5,V2,V3)          /*  LIST-MERGE-SORT */;
	V6= L15list_merge_sort(V6,V2,V3)          /*  LIST-MERGE-SORT */;
	if(!(V5==Cnil)){
	goto L58;}
	value0=V6; cl_env_copy->nvalues=1;
	return value0;
L58:;
	if(!(V6==Cnil)){
	goto L61;}
	value0=V5; cl_env_copy->nvalues=1;
	return value0;
L61:;
	goto L56;
L56:;
	V7= CONS(Cnil,Cnil);
	V8= V7;
	T0= _ecl_car(V5);
	V9= (cl_env_copy->function=V3)->cfun.entry(1,T0);
	T0= _ecl_car(V6);
	V10= (cl_env_copy->function=V3)->cfun.entry(1,T0);
L9:;
	if(((cl_env_copy->function=V2)->cfun.entry(2,V9,V10))==Cnil){
	goto L73;}
	goto L10;
L73:;
	if(((cl_env_copy->function=V2)->cfun.entry(2,V10,V9))==Cnil){
	goto L76;}
	goto L11;
L76:;
	goto L10;
L10:;
	(ECL_CONS_CDR(V8)=V5,V8);
	V8= _ecl_cdr(V8);
	V5= _ecl_cdr(V5);
	if(!(V5==Cnil)){
	goto L85;}
	(ECL_CONS_CDR(V8)=V6,V8);
	value0=_ecl_cdr(V7); cl_env_copy->nvalues=1;
	return value0;
L85:;
	goto L83;
L83:;
	T0= _ecl_car(V5);
	V9= (cl_env_copy->function=V3)->cfun.entry(1,T0);
	goto L9;
L11:;
	(ECL_CONS_CDR(V8)=V6,V8);
	V8= _ecl_cdr(V8);
	V6= _ecl_cdr(V6);
	if(!(V6==Cnil)){
	goto L98;}
	(ECL_CONS_CDR(V8)=V5,V8);
	value0=_ecl_cdr(V7); cl_env_copy->nvalues=1;
	return value0;
L98:;
	goto L96;
L96:;
	T0= _ecl_car(V6);
	V10= (cl_env_copy->function=V3)->cfun.entry(1,T0);
	goto L9;
	}
}
/*	function definition for QUICK-SORT                            */
/*	optimize speed 1, debug 1, space 1, safety 0                  */
static cl_object L16quick_sort(cl_object V1, cl_object V2, cl_object V3, cl_object V4, cl_object V5)
{ VT47 VLEX47 CLSR47 STCK47
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_fixnum V6;
	cl_fixnum V7;
	V6= ecl_fix(V2);
	V7= ecl_fix(V3);
TTL:
	if(!((V6)<(V7))){
	goto L2;}
	{cl_fixnum V8;                            /*  J               */
	V8= (V7)+1;
	{cl_fixnum V9;                            /*  I               */
	cl_fixnum V10;                            /*  L               */
	cl_fixnum V11;                            /*  L-HALF          */
	cl_fixnum V12;                            /*  P               */
	cl_object V13;                            /*  D               */
	cl_object V14;                            /*  KD              */
	V9= V6;
	V10= (V7)-(V6);
	V11= ((V10) >> (1));
	V12= (V6)+(V11);
	V13= ecl_elt(V1,V12);
	V14= (cl_env_copy->function=V5)->cfun.entry(1,V13);
	{cl_object V15;
	cl_object V16;
	V15= ecl_elt(V1,V6);
	V16= ecl_elt(V1,V12);
	ecl_elt_set(V1,V12,V15);
	ecl_elt_set(V1,V6,V16);
	}
L19:;
L23:;
	{cl_fixnum V15;
	V8= (V8)-(1);
	V15= V8;
	if((V15)>(V9)){
	goto L27;}}
	goto L17;
L27:;
	goto L25;
L25:;
	T1= ecl_elt(V1,V8);
	T0= (cl_env_copy->function=V5)->cfun.entry(1,T1);
	if(((cl_env_copy->function=V4)->cfun.entry(2,T0,V14))==Cnil){
	goto L32;}
	goto L21;
L32:;
	goto L24;
L24:;
	goto L23;
L21:;
L38:;
	{cl_fixnum V15;
	V9= (V9)+(1);
	V15= V9;
	if((V15)<(V8)){
	goto L42;}}
	goto L17;
L42:;
	goto L40;
L40:;
	T1= ecl_elt(V1,V9);
	T0= (cl_env_copy->function=V5)->cfun.entry(1,T1);
	if(((cl_env_copy->function=V4)->cfun.entry(2,T0,V14))!=Cnil){
	goto L47;}
	goto L36;
L47:;
	goto L39;
L39:;
	goto L38;
L36:;
	{cl_object V15;
	cl_object V16;
	V15= ecl_elt(V1,V8);
	V16= ecl_elt(V1,V9);
	ecl_elt_set(V1,V9,V15);
	ecl_elt_set(V1,V8,V16);
	}
	goto L19;
L17:;
	T0= ecl_elt(V1,V8);
	ecl_elt_set(V1,V6,T0);
	ecl_elt_set(V1,V8,V13);
	}
	{cl_fixnum V9;
	V9= (V8)-(V6);
	{cl_fixnum V10;
	V10= (V7)-(V8);
	if(!((V9)<(V10))){
	goto L58;}}}
	T0= ecl_make_integer((V8)-1);
	L16quick_sort(V1,MAKE_FIXNUM(V6),T0,V4,V5) /*  QUICK-SORT     */;
	V6= (V8)+1;
	goto TTL;
L58:;
	T0= ecl_make_integer((V8)+1);
	L16quick_sort(V1,T0,MAKE_FIXNUM(V7),V4,V5) /*  QUICK-SORT     */;
	V7= (V8)-1;
	goto TTL;
	}
L2:;
	value0=V1; cl_env_copy->nvalues=1;
	return value0;
}
/*	function definition for STABLE-SORT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_stable_sort(cl_narg narg, cl_object V1, cl_object V2, ...)
{ VT48 VLEX48 CLSR48 STCK48
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<2)) FEwrong_num_arguments_anonym();
	{
	cl_object V3;
	cl_va_list args; cl_va_start(args,V2,narg,2);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,cl_stable_sortkeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V3= keyvars[0];
	}
	if((V3)==Cnil){
	goto L5;}
	V3= si_coerce_to_function(V3)             /*  COERCE-TO-FUNCTION */;
	goto L3;
L5:;
	V3= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L3;
L3:;
	V2= si_coerce_to_function(V2)             /*  COERCE-TO-FUNCTION */;
	if(!(ECL_LISTP(V1))){
	goto L9;}
	value0=L15list_merge_sort(V1,V2,V3)       /*  LIST-MERGE-SORT */;
	return value0;
L9:;
	if(ECL_STRINGP(V1)){
	goto L14;}
	if(!(ECL_BIT_VECTOR_P(V1))){
	goto L12;}
	goto L13;
L14:;
L13:;
	value0=cl_sort(4,V1,V2,ECL_SYM("KEY",1259),V3) /*  SORT       */;
	return value0;
L12:;
	T0= si_coerce_to_list(1,V1)               /*  COERCE-TO-LIST  */;
	T1= L15list_merge_sort(T0,V2,V3)          /*  LIST-MERGE-SORT */;
	T2= L1seqtype(V1)                         /*  SEQTYPE         */;
	value0=cl_coerce(T1,T2)                   /*  COERCE          */;
	return value0;
}}
/*	function definition for MERGE                                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
cl_object cl_merge(cl_narg narg, cl_object V1, cl_object V2, cl_object V3, cl_object V4, ...)
{ VT49 VLEX49 CLSR49 STCK49
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	if (ecl_unlikely(narg<4)) FEwrong_num_arguments_anonym();
	{
	cl_object V5;
	cl_va_list args; cl_va_start(args,V4,narg,4);
	{ cl_object keyvars[2];
	cl_parse_key(args,1,cl_mergekeys,keyvars,NULL,FALSE);
	cl_va_end(args);
	V5= keyvars[0];
	}
	{cl_fixnum V6;                            /*  L1              */
	cl_fixnum V7;                             /*  L2              */
	V6= ecl_length(V2);
	V7= ecl_length(V3);
	{cl_object V8;                            /*  KEY             */
	if((V5)==Cnil){
	goto L5;}
	V8= si_coerce_to_function(V5)             /*  COERCE-TO-FUNCTION */;
	goto L3;
L5:;
	V8= (ECL_SYM("IDENTITY",424)->symbol.gfdef);
	goto L3;
L3:;
	{cl_object V9;                            /*  PREDICATE       */
	V9= si_coerce_to_function(V4)             /*  COERCE-TO-FUNCTION */;
	{cl_fixnum V10;                           /*  SIZE            */
	cl_fixnum V11;                            /*  J               */
	cl_object V12;                            /*  NEWSEQ          */
	cl_fixnum V13;                            /*  I1              */
	cl_fixnum V14;                            /*  I2              */
	V10= ecl_to_fixnum(ecl_plus(MAKE_FIXNUM(V6),MAKE_FIXNUM(V7)));
	V11= 0;
	V12= cl_make_sequence(2,V1,MAKE_FIXNUM(V10)) /*  MAKE-SEQUENCE */;
	V13= 0;
	V14= 0;
	goto L16;
L15:;
	if(!((V13)>=(V6))){
	goto L20;}
	T0= ecl_elt(V3,V14);
	ecl_elt_set(V12,V11,T0);
	{cl_object V15;
	V15= ecl_make_integer((V14)+1);
	{bool V16;
	V16= FIXNUMP(V15);
	if (ecl_unlikely(!(V16)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V15);}
	V14= ecl_fix(V15);
	}
	goto L18;
L20:;
	{cl_object V15;                           /*  V1              */
	V15= ecl_elt(V2,V13);
	if(!((V14)>=(V7))){
	goto L28;}
	ecl_elt_set(V12,V11,V15);
	{cl_object V16;
	V16= ecl_make_integer((V13)+1);
	{bool V17;
	V17= FIXNUMP(V16);
	if (ecl_unlikely(!(V17)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V16);}
	V13= ecl_fix(V16);
	}
	goto L18;
L28:;
	{cl_object V16;                           /*  V2              */
	cl_object V17;                            /*  K2              */
	cl_object V18;                            /*  K1              */
	V16= ecl_elt(V3,V14);
	V17= (cl_env_copy->function=V8)->cfun.entry(1,V16);
	V18= (cl_env_copy->function=V8)->cfun.entry(1,V15);
	if(((cl_env_copy->function=V9)->cfun.entry(2,V18,V17))==Cnil){
	goto L38;}
	ecl_elt_set(V12,V11,V15);
	{cl_object V19;
	V19= ecl_make_integer((V13)+1);
	{bool V20;
	V20= FIXNUMP(V19);
	if (ecl_unlikely(!(V20)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V19);}
	V13= ecl_fix(V19);
	}
	goto L18;
L38:;
	if(((cl_env_copy->function=V9)->cfun.entry(2,V17,V18))==Cnil){
	goto L45;}
	ecl_elt_set(V12,V11,V16);
	{cl_object V19;
	V19= ecl_make_integer((V14)+1);
	{bool V20;
	V20= FIXNUMP(V19);
	if (ecl_unlikely(!(V20)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V19);}
	V14= ecl_fix(V19);
	}
	goto L18;
L45:;
	ecl_elt_set(V12,V11,V15);
	{cl_object V19;
	V19= ecl_make_integer((V13)+1);
	{bool V20;
	V20= FIXNUMP(V19);
	if (ecl_unlikely(!(V20)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V19);}
	V13= ecl_fix(V19);
	}
	goto L18;
	}
	}
L18:;
	{cl_object V15;
	V15= ecl_make_integer((V11)+1);
	{bool V16;
	V16= FIXNUMP(V15);
	if (ecl_unlikely(!(V16)))
         FEwrong_type_argument(ECL_SYM("FIXNUM",370),V15);}
	V11= ecl_fix(V15);
	}
L16:;
	if((V11)==(V10)){
	goto L61;}
	goto L15;
L61:;
	goto L59;
L59:;
	goto L13;
L13:;
	value0=V12; cl_env_copy->nvalues=1;
	return value0;
	}
	}
	}
	}
}}
/*	function definition for COMPLEMENT                            */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18complement(cl_object V1)
{ VT50 VLEX50 CLSR50 STCK50
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	{
	env0 = Cnil;
	CLV0=env0=CONS(V1,env0);                  /*  F               */
	value0=ecl_make_cclosure_va((cl_objectfn)LC17__g449,env0,Cblock); cl_env_copy->nvalues=1;
	return value0;
}}
/*	closure G449                                                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC17__g449(cl_narg narg, ...)
{ VT51 VLEX51 CLSR51 STCK51
	const cl_env_ptr cl_env_copy = ecl_process_env();cl_object env0 = cl_env_copy->function->cclosure.env;
	cl_object value0;
	ecl_cs_check(cl_env_copy,value0);
	/* Scanning closure data ... */
	CLV0=env0;                                /*  F               */
	{ /* ... closure scanning finished */
	{
	cl_object V1;
	cl_va_list args; cl_va_start(args,narg,narg,0);
	V1=cl_grab_rest_args(args);
	cl_va_end(args);
	T0= cl_apply(2,ECL_CONS_CAR(CLV0),V1)     /*  APPLY           */;
	value0=Null(T0)?Ct:Cnil; cl_env_copy->nvalues=1;
	return value0;
}}}
	
#include "lsp/seqlib.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _ecl29TP6va7_XJprDP01(cl_object flag)
{ VT1 VLEX1 CLSR1 STCK1
	const cl_env_ptr cl_env_copy = ecl_process_env();
	cl_object value0;
	cl_object *VVtemp;
	if (flag != OBJNULL){
	Cblock=flag;
	#ifndef ECL_DYNAMIC_VV
	flag->cblock.data = VV;
	#endif
	flag->cblock.data_size = VM;
	flag->cblock.temp_data_size = VMtemp;
	flag->cblock.data_text = compiler_data_text;
	flag->cblock.data_text_size = compiler_data_text_size;
	flag->cblock.cfuns_size = compiler_cfuns_size;
	flag->cblock.cfuns = compiler_cfuns;
	flag->cblock.source = make_constant_base_string("SRC:LSP;SEQLIB.LSP.NEWEST");
	return;}
	#ifdef ECL_DYNAMIC_VV
	VV = Cblock->cblock.data;
	#endif
	Cblock->cblock.data_text = "@EcLtAg:_ecl29TP6va7_XJprDP01@";
	VVtemp = Cblock->cblock.temp_data;
	ECL_DEFINE_SETF_FUNCTIONS
	si_select_package(VVtemp[0])              /*  SELECT-PACKAGE  */;
	(void)0; /* No entry created for SEQTYPE */
	ecl_cmp_defun(VV[13]);                    /*  SEQUENCE-COUNT  */
	(void)0; /* No entry created for TEST-ERROR */
	ecl_cmp_defun(VV[14]);                    /*  UNSAFE-FUNCALL1 */
	(void)0; /* No entry created for REDUCE */
	(void)0; /* No entry created for FILL */
	(void)0; /* No entry created for REPLACE */
	ecl_cmp_defun(VV[24]);                    /*  FILTER-VECTOR   */
	ecl_cmp_defun(VV[25]);                    /*  REMOVE-LIST     */
	(void)0; /* No entry created for REMOVE */
	(void)0; /* No entry created for REMOVE-IF */
	(void)0; /* No entry created for REMOVE-IF-NOT */
	ecl_cmp_defun(VV[33]);                    /*  DELETE-LIST     */
	(void)0; /* No entry created for DELETE */
	(void)0; /* No entry created for DELETE-IF */
	(void)0; /* No entry created for DELETE-IF-NOT */
	(void)0; /* No entry created for COUNT */
	(void)0; /* No entry created for COUNT-IF */
	(void)0; /* No entry created for COUNT-IF-NOT */
	(void)0; /* No entry created for SUBSTITUTE */
	(void)0; /* No entry created for SUBSTITUTE-IF */
	(void)0; /* No entry created for SUBSTITUTE-IF-NOT */
	(void)0; /* No entry created for NSUBSTITUTE */
	(void)0; /* No entry created for NSUBSTITUTE-IF */
	(void)0; /* No entry created for NSUBSTITUTE-IF-NOT */
	(void)0; /* No entry created for FIND */
	(void)0; /* No entry created for FIND-IF */
	(void)0; /* No entry created for FIND-IF-NOT */
	(void)0; /* No entry created for POSITION */
	(void)0; /* No entry created for POSITION-IF */
	(void)0; /* No entry created for POSITION-IF-NOT */
	ecl_cmp_defun(VV[46]);                    /*  REMOVE-DUPLICATES-LIST */
	(void)0; /* No entry created for REMOVE-DUPLICATES */
	ecl_cmp_defun(VV[47]);                    /*  DELETE-DUPLICATES-LIST */
	ecl_cmp_defun(VV[48]);                    /*  FILTER-DUPLICATES-VECTOR */
	(void)0; /* No entry created for DELETE-DUPLICATES */
	(void)0; /* No entry created for MISMATCH */
	(void)0; /* No entry created for SEARCH */
	(void)0; /* No entry created for SEARCH-VECTOR */
	(void)0; /* No entry created for SEARCH-GENERIC */
	(void)0; /* No entry created for SORT */
	(void)0; /* No entry created for LIST-MERGE-SORT */
	(void)0; /* No entry created for QUICK-SORT */
	(void)0; /* No entry created for STABLE-SORT */
	(void)0; /* No entry created for MERGE */
	ecl_cmp_defun(VV[57]);                    /*  COMPLEMENT      */
}
